*$ CREATE SOURCE.FOR
*COPY SOURCE
*
*=== source ===========================================================*
*
      SUBROUTINE SOURCE ( NOMORE )

      INCLUDE '(DBLPRC)'
      INCLUDE '(DIMPAR)'
      INCLUDE '(IOUNIT)'
*
*----------------------------------------------------------------------*
*                                                                      *
*     Copyright (C) 1990-2009      by    Alfredo Ferrari & Paola Sala  *
*     All Rights Reserved.                                             *
*                                                                      *
*                                                                      *
*     New source for FLUKA9x-FLUKA20xy:                                *
*                                                                      *
*     Created on 07 january 1990   by    Alfredo Ferrari & Paola Sala  *
*                                                   Infn - Milan       *
*                                                                      *
*     Last change on 08-feb-09     by    Alfredo Ferrari               *
*                                                                      *
*  This is just an example of a possible user written source routine.  *
*  note that the beam card still has some meaning - in the scoring the *
*  maximum momentum used in deciding the binning is taken from the     *
*  beam momentum.  Other beam card parameters are obsolete.            *
*                                                                      *
*       Output variables:                                              *
*                                                                      *
*              Nomore = if > 0 the run will be terminated              *
*                                                                      *
*----------------------------------------------------------------------*
*
      INCLUDE '(BEAMCM)'
      INCLUDE '(FHEAVY)'
      INCLUDE '(FLKSTK)'
      INCLUDE '(IOIOCM)'
      INCLUDE '(LTCLCM)'
      INCLUDE '(PAPROP)'
      INCLUDE '(SOURCM)'
      INCLUDE '(SUMCOU)'
*
      LOGICAL LFIRST
*
      SAVE LFIRST
      DATA LFIRST / .TRUE. /
*======================================================================*
*                                                                      *
*                 BASIC VERSION                                        *
*                                                                      *
*======================================================================*
      NOMORE = 0
*  +-------------------------------------------------------------------*
*  |  First call initializations:
      IF ( LFIRST ) THEN
*  |  *** The following 3 cards are mandatory ***
         TKESUM = ZERZER
         LFIRST = .FALSE.
         LUSSRC = .TRUE.
*  |  *** User initialization ***
      END IF
*  |
*  +-------------------------------------------------------------------*
*  Push one source particle to the stack. Note that you could as well
*  push many but this way we reserve a maximum amount of space in the
*  stack for the secondaries to be generated
* Npflka is the stack counter: of course any time source is called it
* must be =0
      NPFLKA = NPFLKA + 1
* Wt is the weight of the particle
      WTFLK  (NPFLKA) = ONEONE
      WEIPRI = WEIPRI + WTFLK (NPFLKA)
* Particle type (1=proton.....). Ijbeam is the type set by the BEAM
* card
*  +-------------------------------------------------------------------*
*  |
*  +-------------------------------------------------------------------*
* From this point .....
* Particle generation (1 for primaries)
      LOFLK  (NPFLKA) = 1
* User dependent flag:
      LOUSE  (NPFLKA) = 0
* User dependent spare variables:
      DO 100 ISPR = 1, MKBMX1
         SPAREK (ISPR,NPFLKA) = ZERZER
 100  CONTINUE
* User dependent spare flags:
      DO 200 ISPR = 1, MKBMX2
         ISPARK (ISPR,NPFLKA) = 0
 200  CONTINUE
* Save the track number of the stack particle:
      ISPARK (MKBMX2,NPFLKA) = NPFLKA
      NPARMA = NPARMA + 1
      NUMPAR (NPFLKA) = NPARMA
      NEVENT (NPFLKA) = 0
      DFNEAR (NPFLKA) = +ZERZER
* ... to this point: don't change anything
* Particle age (s)
      AGESTK (NPFLKA) = +ZERZER
      AKNSHR (NPFLKA) = -TWOTWO
* Group number for "low" energy neutrons, set to 0 anyway
      IGROUP (NPFLKA) = 0
* Energy of particle
	  ENERGY=FLRNDM(ISSED1)*1000000000
      SELECT CASE(INT(ENERGY))
         CASE(:800641)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.024077
            XFLK(NPFLKA) =-0.116541
            YFLK(NPFLKA) =0.083327
            ZFLK(NPFLKA) =-1.92263
            TXFLK  (NPFLKA) = -0.049199
            TYFLK  (NPFLKA) = 0.050873
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(800642:1601281)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.012588
            XFLK(NPFLKA) =0.066475
            YFLK(NPFLKA) =-0.018039
            ZFLK(NPFLKA) =-1.91413
            TXFLK  (NPFLKA) = 0.068155
            TYFLK  (NPFLKA) = -0.016961
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(1601282:2401922)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.290595
            XFLK(NPFLKA) =-0.03088
            YFLK(NPFLKA) =0.003394
            ZFLK(NPFLKA) =-1.60397
            TXFLK  (NPFLKA) = 0.004571
            TYFLK  (NPFLKA) = 0.002005
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(2401923:3202562)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 1.46686
            XFLK(NPFLKA) =-0.008184
            YFLK(NPFLKA) =-0.001031
            ZFLK(NPFLKA) =-1.59573
            TXFLK  (NPFLKA) = 0.019598
            TYFLK  (NPFLKA) = -0.000893
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(3202563:4003203)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.938798
            XFLK(NPFLKA) =-0.005773
            YFLK(NPFLKA) =0.002123
            ZFLK(NPFLKA) =1.53137
            TXFLK  (NPFLKA) = 0.019559
            TYFLK  (NPFLKA) = 0.001898
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(4003204:4803843)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.321854
            XFLK(NPFLKA) =0.016009
            YFLK(NPFLKA) =-0.001059
            ZFLK(NPFLKA) =1.53213
            TXFLK  (NPFLKA) = 0.036003
            TYFLK  (NPFLKA) = -0.000924
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(4803844:5604484)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.005933
            XFLK(NPFLKA) =0.070055
            YFLK(NPFLKA) =0.004763
            ZFLK(NPFLKA) =1.53815
            TXFLK  (NPFLKA) = 0.079814
            TYFLK  (NPFLKA) = 0.003564
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(5604485:6405124)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.023607
            XFLK(NPFLKA) =-0.061218
            YFLK(NPFLKA) =-0.132743
            ZFLK(NPFLKA) =1.54974
            TXFLK  (NPFLKA) = -0.021776
            TYFLK  (NPFLKA) = -0.092872
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(6405125:7205765)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.013511
            XFLK(NPFLKA) =0.060106
            YFLK(NPFLKA) =0.010972
            ZFLK(NPFLKA) =-1.55173
            TXFLK  (NPFLKA) = 0.064827
            TYFLK  (NPFLKA) = 0.009209
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(7205766:8006405)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.013753
            XFLK(NPFLKA) =-0.134872
            YFLK(NPFLKA) =-0.068562
            ZFLK(NPFLKA) =1.51003
            TXFLK  (NPFLKA) = -0.080694
            TYFLK  (NPFLKA) = -0.052806
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(8006406:8807046)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 1.55889
            XFLK(NPFLKA) =-0.012783
            YFLK(NPFLKA) =0.001364
            ZFLK(NPFLKA) =1.50494
            TXFLK  (NPFLKA) = 0.013492
            TYFLK  (NPFLKA) = 0.000713
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(8807047:9607686)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.719242
            XFLK(NPFLKA) =-0.016344
            YFLK(NPFLKA) =7.6e-05
            ZFLK(NPFLKA) =1.50263
            TXFLK  (NPFLKA) = 0.011673
            TYFLK  (NPFLKA) = 0.000364
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(9607687:10408327)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.080937
            XFLK(NPFLKA) =-0.036827
            YFLK(NPFLKA) =-0.061732
            ZFLK(NPFLKA) =1.51528
            TXFLK  (NPFLKA) = -0.006438
            TYFLK  (NPFLKA) = -0.044211
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(10408328:11208967)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.089401
            XFLK(NPFLKA) =-0.044516
            YFLK(NPFLKA) =0.02237
            ZFLK(NPFLKA) =-1.5246
            TXFLK  (NPFLKA) = -0.00775
            TYFLK  (NPFLKA) = 0.014942
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(11208968:12009608)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 6.62228
            XFLK(NPFLKA) =-0.008128
            YFLK(NPFLKA) =-0.000198
            ZFLK(NPFLKA) =1.49478
            TXFLK  (NPFLKA) = 0.017243
            TYFLK  (NPFLKA) = -0.000191
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(12009609:12810248)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.908002
            XFLK(NPFLKA) =-0.003339
            YFLK(NPFLKA) =-0.001443
            ZFLK(NPFLKA) =1.48729
            TXFLK  (NPFLKA) = 0.021691
            TYFLK  (NPFLKA) = -0.001451
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(12810249:13610889)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.006825
            XFLK(NPFLKA) =0.034383
            YFLK(NPFLKA) =-0.005504
            ZFLK(NPFLKA) =-1.47201
            TXFLK  (NPFLKA) = 0.046839
            TYFLK  (NPFLKA) = -0.007447
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(13610890:14411529)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.042372
            XFLK(NPFLKA) =0.022465
            YFLK(NPFLKA) =0.00144
            ZFLK(NPFLKA) =1.44339
            TXFLK  (NPFLKA) = 0.03044
            TYFLK  (NPFLKA) = 0.001506
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(14411530:15212170)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.102104
            XFLK(NPFLKA) =-0.043552
            YFLK(NPFLKA) =0.02449
            ZFLK(NPFLKA) =1.44913
            TXFLK  (NPFLKA) = -0.01739
            TYFLK  (NPFLKA) = 0.019008
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(15212171:16012810)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.23855
            XFLK(NPFLKA) =0.004631
            YFLK(NPFLKA) =0.011511
            ZFLK(NPFLKA) =1.44516
            TXFLK  (NPFLKA) = 0.026502
            TYFLK  (NPFLKA) = 0.009033
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(16012811:16813451)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 5.3099
            XFLK(NPFLKA) =-0.0094
            YFLK(NPFLKA) =0.000291
            ZFLK(NPFLKA) =-1.44094
            TXFLK  (NPFLKA) = 0.015633
            TYFLK  (NPFLKA) = 0.000135
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(16813452:17614091)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.01608
            XFLK(NPFLKA) =0.013592
            YFLK(NPFLKA) =-0.2003
            ZFLK(NPFLKA) =-1.43926
            TXFLK  (NPFLKA) = 0.02639
            TYFLK  (NPFLKA) = -0.148141
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(17614092:18414732)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.084593
            XFLK(NPFLKA) =0.022488
            YFLK(NPFLKA) =-0.103788
            ZFLK(NPFLKA) =1.43299
            TXFLK  (NPFLKA) = 0.036463
            TYFLK  (NPFLKA) = -0.080071
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(18414733:19215372)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.800833
            XFLK(NPFLKA) =0.005153
            YFLK(NPFLKA) =-0.000505
            ZFLK(NPFLKA) =1.41602
            TXFLK  (NPFLKA) = 0.025302
            TYFLK  (NPFLKA) = -0.000508
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(19215373:20016013)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.386093
            XFLK(NPFLKA) =-0.020202
            YFLK(NPFLKA) =0.004512
            ZFLK(NPFLKA) =1.40791
            TXFLK  (NPFLKA) = 0.003809
            TYFLK  (NPFLKA) = 0.002925
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(20016014:20816653)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.007038
            XFLK(NPFLKA) =0.052802
            YFLK(NPFLKA) =-0.005689
            ZFLK(NPFLKA) =1.40875
            TXFLK  (NPFLKA) = 0.070638
            TYFLK  (NPFLKA) = -0.006639
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(20816654:21617294)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 15.5124
            XFLK(NPFLKA) =-0.007647
            YFLK(NPFLKA) =-0.000129
            ZFLK(NPFLKA) =-1.42342
            TXFLK  (NPFLKA) = 0.016809
            TYFLK  (NPFLKA) = -0.000119
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(21617295:22417934)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.945949
            XFLK(NPFLKA) =0.002248
            YFLK(NPFLKA) =-0.001154
            ZFLK(NPFLKA) =1.37676
            TXFLK  (NPFLKA) = 0.024128
            TYFLK  (NPFLKA) = -0.001175
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(22417935:23218575)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.026338
            XFLK(NPFLKA) =0.069916
            YFLK(NPFLKA) =-0.001415
            ZFLK(NPFLKA) =1.37802
            TXFLK  (NPFLKA) = 0.086907
            TYFLK  (NPFLKA) = -0.002459
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(23218576:24019215)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.008677
            XFLK(NPFLKA) =-0.018489
            YFLK(NPFLKA) =-0.274427
            ZFLK(NPFLKA) =1.3608
            TXFLK  (NPFLKA) = 0.012936
            TYFLK  (NPFLKA) = -0.208404
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(24019216:24819856)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.006095
            XFLK(NPFLKA) =0.048124
            YFLK(NPFLKA) =-0.060737
            ZFLK(NPFLKA) =1.39494
            TXFLK  (NPFLKA) = 0.062768
            TYFLK  (NPFLKA) = -0.069211
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(24819857:25620496)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.153742
            XFLK(NPFLKA) =-0.038599
            YFLK(NPFLKA) =0.011232
            ZFLK(NPFLKA) =1.38411
            TXFLK  (NPFLKA) = -0.006008
            TYFLK  (NPFLKA) = 0.007871
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(25620497:26421137)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.179567
            XFLK(NPFLKA) =0.057418
            YFLK(NPFLKA) =0.000575
            ZFLK(NPFLKA) =-1.38281
            TXFLK  (NPFLKA) = 0.071955
            TYFLK  (NPFLKA) = 0.000816
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(26421138:27221777)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.041182
            XFLK(NPFLKA) =-0.094045
            YFLK(NPFLKA) =0.051938
            ZFLK(NPFLKA) =-1.38526
            TXFLK  (NPFLKA) = -0.051248
            TYFLK  (NPFLKA) = 0.039886
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(27221778:28022418)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.010065
            XFLK(NPFLKA) =0.032692
            YFLK(NPFLKA) =-0.00064
            ZFLK(NPFLKA) =-1.37472
            TXFLK  (NPFLKA) = 0.044099
            TYFLK  (NPFLKA) = -0.000912
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(28022419:28823058)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 3.85076
            XFLK(NPFLKA) =-0.009423
            YFLK(NPFLKA) =0.00064
            ZFLK(NPFLKA) =-1.38767
            TXFLK  (NPFLKA) = 0.01526
            TYFLK  (NPFLKA) = 0.000388
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(28823059:29623699)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 1.5389
            XFLK(NPFLKA) =-0.003938
            YFLK(NPFLKA) =0.000864
            ZFLK(NPFLKA) =-1.37735
            TXFLK  (NPFLKA) = 0.019982
            TYFLK  (NPFLKA) = 0.000865
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(29623700:30424339)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.008635
            XFLK(NPFLKA) =-0.196927
            YFLK(NPFLKA) =0.1706
            ZFLK(NPFLKA) =1.35295
            TXFLK  (NPFLKA) = -0.133134
            TYFLK  (NPFLKA) = 0.123614
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(30424340:31224980)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.037512
            XFLK(NPFLKA) =-0.077624
            YFLK(NPFLKA) =0.019085
            ZFLK(NPFLKA) =1.35485
            TXFLK  (NPFLKA) = -0.045394
            TYFLK  (NPFLKA) = 0.014822
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(31224981:32025620)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.050072
            XFLK(NPFLKA) =0.030355
            YFLK(NPFLKA) =-0.001788
            ZFLK(NPFLKA) =1.35234
            TXFLK  (NPFLKA) = 0.039886
            TYFLK  (NPFLKA) = -0.002369
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(32025621:32826261)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.269133
            XFLK(NPFLKA) =0.021365
            YFLK(NPFLKA) =-0.002533
            ZFLK(NPFLKA) =1.35386
            TXFLK  (NPFLKA) = 0.042049
            TYFLK  (NPFLKA) = -0.002481
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(32826262:33626902)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 3.23096
            XFLK(NPFLKA) =-0.009143
            YFLK(NPFLKA) =-0.000206
            ZFLK(NPFLKA) =1.3687
            TXFLK  (NPFLKA) = 0.014712
            TYFLK  (NPFLKA) = -7.6e-05
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(33626903:34427542)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.008192
            XFLK(NPFLKA) =0.045069
            YFLK(NPFLKA) =-0.001775
            ZFLK(NPFLKA) =1.36146
            TXFLK  (NPFLKA) = 0.056848
            TYFLK  (NPFLKA) = -0.002571
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(34427543:35228183)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.107947
            XFLK(NPFLKA) =0.075062
            YFLK(NPFLKA) =-0.000357
            ZFLK(NPFLKA) =1.35669
            TXFLK  (NPFLKA) = 0.086193
            TYFLK  (NPFLKA) = -0.000602
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(35228184:36028823)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.274609
            XFLK(NPFLKA) =0.033329
            YFLK(NPFLKA) =0.006773
            ZFLK(NPFLKA) =-1.35192
            TXFLK  (NPFLKA) = 0.04783
            TYFLK  (NPFLKA) = 0.008069
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(36028824:36829464)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.63497
            XFLK(NPFLKA) =0.008551
            YFLK(NPFLKA) =-0.001213
            ZFLK(NPFLKA) =-1.35115
            TXFLK  (NPFLKA) = 0.02836
            TYFLK  (NPFLKA) = -0.00117
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(36829465:37630104)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.092357
            XFLK(NPFLKA) =-0.053611
            YFLK(NPFLKA) =-0.027758
            ZFLK(NPFLKA) =-1.36597
            TXFLK  (NPFLKA) = -0.021795
            TYFLK  (NPFLKA) = -0.021211
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(37630105:38430745)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.012817
            XFLK(NPFLKA) =0.02616
            YFLK(NPFLKA) =0.014202
            ZFLK(NPFLKA) =-1.34635
            TXFLK  (NPFLKA) = 0.035922
            TYFLK  (NPFLKA) = 0.02103
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(38430746:39231385)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.210969
            XFLK(NPFLKA) =-0.027564
            YFLK(NPFLKA) =-0.024366
            ZFLK(NPFLKA) =-1.35588
            TXFLK  (NPFLKA) = -0.000265
            TYFLK  (NPFLKA) = -0.017929
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(39231386:40032026)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.005123
            XFLK(NPFLKA) =-0.244618
            YFLK(NPFLKA) =0.270533
            ZFLK(NPFLKA) =-1.32329
            TXFLK  (NPFLKA) = -0.171291
            TYFLK  (NPFLKA) = 0.238899
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(40032027:40832666)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.005983
            XFLK(NPFLKA) =0.075495
            YFLK(NPFLKA) =-0.426801
            ZFLK(NPFLKA) =-1.3289
            TXFLK  (NPFLKA) = 0.052546
            TYFLK  (NPFLKA) = -0.339628
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(40832667:41633307)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.015782
            XFLK(NPFLKA) =-0.073621
            YFLK(NPFLKA) =-0.201844
            ZFLK(NPFLKA) =1.32869
            TXFLK  (NPFLKA) = -0.039887
            TYFLK  (NPFLKA) = -0.165679
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(41633308:42433947)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.005331
            XFLK(NPFLKA) =0.409979
            YFLK(NPFLKA) =-0.06809
            ZFLK(NPFLKA) =1.2794
            TXFLK  (NPFLKA) = 0.346009
            TYFLK  (NPFLKA) = -0.026596
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(42433948:43234588)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.080551
            XFLK(NPFLKA) =0.062136
            YFLK(NPFLKA) =-8.9e-05
            ZFLK(NPFLKA) =1.3405
            TXFLK  (NPFLKA) = 0.072495
            TYFLK  (NPFLKA) = -0.000199
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(43234589:44035228)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.280013
            XFLK(NPFLKA) =-0.024345
            YFLK(NPFLKA) =-0.00575
            ZFLK(NPFLKA) =1.3421
            TXFLK  (NPFLKA) = 0.002161
            TYFLK  (NPFLKA) = -0.004221
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(44035229:44835869)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.016199
            XFLK(NPFLKA) =0.043196
            YFLK(NPFLKA) =-0.001723
            ZFLK(NPFLKA) =1.31594
            TXFLK  (NPFLKA) = 0.060877
            TYFLK  (NPFLKA) = -0.002485
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(44835870:45636509)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.008819
            XFLK(NPFLKA) =0.055438
            YFLK(NPFLKA) =-0.002392
            ZFLK(NPFLKA) =1.31432
            TXFLK  (NPFLKA) = 0.075594
            TYFLK  (NPFLKA) = -0.002866
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(45636510:46437150)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.029976
            XFLK(NPFLKA) =-0.108642
            YFLK(NPFLKA) =0.06758
            ZFLK(NPFLKA) =1.3231
            TXFLK  (NPFLKA) = -0.06476
            TYFLK  (NPFLKA) = 0.051728
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(46437151:47237790)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.008677
            XFLK(NPFLKA) =-0.103074
            YFLK(NPFLKA) =0.199645
            ZFLK(NPFLKA) =1.317
            TXFLK  (NPFLKA) = -0.061846
            TYFLK  (NPFLKA) = 0.145017
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(47237791:48038431)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 2.74571
            XFLK(NPFLKA) =-0.010856
            YFLK(NPFLKA) =-0.001003
            ZFLK(NPFLKA) =1.33849
            TXFLK  (NPFLKA) = 0.015064
            TYFLK  (NPFLKA) = -0.000666
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(48038432:48839071)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.056075
            XFLK(NPFLKA) =-0.020662
            YFLK(NPFLKA) =0.004923
            ZFLK(NPFLKA) =-1.31991
            TXFLK  (NPFLKA) = -0.001042
            TYFLK  (NPFLKA) = 0.007521
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(48839072:49639712)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.03334
            XFLK(NPFLKA) =0.047176
            YFLK(NPFLKA) =0.020928
            ZFLK(NPFLKA) =-1.32659
            TXFLK  (NPFLKA) = 0.07081
            TYFLK  (NPFLKA) = 0.02135
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(49639713:50440352)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.15178
            XFLK(NPFLKA) =-0.047708
            YFLK(NPFLKA) =0.065889
            ZFLK(NPFLKA) =-1.34054
            TXFLK  (NPFLKA) = -0.021788
            TYFLK  (NPFLKA) = 0.054301
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(50440353:51240993)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.518108
            XFLK(NPFLKA) =-0.015224
            YFLK(NPFLKA) =0.00781
            ZFLK(NPFLKA) =-1.3406
            TXFLK  (NPFLKA) = 0.006724
            TYFLK  (NPFLKA) = 0.006008
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(51240994:52041633)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 1.35754
            XFLK(NPFLKA) =-2.6e-05
            YFLK(NPFLKA) =-0.000722
            ZFLK(NPFLKA) =-1.32809
            TXFLK  (NPFLKA) = 0.021555
            TYFLK  (NPFLKA) = -0.000759
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(52041634:52842274)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.369393
            XFLK(NPFLKA) =-0.019812
            YFLK(NPFLKA) =0.016518
            ZFLK(NPFLKA) =-1.32324
            TXFLK  (NPFLKA) = 0.004751
            TYFLK  (NPFLKA) = 0.012503
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(52842275:53642914)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 7.20657
            XFLK(NPFLKA) =-0.004935
            YFLK(NPFLKA) =0.00027
            ZFLK(NPFLKA) =-1.32378
            TXFLK  (NPFLKA) = 0.017386
            TYFLK  (NPFLKA) = 0.000261
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(53642915:54443555)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.062872
            XFLK(NPFLKA) =-0.076461
            YFLK(NPFLKA) =-0.048484
            ZFLK(NPFLKA) =-1.3184
            TXFLK  (NPFLKA) = -0.035474
            TYFLK  (NPFLKA) = -0.035686
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(54443556:55244195)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.008249
            XFLK(NPFLKA) =0.13906
            YFLK(NPFLKA) =0.10751
            ZFLK(NPFLKA) =-1.31112
            TXFLK  (NPFLKA) = 0.118498
            TYFLK  (NPFLKA) = 0.077145
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(55244196:56044836)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.22074
            XFLK(NPFLKA) =-0.02683
            YFLK(NPFLKA) =0.019009
            ZFLK(NPFLKA) =-1.32577
            TXFLK  (NPFLKA) = 0.000781
            TYFLK  (NPFLKA) = 0.014054
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(56044837:56845476)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.029425
            XFLK(NPFLKA) =-0.097592
            YFLK(NPFLKA) =0.079523
            ZFLK(NPFLKA) =1.31034
            TXFLK  (NPFLKA) = -0.057911
            TYFLK  (NPFLKA) = 0.061895
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(56845477:57646117)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.008987
            XFLK(NPFLKA) =-0.117993
            YFLK(NPFLKA) =0.272122
            ZFLK(NPFLKA) =1.2872
            TXFLK  (NPFLKA) = -0.085007
            TYFLK  (NPFLKA) = 0.216183
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(57646118:58446757)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.009231
            XFLK(NPFLKA) =-0.160527
            YFLK(NPFLKA) =-0.048121
            ZFLK(NPFLKA) =1.28845
            TXFLK  (NPFLKA) = -0.133654
            TYFLK  (NPFLKA) = -0.047806
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(58446758:59247398)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.117165
            XFLK(NPFLKA) =0.028057
            YFLK(NPFLKA) =-0.005423
            ZFLK(NPFLKA) =1.29377
            TXFLK  (NPFLKA) = 0.049321
            TYFLK  (NPFLKA) = -0.005534
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(59247399:60048038)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 1.96371
            XFLK(NPFLKA) =-0.005242
            YFLK(NPFLKA) =-0.000129
            ZFLK(NPFLKA) =1.28805
            TXFLK  (NPFLKA) = 0.014888
            TYFLK  (NPFLKA) = -0.000212
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(60048039:60848679)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.390533
            XFLK(NPFLKA) =-0.015936
            YFLK(NPFLKA) =0.000149
            ZFLK(NPFLKA) =1.28599
            TXFLK  (NPFLKA) = 0.005871
            TYFLK  (NPFLKA) = 0.000529
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(60848680:61649319)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.05505
            XFLK(NPFLKA) =0.03191
            YFLK(NPFLKA) =-0.000205
            ZFLK(NPFLKA) =1.28905
            TXFLK  (NPFLKA) = 0.03903
            TYFLK  (NPFLKA) = -0.000398
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(61649320:62449960)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.227477
            XFLK(NPFLKA) =0.034043
            YFLK(NPFLKA) =0.001217
            ZFLK(NPFLKA) =1.29385
            TXFLK  (NPFLKA) = 0.053677
            TYFLK  (NPFLKA) = 0.001057
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(62449961:63250600)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.131664
            XFLK(NPFLKA) =0.025635
            YFLK(NPFLKA) =-0.006446
            ZFLK(NPFLKA) =1.30368
            TXFLK  (NPFLKA) = 0.049858
            TYFLK  (NPFLKA) = -0.006568
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(63250601:64051241)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.12598
            XFLK(NPFLKA) =-0.022918
            YFLK(NPFLKA) =0.001765
            ZFLK(NPFLKA) =-1.29086
            TXFLK  (NPFLKA) = -0.006985
            TYFLK  (NPFLKA) = 0.002655
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(64051242:64851882)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.030363
            XFLK(NPFLKA) =0.067206
            YFLK(NPFLKA) =0.000705
            ZFLK(NPFLKA) =-1.28427
            TXFLK  (NPFLKA) = 0.080928
            TYFLK  (NPFLKA) = 0.000908
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(64851883:65652522)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.014193
            XFLK(NPFLKA) =0.055867
            YFLK(NPFLKA) =0.001541
            ZFLK(NPFLKA) =-1.30131
            TXFLK  (NPFLKA) = 0.083266
            TYFLK  (NPFLKA) = 0.001607
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(65652523:66453163)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.010125
            XFLK(NPFLKA) =0.09746
            YFLK(NPFLKA) =0.022926
            ZFLK(NPFLKA) =-1.29891
            TXFLK  (NPFLKA) = 0.117442
            TYFLK  (NPFLKA) = 0.027072
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(66453164:67253803)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 2.52776
            XFLK(NPFLKA) =-0.009082
            YFLK(NPFLKA) =0.000682
            ZFLK(NPFLKA) =-1.28828
            TXFLK  (NPFLKA) = 0.014236
            TYFLK  (NPFLKA) = 0.000455
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(67253804:68054444)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 1.04653
            XFLK(NPFLKA) =-0.000588
            YFLK(NPFLKA) =0.000663
            ZFLK(NPFLKA) =-1.29728
            TXFLK  (NPFLKA) = 0.022099
            TYFLK  (NPFLKA) = 0.00078
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(68054445:68855084)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.09123
            XFLK(NPFLKA) =0.070848
            YFLK(NPFLKA) =0.00191
            ZFLK(NPFLKA) =-1.28568
            TXFLK  (NPFLKA) = 0.082834
            TYFLK  (NPFLKA) = 0.002209
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(68855085:69655725)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.04468
            XFLK(NPFLKA) =-0.054355
            YFLK(NPFLKA) =-0.088684
            ZFLK(NPFLKA) =-1.29975
            TXFLK  (NPFLKA) = -0.024312
            TYFLK  (NPFLKA) = -0.070133
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(69655726:70456365)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 1.52957
            XFLK(NPFLKA) =-0.011556
            YFLK(NPFLKA) =-0.000929
            ZFLK(NPFLKA) =-1.30789
            TXFLK  (NPFLKA) = 0.012928
            TYFLK  (NPFLKA) = -0.000614
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(70456366:71257006)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.092809
            XFLK(NPFLKA) =0.048273
            YFLK(NPFLKA) =0.001888
            ZFLK(NPFLKA) =-1.30852
            TXFLK  (NPFLKA) = 0.056839
            TYFLK  (NPFLKA) = 0.002022
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(71257007:72057646)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.08637
            XFLK(NPFLKA) =0.048537
            YFLK(NPFLKA) =-0.001013
            ZFLK(NPFLKA) =-1.30692
            TXFLK  (NPFLKA) = 0.058508
            TYFLK  (NPFLKA) = -0.001521
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(72057647:72858287)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.051848
            XFLK(NPFLKA) =0.022376
            YFLK(NPFLKA) =-9.8e-05
            ZFLK(NPFLKA) =-1.30763
            TXFLK  (NPFLKA) = 0.036831
            TYFLK  (NPFLKA) = -0.000155
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(72858288:73658927)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.03766
            XFLK(NPFLKA) =-0.05837
            YFLK(NPFLKA) =-0.112851
            ZFLK(NPFLKA) =-1.30912
            TXFLK  (NPFLKA) = -0.02774
            TYFLK  (NPFLKA) = -0.088267
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(73658928:74459568)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.005998
            XFLK(NPFLKA) =-0.228738
            YFLK(NPFLKA) =0.390993
            ZFLK(NPFLKA) =-1.26273
            TXFLK  (NPFLKA) = -0.120539
            TYFLK  (NPFLKA) = 0.305477
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(74459569:75260208)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.007514
            XFLK(NPFLKA) =-0.146198
            YFLK(NPFLKA) =0.184537
            ZFLK(NPFLKA) =-1.29976
            TXFLK  (NPFLKA) = -0.097197
            TYFLK  (NPFLKA) = 0.157262
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(75260209:76060849)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.005385
            XFLK(NPFLKA) =-0.345461
            YFLK(NPFLKA) =0.124441
            ZFLK(NPFLKA) =1.23563
            TXFLK  (NPFLKA) = -0.266604
            TYFLK  (NPFLKA) = 0.078836
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(76060850:76861489)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.104903
            XFLK(NPFLKA) =0.035685
            YFLK(NPFLKA) =-0.001854
            ZFLK(NPFLKA) =1.2813
            TXFLK  (NPFLKA) = 0.057363
            TYFLK  (NPFLKA) = -0.00198
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(76861490:77662130)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.104585
            XFLK(NPFLKA) =-0.023935
            YFLK(NPFLKA) =0.003515
            ZFLK(NPFLKA) =1.26978
            TXFLK  (NPFLKA) = -0.003511
            TYFLK  (NPFLKA) = 0.001649
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(77662131:78462770)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.037194
            XFLK(NPFLKA) =0.081938
            YFLK(NPFLKA) =-0.006633
            ZFLK(NPFLKA) =1.26425
            TXFLK  (NPFLKA) = 0.100035
            TYFLK  (NPFLKA) = -0.008763
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(78462771:79263411)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.050762
            XFLK(NPFLKA) =-0.038955
            YFLK(NPFLKA) =0.043425
            ZFLK(NPFLKA) =1.2586
            TXFLK  (NPFLKA) = -0.018171
            TYFLK  (NPFLKA) = 0.037558
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(79263412:80064051)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.26628
            XFLK(NPFLKA) =0.015074
            YFLK(NPFLKA) =-0.002711
            ZFLK(NPFLKA) =1.2569
            TXFLK  (NPFLKA) = 0.036111
            TYFLK  (NPFLKA) = -0.002817
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(80064052:80864692)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 9.74723
            XFLK(NPFLKA) =-0.005058
            YFLK(NPFLKA) =3.9e-05
            ZFLK(NPFLKA) =1.25962
            TXFLK  (NPFLKA) = 0.016076
            TYFLK  (NPFLKA) = 6e-06
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(80864693:81665332)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.010596
            XFLK(NPFLKA) =0.058009
            YFLK(NPFLKA) =0.018421
            ZFLK(NPFLKA) =1.26247
            TXFLK  (NPFLKA) = 0.078266
            TYFLK  (NPFLKA) = 0.026575
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(81665333:82465973)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.100513
            XFLK(NPFLKA) =0.064156
            YFLK(NPFLKA) =-0.000439
            ZFLK(NPFLKA) =1.27472
            TXFLK  (NPFLKA) = 0.08368
            TYFLK  (NPFLKA) = -0.000584
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(82465974:83266613)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.487914
            XFLK(NPFLKA) =-0.013041
            YFLK(NPFLKA) =-0.000676
            ZFLK(NPFLKA) =1.27863
            TXFLK  (NPFLKA) = 0.008626
            TYFLK  (NPFLKA) = -0.00025
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(83266614:84067254)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.007577
            XFLK(NPFLKA) =-0.123051
            YFLK(NPFLKA) =0.243671
            ZFLK(NPFLKA) =1.24819
            TXFLK  (NPFLKA) = -0.097672
            TYFLK  (NPFLKA) = 0.208084
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(84067255:84867894)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.066537
            XFLK(NPFLKA) =0.062598
            YFLK(NPFLKA) =-0.000537
            ZFLK(NPFLKA) =1.27034
            TXFLK  (NPFLKA) = 0.07394
            TYFLK  (NPFLKA) = -0.000616
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(84867895:85668535)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 17.0236
            XFLK(NPFLKA) =-0.006495
            YFLK(NPFLKA) =5.3e-05
            ZFLK(NPFLKA) =1.25522
            TXFLK  (NPFLKA) = 0.016704
            TYFLK  (NPFLKA) = 5.3e-05
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(85668536:86469175)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 1.29452
            XFLK(NPFLKA) =-0.010746
            YFLK(NPFLKA) =-0.000294
            ZFLK(NPFLKA) =1.26107
            TXFLK  (NPFLKA) = 0.013023
            TYFLK  (NPFLKA) = -0.000124
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(86469176:87269816)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.008958
            XFLK(NPFLKA) =0.201686
            YFLK(NPFLKA) =-0.215492
            ZFLK(NPFLKA) =1.24654
            TXFLK  (NPFLKA) = 0.187584
            TYFLK  (NPFLKA) = -0.167183
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(87269817:88070456)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.005159
            XFLK(NPFLKA) =0.105599
            YFLK(NPFLKA) =-0.012413
            ZFLK(NPFLKA) =1.26087
            TXFLK  (NPFLKA) = 0.129122
            TYFLK  (NPFLKA) = -0.015696
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(88070457:88871097)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 1.55116
            XFLK(NPFLKA) =0.00077
            YFLK(NPFLKA) =-0.000584
            ZFLK(NPFLKA) =1.25418
            TXFLK  (NPFLKA) = 0.021373
            TYFLK  (NPFLKA) = -0.000646
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(88871098:89671737)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 3.051
            XFLK(NPFLKA) =-0.006964
            YFLK(NPFLKA) =0.001676
            ZFLK(NPFLKA) =1.2602
            TXFLK  (NPFLKA) = 0.014301
            TYFLK  (NPFLKA) = 0.001307
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(89671738:90472378)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.613827
            XFLK(NPFLKA) =-0.01402
            YFLK(NPFLKA) =0.006952
            ZFLK(NPFLKA) =1.27994
            TXFLK  (NPFLKA) = 0.009441
            TYFLK  (NPFLKA) = 0.005286
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(90472379:91273018)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.010279
            XFLK(NPFLKA) =-0.051924
            YFLK(NPFLKA) =-0.235434
            ZFLK(NPFLKA) =1.25872
            TXFLK  (NPFLKA) = -0.015583
            TYFLK  (NPFLKA) = -0.186194
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(91273019:92073659)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.019748
            XFLK(NPFLKA) =0.069991
            YFLK(NPFLKA) =0.001222
            ZFLK(NPFLKA) =-1.25938
            TXFLK  (NPFLKA) = 0.078783
            TYFLK  (NPFLKA) = 0.001728
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(92073660:92874299)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.111047
            XFLK(NPFLKA) =0.063407
            YFLK(NPFLKA) =-0.000106
            ZFLK(NPFLKA) =-1.26098
            TXFLK  (NPFLKA) = 0.07911
            TYFLK  (NPFLKA) = -0.000142
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(92874300:93674940)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.008517
            XFLK(NPFLKA) =0.034908
            YFLK(NPFLKA) =-0.007957
            ZFLK(NPFLKA) =-1.2604
            TXFLK  (NPFLKA) = 0.050344
            TYFLK  (NPFLKA) = -0.010763
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(93674941:94475580)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.799231
            XFLK(NPFLKA) =-0.013254
            YFLK(NPFLKA) =-4.8e-05
            ZFLK(NPFLKA) =-1.26649
            TXFLK  (NPFLKA) = 0.011819
            TYFLK  (NPFLKA) = -9.2e-05
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(94475581:95276221)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.360674
            XFLK(NPFLKA) =0.009887
            YFLK(NPFLKA) =0.001783
            ZFLK(NPFLKA) =-1.26108
            TXFLK  (NPFLKA) = 0.032541
            TYFLK  (NPFLKA) = 0.002075
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(95276222:96076861)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.239695
            XFLK(NPFLKA) =-0.021052
            YFLK(NPFLKA) =0.019082
            ZFLK(NPFLKA) =-1.27436
            TXFLK  (NPFLKA) = 0.003359
            TYFLK  (NPFLKA) = 0.014934
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(96076862:96877502)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.009087
            XFLK(NPFLKA) =-0.182682
            YFLK(NPFLKA) =0.210777
            ZFLK(NPFLKA) =-1.25238
            TXFLK  (NPFLKA) = -0.127636
            TYFLK  (NPFLKA) = 0.180898
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(96877503:97678143)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.006977
            XFLK(NPFLKA) =0.083643
            YFLK(NPFLKA) =-0.000366
            ZFLK(NPFLKA) =1.2265
            TXFLK  (NPFLKA) = 0.125021
            TYFLK  (NPFLKA) = 0.00021
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(97678144:98478783)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.644123
            XFLK(NPFLKA) =0.006843
            YFLK(NPFLKA) =0.000431
            ZFLK(NPFLKA) =1.24724
            TXFLK  (NPFLKA) = 0.025463
            TYFLK  (NPFLKA) = 0.000495
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(98478784:99279424)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.159635
            XFLK(NPFLKA) =-0.025097
            YFLK(NPFLKA) =-0.005779
            ZFLK(NPFLKA) =1.246
            TXFLK  (NPFLKA) = -0.005626
            TYFLK  (NPFLKA) = -0.004713
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(99279425:100080064)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.046711
            XFLK(NPFLKA) =-0.058969
            YFLK(NPFLKA) =-0.053518
            ZFLK(NPFLKA) =1.23507
            TXFLK  (NPFLKA) = -0.032385
            TYFLK  (NPFLKA) = -0.046176
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(100080065:100880705)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.019078
            XFLK(NPFLKA) =0.060919
            YFLK(NPFLKA) =0.000364
            ZFLK(NPFLKA) =1.23387
            TXFLK  (NPFLKA) = 0.08743
            TYFLK  (NPFLKA) = 0.000635
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(100880706:101681345)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.021937
            XFLK(NPFLKA) =0.048181
            YFLK(NPFLKA) =-0.000225
            ZFLK(NPFLKA) =1.23601
            TXFLK  (NPFLKA) = 0.061665
            TYFLK  (NPFLKA) = -0.000351
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(101681346:102481986)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.045423
            XFLK(NPFLKA) =-0.072383
            YFLK(NPFLKA) =0.057896
            ZFLK(NPFLKA) =1.22204
            TXFLK  (NPFLKA) = -0.041682
            TYFLK  (NPFLKA) = 0.047798
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(102481987:103282626)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.650893
            XFLK(NPFLKA) =0.000203
            YFLK(NPFLKA) =-0.003153
            ZFLK(NPFLKA) =1.22256
            TXFLK  (NPFLKA) = 0.022714
            TYFLK  (NPFLKA) = -0.002861
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(103282627:104083267)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.529863
            XFLK(NPFLKA) =-0.013019
            YFLK(NPFLKA) =0.010146
            ZFLK(NPFLKA) =1.22423
            TXFLK  (NPFLKA) = 0.01059
            TYFLK  (NPFLKA) = 0.007941
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(104083268:104883907)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.029244
            XFLK(NPFLKA) =0.05903
            YFLK(NPFLKA) =-0.000227
            ZFLK(NPFLKA) =1.23083
            TXFLK  (NPFLKA) = 0.078728
            TYFLK  (NPFLKA) = -0.00032
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(104883908:105684548)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.877467
            XFLK(NPFLKA) =-0.003819
            YFLK(NPFLKA) =9.9e-05
            ZFLK(NPFLKA) =-1.24106
            TXFLK  (NPFLKA) = 0.014665
            TYFLK  (NPFLKA) = -7.1e-05
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(105684549:106485188)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.079654
            XFLK(NPFLKA) =0.019224
            YFLK(NPFLKA) =-0.008685
            ZFLK(NPFLKA) =-1.23931
            TXFLK  (NPFLKA) = 0.041733
            TYFLK  (NPFLKA) = -0.009537
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(106485189:107285829)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.42012
            XFLK(NPFLKA) =0.007033
            YFLK(NPFLKA) =0.000795
            ZFLK(NPFLKA) =-1.23171
            TXFLK  (NPFLKA) = 0.026246
            TYFLK  (NPFLKA) = 0.000948
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(107285830:108086469)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.00905
            XFLK(NPFLKA) =0.059417
            YFLK(NPFLKA) =0.003913
            ZFLK(NPFLKA) =-1.22391
            TXFLK  (NPFLKA) = 0.078789
            TYFLK  (NPFLKA) = 0.004518
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(108086470:108887110)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.012016
            XFLK(NPFLKA) =-0.141777
            YFLK(NPFLKA) =-0.095283
            ZFLK(NPFLKA) =-1.22258
            TXFLK  (NPFLKA) = -0.11268
            TYFLK  (NPFLKA) = -0.083491
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(108887111:109687750)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 2.25813
            XFLK(NPFLKA) =-0.005227
            YFLK(NPFLKA) =4.4e-05
            ZFLK(NPFLKA) =-1.22782
            TXFLK  (NPFLKA) = 0.014034
            TYFLK  (NPFLKA) = 7.7e-05
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(109687751:110488391)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 15.1942
            XFLK(NPFLKA) =-0.002156
            YFLK(NPFLKA) =-0.000114
            ZFLK(NPFLKA) =-1.23546
            TXFLK  (NPFLKA) = 0.016892
            TYFLK  (NPFLKA) = -0.000116
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(110488392:111289031)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.027817
            XFLK(NPFLKA) =0.029312
            YFLK(NPFLKA) =0.000897
            ZFLK(NPFLKA) =-1.22559
            TXFLK  (NPFLKA) = 0.043726
            TYFLK  (NPFLKA) = 0.000598
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(111289032:112089672)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.010523
            XFLK(NPFLKA) =-0.148987
            YFLK(NPFLKA) =-0.074941
            ZFLK(NPFLKA) =-1.23054
            TXFLK  (NPFLKA) = -0.113934
            TYFLK  (NPFLKA) = -0.062365
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(112089673:112890312)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.312368
            XFLK(NPFLKA) =-0.019018
            YFLK(NPFLKA) =-0.008377
            ZFLK(NPFLKA) =-1.25029
            TXFLK  (NPFLKA) = 0.002491
            TYFLK  (NPFLKA) = -0.006773
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(112890313:113690953)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.013181
            XFLK(NPFLKA) =0.036261
            YFLK(NPFLKA) =0.223724
            ZFLK(NPFLKA) =-1.22723
            TXFLK  (NPFLKA) = 0.052498
            TYFLK  (NPFLKA) = 0.193791
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(113690954:114491593)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.388011
            XFLK(NPFLKA) =-0.016241
            YFLK(NPFLKA) =0.004684
            ZFLK(NPFLKA) =-1.22853
            TXFLK  (NPFLKA) = 0.006263
            TYFLK  (NPFLKA) = 0.003666
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(114491594:115292234)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.092021
            XFLK(NPFLKA) =0.069295
            YFLK(NPFLKA) =0.000521
            ZFLK(NPFLKA) =-1.22546
            TXFLK  (NPFLKA) = 0.085534
            TYFLK  (NPFLKA) = 0.000676
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(115292235:116092874)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.04216
            XFLK(NPFLKA) =0.063281
            YFLK(NPFLKA) =-0.000521
            ZFLK(NPFLKA) =-1.22269
            TXFLK  (NPFLKA) = 0.076081
            TYFLK  (NPFLKA) = -0.000512
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(116092875:116893515)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.023137
            XFLK(NPFLKA) =-0.087771
            YFLK(NPFLKA) =0.127046
            ZFLK(NPFLKA) =-1.22513
            TXFLK  (NPFLKA) = -0.052143
            TYFLK  (NPFLKA) = 0.105936
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(116893516:117694155)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.062827
            XFLK(NPFLKA) =0.026779
            YFLK(NPFLKA) =0.002378
            ZFLK(NPFLKA) =-1.22431
            TXFLK  (NPFLKA) = 0.036876
            TYFLK  (NPFLKA) = 0.003545
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(117694156:118494796)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.054729
            XFLK(NPFLKA) =0.057597
            YFLK(NPFLKA) =-0.001215
            ZFLK(NPFLKA) =-1.22701
            TXFLK  (NPFLKA) = 0.070824
            TYFLK  (NPFLKA) = -0.00183
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(118494797:119295436)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.10497
            XFLK(NPFLKA) =0.048222
            YFLK(NPFLKA) =-0.000203
            ZFLK(NPFLKA) =-1.23338
            TXFLK  (NPFLKA) = 0.059237
            TYFLK  (NPFLKA) = -0.000195
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(119295437:120096077)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 1.27078
            XFLK(NPFLKA) =-0.009193
            YFLK(NPFLKA) =0.003959
            ZFLK(NPFLKA) =-1.23038
            TXFLK  (NPFLKA) = 0.012866
            TYFLK  (NPFLKA) = 0.003107
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(120096078:120896717)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.406482
            XFLK(NPFLKA) =0.012539
            YFLK(NPFLKA) =-0.001151
            ZFLK(NPFLKA) =-1.22644
            TXFLK  (NPFLKA) = 0.033564
            TYFLK  (NPFLKA) = -0.001215
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(120896718:121697358)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.005621
            XFLK(NPFLKA) =0.037675
            YFLK(NPFLKA) =0.348604
            ZFLK(NPFLKA) =-1.21265
            TXFLK  (NPFLKA) = 0.070759
            TYFLK  (NPFLKA) = 0.280993
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(121697359:122497998)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.034309
            XFLK(NPFLKA) =0.080271
            YFLK(NPFLKA) =-0.002863
            ZFLK(NPFLKA) =1.22039
            TXFLK  (NPFLKA) = 0.093121
            TYFLK  (NPFLKA) = -0.003109
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(122497999:123298639)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.00879
            XFLK(NPFLKA) =-0.10187
            YFLK(NPFLKA) =-0.370325
            ZFLK(NPFLKA) =1.16019
            TXFLK  (NPFLKA) = -0.056166
            TYFLK  (NPFLKA) = -0.329738
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(123298640:124099279)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.006039
            XFLK(NPFLKA) =-0.124844
            YFLK(NPFLKA) =-0.192921
            ZFLK(NPFLKA) =1.18033
            TXFLK  (NPFLKA) = -0.095059
            TYFLK  (NPFLKA) = -0.186505
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(124099280:124899920)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.056063
            XFLK(NPFLKA) =0.070765
            YFLK(NPFLKA) =-0.009611
            ZFLK(NPFLKA) =1.20929
            TXFLK  (NPFLKA) = 0.09522
            TYFLK  (NPFLKA) = -0.012634
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(124899921:125700560)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.016438
            XFLK(NPFLKA) =-0.129166
            YFLK(NPFLKA) =-0.032696
            ZFLK(NPFLKA) =1.19421
            TXFLK  (NPFLKA) = -0.096589
            TYFLK  (NPFLKA) = -0.030836
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(125700561:126501201)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.080872
            XFLK(NPFLKA) =0.051102
            YFLK(NPFLKA) =-0.007122
            ZFLK(NPFLKA) =1.22063
            TXFLK  (NPFLKA) = 0.065565
            TYFLK  (NPFLKA) = -0.009352
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(126501202:127301841)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 4.43861
            XFLK(NPFLKA) =-0.003945
            YFLK(NPFLKA) =-0.000262
            ZFLK(NPFLKA) =1.19754
            TXFLK  (NPFLKA) = 0.017682
            TYFLK  (NPFLKA) = -0.000279
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(127301842:128102482)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.247162
            XFLK(NPFLKA) =-0.023874
            YFLK(NPFLKA) =0.003807
            ZFLK(NPFLKA) =1.19812
            TXFLK  (NPFLKA) = -8.1e-05
            TYFLK  (NPFLKA) = 0.00302
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(128102483:128903122)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.022485
            XFLK(NPFLKA) =0.06368
            YFLK(NPFLKA) =-0.002308
            ZFLK(NPFLKA) =1.21441
            TXFLK  (NPFLKA) = 0.083295
            TYFLK  (NPFLKA) = -0.002945
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(128903123:129703763)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.022745
            XFLK(NPFLKA) =0.09447
            YFLK(NPFLKA) =0.167376
            ZFLK(NPFLKA) =1.19819
            TXFLK  (NPFLKA) = 0.097558
            TYFLK  (NPFLKA) = 0.145977
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(129703764:130504404)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.006752
            XFLK(NPFLKA) =0.203543
            YFLK(NPFLKA) =0.253823
            ZFLK(NPFLKA) =1.17164
            TXFLK  (NPFLKA) = 0.180738
            TYFLK  (NPFLKA) = 0.229696
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(130504405:131305044)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.309213
            XFLK(NPFLKA) =0.032136
            YFLK(NPFLKA) =-0.000541
            ZFLK(NPFLKA) =1.19429
            TXFLK  (NPFLKA) = 0.051914
            TYFLK  (NPFLKA) = -0.000468
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(131305045:132105685)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.044629
            XFLK(NPFLKA) =-0.012203
            YFLK(NPFLKA) =-0.10708
            ZFLK(NPFLKA) =1.20485
            TXFLK  (NPFLKA) = 0.008711
            TYFLK  (NPFLKA) = -0.089893
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(132105686:132906325)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.161859
            XFLK(NPFLKA) =0.000685
            YFLK(NPFLKA) =0.003035
            ZFLK(NPFLKA) =1.20185
            TXFLK  (NPFLKA) = 0.025035
            TYFLK  (NPFLKA) = 0.003641
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(132906326:133706966)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.190973
            XFLK(NPFLKA) =-0.017279
            YFLK(NPFLKA) =-0.001669
            ZFLK(NPFLKA) =-1.21122
            TXFLK  (NPFLKA) = 0.001793
            TYFLK  (NPFLKA) = -0.000774
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(133706967:134507606)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.061408
            XFLK(NPFLKA) =-0.04062
            YFLK(NPFLKA) =0.054118
            ZFLK(NPFLKA) =-1.20869
            TXFLK  (NPFLKA) = -0.019832
            TYFLK  (NPFLKA) = 0.048809
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(134507607:135308247)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.011679
            XFLK(NPFLKA) =-0.091822
            YFLK(NPFLKA) =0.184307
            ZFLK(NPFLKA) =-1.19062
            TXFLK  (NPFLKA) = -0.059849
            TYFLK  (NPFLKA) = 0.16541
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(135308248:136108887)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.034667
            XFLK(NPFLKA) =0.004626
            YFLK(NPFLKA) =0.126366
            ZFLK(NPFLKA) =-1.19424
            TXFLK  (NPFLKA) = 0.020837
            TYFLK  (NPFLKA) = 0.1118
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(136108888:136909528)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.045869
            XFLK(NPFLKA) =0.052717
            YFLK(NPFLKA) =-0.001842
            ZFLK(NPFLKA) =-1.19696
            TXFLK  (NPFLKA) = 0.06683
            TYFLK  (NPFLKA) = -0.001486
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(136909529:137710168)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.007194
            XFLK(NPFLKA) =-0.115641
            YFLK(NPFLKA) =0.25321
            ZFLK(NPFLKA) =-1.18418
            TXFLK  (NPFLKA) = -0.073332
            TYFLK  (NPFLKA) = 0.226243
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(137710169:138510809)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.009882
            XFLK(NPFLKA) =0.069338
            YFLK(NPFLKA) =0.003888
            ZFLK(NPFLKA) =-1.21314
            TXFLK  (NPFLKA) = 0.097377
            TYFLK  (NPFLKA) = 0.005717
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(138510810:139311449)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.008583
            XFLK(NPFLKA) =0.132441
            YFLK(NPFLKA) =0.252058
            ZFLK(NPFLKA) =-1.17468
            TXFLK  (NPFLKA) = 0.141516
            TYFLK  (NPFLKA) = 0.218137
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(139311450:140112090)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.017985
            XFLK(NPFLKA) =0.066902
            YFLK(NPFLKA) =0.001425
            ZFLK(NPFLKA) =-1.21374
            TXFLK  (NPFLKA) = 0.092646
            TYFLK  (NPFLKA) = 0.00191
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(140112091:140912730)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 3.12979
            XFLK(NPFLKA) =-0.007106
            YFLK(NPFLKA) =0.000311
            ZFLK(NPFLKA) =-1.19354
            TXFLK  (NPFLKA) = 0.014694
            TYFLK  (NPFLKA) = 0.000214
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(140912731:141713371)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.014192
            XFLK(NPFLKA) =0.036196
            YFLK(NPFLKA) =0.000366
            ZFLK(NPFLKA) =-1.19994
            TXFLK  (NPFLKA) = 0.052138
            TYFLK  (NPFLKA) = -0.000657
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(141713372:142514011)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.006105
            XFLK(NPFLKA) =0.238929
            YFLK(NPFLKA) =-0.220904
            ZFLK(NPFLKA) =-1.16855
            TXFLK  (NPFLKA) = 0.210342
            TYFLK  (NPFLKA) = -0.203057
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(142514012:143314652)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 1.21969
            XFLK(NPFLKA) =0.002722
            YFLK(NPFLKA) =0.000603
            ZFLK(NPFLKA) =-1.20441
            TXFLK  (NPFLKA) = 0.021679
            TYFLK  (NPFLKA) = 0.000679
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(143314653:144115292)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.04631
            XFLK(NPFLKA) =0.091408
            YFLK(NPFLKA) =-0.111794
            ZFLK(NPFLKA) =-1.2098
            TXFLK  (NPFLKA) = 0.094908
            TYFLK  (NPFLKA) = -0.095226
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(144115293:144915933)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.029296
            XFLK(NPFLKA) =-0.050217
            YFLK(NPFLKA) =-0.003519
            ZFLK(NPFLKA) =-1.21017
            TXFLK  (NPFLKA) = -0.021069
            TYFLK  (NPFLKA) = -0.004379
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(144915934:145716573)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.134333
            XFLK(NPFLKA) =-0.001111
            YFLK(NPFLKA) =0.054144
            ZFLK(NPFLKA) =-1.21361
            TXFLK  (NPFLKA) = 0.015727
            TYFLK  (NPFLKA) = 0.047247
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(145716574:146517214)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.046312
            XFLK(NPFLKA) =-0.062796
            YFLK(NPFLKA) =-0.066477
            ZFLK(NPFLKA) =-1.19345
            TXFLK  (NPFLKA) = -0.032738
            TYFLK  (NPFLKA) = -0.054562
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(146517215:147317854)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.046163
            XFLK(NPFLKA) =0.032454
            YFLK(NPFLKA) =0.000421
            ZFLK(NPFLKA) =-1.20354
            TXFLK  (NPFLKA) = 0.050329
            TYFLK  (NPFLKA) = 0.000566
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(147317855:148118495)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.054747
            XFLK(NPFLKA) =-0.066604
            YFLK(NPFLKA) =0.053856
            ZFLK(NPFLKA) =-1.21719
            TXFLK  (NPFLKA) = -0.034397
            TYFLK  (NPFLKA) = 0.04449
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(148118496:148919135)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.528991
            XFLK(NPFLKA) =0.006144
            YFLK(NPFLKA) =0.001749
            ZFLK(NPFLKA) =-1.19964
            TXFLK  (NPFLKA) = 0.026762
            TYFLK  (NPFLKA) = 0.001913
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(148919136:149719776)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.00618
            XFLK(NPFLKA) =0.395518
            YFLK(NPFLKA) =0.62388
            ZFLK(NPFLKA) =1.0622
            TXFLK  (NPFLKA) = 0.262787
            TYFLK  (NPFLKA) = 0.559413
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(149719777:150520416)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 8.62536
            XFLK(NPFLKA) =0.000981
            YFLK(NPFLKA) =-4.6e-05
            ZFLK(NPFLKA) =1.17412
            TXFLK  (NPFLKA) = 0.016855
            TYFLK  (NPFLKA) = -4.9e-05
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(150520417:151321057)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.891102
            XFLK(NPFLKA) =-0.002345
            YFLK(NPFLKA) =5.2e-05
            ZFLK(NPFLKA) =1.16341
            TXFLK  (NPFLKA) = 0.01298
            TYFLK  (NPFLKA) = 9.3e-05
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(151321058:152121697)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.019814
            XFLK(NPFLKA) =0.029066
            YFLK(NPFLKA) =-0.001499
            ZFLK(NPFLKA) =1.17082
            TXFLK  (NPFLKA) = 0.041138
            TYFLK  (NPFLKA) = -0.002077
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(152121698:152922338)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.0067
            XFLK(NPFLKA) =0.101564
            YFLK(NPFLKA) =0.021481
            ZFLK(NPFLKA) =1.18193
            TXFLK  (NPFLKA) = 0.135981
            TYFLK  (NPFLKA) = 0.014909
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(152922339:153722978)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.005344
            XFLK(NPFLKA) =0.08893
            YFLK(NPFLKA) =-0.003739
            ZFLK(NPFLKA) =1.17353
            TXFLK  (NPFLKA) = 0.118653
            TYFLK  (NPFLKA) = -0.005616
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(153722979:154523619)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.008487
            XFLK(NPFLKA) =0.091047
            YFLK(NPFLKA) =0.003403
            ZFLK(NPFLKA) =1.18378
            TXFLK  (NPFLKA) = 0.115419
            TYFLK  (NPFLKA) = 0.003125
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(154523620:155324259)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.106382
            XFLK(NPFLKA) =-0.034428
            YFLK(NPFLKA) =0.019117
            ZFLK(NPFLKA) =1.18316
            TXFLK  (NPFLKA) = -0.011465
            TYFLK  (NPFLKA) = 0.016293
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(155324260:156124900)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.015669
            XFLK(NPFLKA) =0.049971
            YFLK(NPFLKA) =-0.005363
            ZFLK(NPFLKA) =1.17308
            TXFLK  (NPFLKA) = 0.072443
            TYFLK  (NPFLKA) = -0.007791
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(156124901:156925540)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.005588
            XFLK(NPFLKA) =0.092986
            YFLK(NPFLKA) =-0.003714
            ZFLK(NPFLKA) =1.1717
            TXFLK  (NPFLKA) = 0.129494
            TYFLK  (NPFLKA) = -0.005561
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(156925541:157726181)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.558166
            XFLK(NPFLKA) =-0.015731
            YFLK(NPFLKA) =0.01003
            ZFLK(NPFLKA) =1.18709
            TXFLK  (NPFLKA) = 0.006658
            TYFLK  (NPFLKA) = 0.008269
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(157726182:158526821)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.00737
            XFLK(NPFLKA) =0.049307
            YFLK(NPFLKA) =0.002169
            ZFLK(NPFLKA) =1.18341
            TXFLK  (NPFLKA) = 0.064447
            TYFLK  (NPFLKA) = 0.00317
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(158526822:159327462)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.063355
            XFLK(NPFLKA) =-0.022392
            YFLK(NPFLKA) =-0.069745
            ZFLK(NPFLKA) =-1.17347
            TXFLK  (NPFLKA) = -0.005717
            TYFLK  (NPFLKA) = -0.064499
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(159327463:160128102)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 2.33757
            XFLK(NPFLKA) =-0.001189
            YFLK(NPFLKA) =-0.00298
            ZFLK(NPFLKA) =-1.16277
            TXFLK  (NPFLKA) = 0.015144
            TYFLK  (NPFLKA) = -0.002781
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(160128103:160928743)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.131825
            XFLK(NPFLKA) =-0.025914
            YFLK(NPFLKA) =-0.033976
            ZFLK(NPFLKA) =-1.16736
            TXFLK  (NPFLKA) = -0.00513
            TYFLK  (NPFLKA) = -0.029675
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(160928744:161729384)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.081601
            XFLK(NPFLKA) =0.055681
            YFLK(NPFLKA) =0.000469
            ZFLK(NPFLKA) =-1.164
            TXFLK  (NPFLKA) = 0.070385
            TYFLK  (NPFLKA) = 0.000606
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(161729385:162530024)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 7.33867
            XFLK(NPFLKA) =-0.00533
            YFLK(NPFLKA) =0.000242
            ZFLK(NPFLKA) =-1.17902
            TXFLK  (NPFLKA) = 0.015709
            TYFLK  (NPFLKA) = 0.000189
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(162530025:163330665)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 7.05186
            XFLK(NPFLKA) =-0.003975
            YFLK(NPFLKA) =-0.000105
            ZFLK(NPFLKA) =-1.18542
            TXFLK  (NPFLKA) = 0.017033
            TYFLK  (NPFLKA) = -0.000121
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(163330666:164131305)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.011908
            XFLK(NPFLKA) =0.058897
            YFLK(NPFLKA) =0.001777
            ZFLK(NPFLKA) =-1.16326
            TXFLK  (NPFLKA) = 0.08569
            TYFLK  (NPFLKA) = 0.002646
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(164131306:164931946)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.30852
            XFLK(NPFLKA) =-0.020896
            YFLK(NPFLKA) =-0.005454
            ZFLK(NPFLKA) =-1.16291
            TXFLK  (NPFLKA) = 0.001997
            TYFLK  (NPFLKA) = -0.004507
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(164931947:165732586)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.01042
            XFLK(NPFLKA) =0.054925
            YFLK(NPFLKA) =-0.000201
            ZFLK(NPFLKA) =-1.16392
            TXFLK  (NPFLKA) = 0.083641
            TYFLK  (NPFLKA) = 0.001159
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(165732587:166533227)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 62.437
            XFLK(NPFLKA) =-0.003348
            YFLK(NPFLKA) =-0.000115
            ZFLK(NPFLKA) =-1.17463
            TXFLK  (NPFLKA) = 0.016558
            TYFLK  (NPFLKA) = -0.000103
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(166533228:167333867)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.01038
            XFLK(NPFLKA) =0.085602
            YFLK(NPFLKA) =0.286534
            ZFLK(NPFLKA) =-1.15137
            TXFLK  (NPFLKA) = 0.099983
            TYFLK  (NPFLKA) = 0.240454
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(167333868:168134508)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.181189
            XFLK(NPFLKA) =0.042303
            YFLK(NPFLKA) =0.001239
            ZFLK(NPFLKA) =-1.19058
            TXFLK  (NPFLKA) = 0.063774
            TYFLK  (NPFLKA) = 0.002144
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(168134509:168935148)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.594624
            XFLK(NPFLKA) =-0.011771
            YFLK(NPFLKA) =-0.009114
            ZFLK(NPFLKA) =-1.18397
            TXFLK  (NPFLKA) = 0.008874
            TYFLK  (NPFLKA) = -0.007686
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(168935149:169735789)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.490834
            XFLK(NPFLKA) =0.011722
            YFLK(NPFLKA) =0.00084
            ZFLK(NPFLKA) =-1.18643
            TXFLK  (NPFLKA) = 0.031996
            TYFLK  (NPFLKA) = 0.001024
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(169735790:170536429)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 11.7267
            XFLK(NPFLKA) =-0.002782
            YFLK(NPFLKA) =-0.000649
            ZFLK(NPFLKA) =-1.18104
            TXFLK  (NPFLKA) = 0.016064
            TYFLK  (NPFLKA) = -0.000558
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(170536430:171337070)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 1.82309
            XFLK(NPFLKA) =-0.007698
            YFLK(NPFLKA) =0.003485
            ZFLK(NPFLKA) =-1.16835
            TXFLK  (NPFLKA) = 0.013175
            TYFLK  (NPFLKA) = 0.0029
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(171337071:172137710)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.229465
            XFLK(NPFLKA) =-0.000459
            YFLK(NPFLKA) =0.037565
            ZFLK(NPFLKA) =-1.18945
            TXFLK  (NPFLKA) = 0.017536
            TYFLK  (NPFLKA) = 0.032191
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(172137711:172938351)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.005457
            XFLK(NPFLKA) =-0.136715
            YFLK(NPFLKA) =0.41054
            ZFLK(NPFLKA) =-1.11674
            TXFLK  (NPFLKA) = -0.073245
            TYFLK  (NPFLKA) = 0.375617
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(172938352:173738991)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.007078
            XFLK(NPFLKA) =-0.294511
            YFLK(NPFLKA) =0.195172
            ZFLK(NPFLKA) =-1.16047
            TXFLK  (NPFLKA) = -0.23139
            TYFLK  (NPFLKA) = 0.18675
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(173738992:174539632)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.016801
            XFLK(NPFLKA) =-0.013864
            YFLK(NPFLKA) =0.18898
            ZFLK(NPFLKA) =1.15114
            TXFLK  (NPFLKA) = 0.001716
            TYFLK  (NPFLKA) = 0.166313
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(174539633:175340272)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.004994
            XFLK(NPFLKA) =0.033084
            YFLK(NPFLKA) =0.378936
            ZFLK(NPFLKA) =1.10918
            TXFLK  (NPFLKA) = 0.014972
            TYFLK  (NPFLKA) = 0.320351
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(175340273:176140913)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.005934
            XFLK(NPFLKA) =-0.021384
            YFLK(NPFLKA) =-0.369812
            ZFLK(NPFLKA) =1.10972
            TXFLK  (NPFLKA) = 0.026946
            TYFLK  (NPFLKA) = -0.309061
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(176140914:176941553)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.013359
            XFLK(NPFLKA) =0.105907
            YFLK(NPFLKA) =0.021608
            ZFLK(NPFLKA) =1.13761
            TXFLK  (NPFLKA) = 0.141022
            TYFLK  (NPFLKA) = 0.027732
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(176941554:177742194)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.277952
            XFLK(NPFLKA) =0.014097
            YFLK(NPFLKA) =-0.000766
            ZFLK(NPFLKA) =1.13785
            TXFLK  (NPFLKA) = 0.033744
            TYFLK  (NPFLKA) = -0.000981
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(177742195:178542834)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.011432
            XFLK(NPFLKA) =-0.077768
            YFLK(NPFLKA) =0.134512
            ZFLK(NPFLKA) =1.13912
            TXFLK  (NPFLKA) = -0.065625
            TYFLK  (NPFLKA) = 0.131207
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(178542835:179343475)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.012838
            XFLK(NPFLKA) =0.062739
            YFLK(NPFLKA) =-0.001817
            ZFLK(NPFLKA) =1.13241
            TXFLK  (NPFLKA) = 0.089913
            TYFLK  (NPFLKA) = -0.003108
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(179343476:180144115)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.048291
            XFLK(NPFLKA) =-0.040024
            YFLK(NPFLKA) =-0.042056
            ZFLK(NPFLKA) =1.13452
            TXFLK  (NPFLKA) = -0.024827
            TYFLK  (NPFLKA) = -0.041035
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(180144116:180944756)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.17245
            XFLK(NPFLKA) =0.022023
            YFLK(NPFLKA) =-0.002884
            ZFLK(NPFLKA) =1.13388
            TXFLK  (NPFLKA) = 0.044123
            TYFLK  (NPFLKA) = -0.003356
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(180944757:181745396)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 2.20041
            XFLK(NPFLKA) =-0.002266
            YFLK(NPFLKA) =-0.001182
            ZFLK(NPFLKA) =1.14036
            TXFLK  (NPFLKA) = 0.014262
            TYFLK  (NPFLKA) = -0.001124
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(181745397:182546037)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 20.7809
            XFLK(NPFLKA) =-0.000131
            YFLK(NPFLKA) =-9.3e-05
            ZFLK(NPFLKA) =1.13814
            TXFLK  (NPFLKA) = 0.016781
            TYFLK  (NPFLKA) = -9.9e-05
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(182546038:183346677)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 86.4341
            XFLK(NPFLKA) =-0.00216
            YFLK(NPFLKA) =4.3e-05
            ZFLK(NPFLKA) =1.13933
            TXFLK  (NPFLKA) = 0.016394
            TYFLK  (NPFLKA) = 3.2e-05
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(183346678:184147318)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.153762
            XFLK(NPFLKA) =-0.015407
            YFLK(NPFLKA) =0.031052
            ZFLK(NPFLKA) =1.13771
            TXFLK  (NPFLKA) = 0.001763
            TYFLK  (NPFLKA) = 0.028692
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(184147319:184947958)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.049982
            XFLK(NPFLKA) =-0.080595
            YFLK(NPFLKA) =0.04106
            ZFLK(NPFLKA) =1.13431
            TXFLK  (NPFLKA) = -0.053058
            TYFLK  (NPFLKA) = 0.035961
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(184947959:185748599)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.071057
            XFLK(NPFLKA) =-0.002565
            YFLK(NPFLKA) =-0.077968
            ZFLK(NPFLKA) =1.13283
            TXFLK  (NPFLKA) = 0.015258
            TYFLK  (NPFLKA) = -0.070161
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(185748600:186549239)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.021744
            XFLK(NPFLKA) =0.054925
            YFLK(NPFLKA) =0.003238
            ZFLK(NPFLKA) =1.15687
            TXFLK  (NPFLKA) = 0.082087
            TYFLK  (NPFLKA) = 0.005476
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(186549240:187349880)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.020992
            XFLK(NPFLKA) =-0.126493
            YFLK(NPFLKA) =0.095548
            ZFLK(NPFLKA) =1.13866
            TXFLK  (NPFLKA) = -0.088408
            TYFLK  (NPFLKA) = 0.079397
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(187349881:188150520)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.044578
            XFLK(NPFLKA) =0.000988
            YFLK(NPFLKA) =-0.106128
            ZFLK(NPFLKA) =1.15115
            TXFLK  (NPFLKA) = 0.018891
            TYFLK  (NPFLKA) = -0.093863
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(188150521:188951161)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.005692
            XFLK(NPFLKA) =0.106342
            YFLK(NPFLKA) =0.001318
            ZFLK(NPFLKA) =1.14307
            TXFLK  (NPFLKA) = 0.144453
            TYFLK  (NPFLKA) = 0.000332
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(188951162:189751801)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 10.0411
            XFLK(NPFLKA) =-0.001974
            YFLK(NPFLKA) =-1.2e-05
            ZFLK(NPFLKA) =-1.13894
            TXFLK  (NPFLKA) = 0.01631
            TYFLK  (NPFLKA) = -1.7e-05
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(189751802:190552442)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 8.01124
            XFLK(NPFLKA) =-0.002054
            YFLK(NPFLKA) =0.000121
            ZFLK(NPFLKA) =-1.14037
            TXFLK  (NPFLKA) = 0.016721
            TYFLK  (NPFLKA) = 0.00014
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(190552443:191353082)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 2.38234
            XFLK(NPFLKA) =-0.002108
            YFLK(NPFLKA) =-0.000392
            ZFLK(NPFLKA) =-1.13841
            TXFLK  (NPFLKA) = 0.017483
            TYFLK  (NPFLKA) = -0.000452
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(191353083:192153723)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.014023
            XFLK(NPFLKA) =0.068295
            YFLK(NPFLKA) =0.001772
            ZFLK(NPFLKA) =-1.13979
            TXFLK  (NPFLKA) = 0.095472
            TYFLK  (NPFLKA) = 0.002094
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(192153724:192954363)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.007849
            XFLK(NPFLKA) =0.044777
            YFLK(NPFLKA) =-0.001269
            ZFLK(NPFLKA) =-1.14412
            TXFLK  (NPFLKA) = 0.070035
            TYFLK  (NPFLKA) = -0.003137
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(192954364:193755004)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.035431
            XFLK(NPFLKA) =0.009907
            YFLK(NPFLKA) =-0.003488
            ZFLK(NPFLKA) =-1.13719
            TXFLK  (NPFLKA) = 0.02261
            TYFLK  (NPFLKA) = -0.004746
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(193755005:194555645)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.010913
            XFLK(NPFLKA) =-0.162284
            YFLK(NPFLKA) =-0.111368
            ZFLK(NPFLKA) =-1.1341
            TXFLK  (NPFLKA) = -0.133691
            TYFLK  (NPFLKA) = -0.098371
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(194555646:195356285)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.086417
            XFLK(NPFLKA) =0.056338
            YFLK(NPFLKA) =0.00033
            ZFLK(NPFLKA) =-1.15051
            TXFLK  (NPFLKA) = 0.072926
            TYFLK  (NPFLKA) = 0.000435
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(195356286:196156926)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.009218
            XFLK(NPFLKA) =0.067481
            YFLK(NPFLKA) =-0.009379
            ZFLK(NPFLKA) =-1.14582
            TXFLK  (NPFLKA) = 0.092975
            TYFLK  (NPFLKA) = -0.013194
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(196156927:196957566)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 15.0969
            XFLK(NPFLKA) =-0.002931
            YFLK(NPFLKA) =8.5e-05
            ZFLK(NPFLKA) =-1.1387
            TXFLK  (NPFLKA) = 0.01604
            TYFLK  (NPFLKA) = 6.5e-05
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(196957567:197758207)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 5.01571
            XFLK(NPFLKA) =-0.001307
            YFLK(NPFLKA) =-8.5e-05
            ZFLK(NPFLKA) =-1.13174
            TXFLK  (NPFLKA) = 0.017676
            TYFLK  (NPFLKA) = -0.000112
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(197758208:198558847)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.014203
            XFLK(NPFLKA) =-0.112782
            YFLK(NPFLKA) =-0.143286
            ZFLK(NPFLKA) =-1.1349
            TXFLK  (NPFLKA) = -0.087081
            TYFLK  (NPFLKA) = -0.127863
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(198558848:199359488)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.360074
            XFLK(NPFLKA) =0.010748
            YFLK(NPFLKA) =-0.000842
            ZFLK(NPFLKA) =-1.14963
            TXFLK  (NPFLKA) = 0.029668
            TYFLK  (NPFLKA) = -0.001006
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(199359489:200160128)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.0146
            XFLK(NPFLKA) =-0.028316
            YFLK(NPFLKA) =0.18993
            ZFLK(NPFLKA) =-1.13315
            TXFLK  (NPFLKA) = -0.004037
            TYFLK  (NPFLKA) = 0.169376
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(200160129:200960769)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.52366
            XFLK(NPFLKA) =-0.009669
            YFLK(NPFLKA) =0.013236
            ZFLK(NPFLKA) =-1.16065
            TXFLK  (NPFLKA) = 0.009604
            TYFLK  (NPFLKA) = 0.011623
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(200960770:201761409)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.835418
            XFLK(NPFLKA) =0.004299
            YFLK(NPFLKA) =-0.00068
            ZFLK(NPFLKA) =-1.14802
            TXFLK  (NPFLKA) = 0.023692
            TYFLK  (NPFLKA) = -0.000821
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(201761410:202562050)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.030039
            XFLK(NPFLKA) =-0.01264
            YFLK(NPFLKA) =0.128694
            ZFLK(NPFLKA) =-1.14008
            TXFLK  (NPFLKA) = 0.008838
            TYFLK  (NPFLKA) = 0.111314
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(202562051:203362690)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.729935
            XFLK(NPFLKA) =0.004257
            YFLK(NPFLKA) =0.000845
            ZFLK(NPFLKA) =-1.15885
            TXFLK  (NPFLKA) = 0.025566
            TYFLK  (NPFLKA) = 0.001031
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(203362691:204163331)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.034111
            XFLK(NPFLKA) =0.051314
            YFLK(NPFLKA) =-0.000538
            ZFLK(NPFLKA) =-1.15441
            TXFLK  (NPFLKA) = 0.07306
            TYFLK  (NPFLKA) = -0.0008
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(204163332:204963971)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 1.50773
            XFLK(NPFLKA) =-0.007267
            YFLK(NPFLKA) =0.004167
            ZFLK(NPFLKA) =-1.14642
            TXFLK  (NPFLKA) = 0.013199
            TYFLK  (NPFLKA) = 0.00355
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(204963972:205764612)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.134566
            XFLK(NPFLKA) =0.004621
            YFLK(NPFLKA) =-0.055408
            ZFLK(NPFLKA) =-1.15026
            TXFLK  (NPFLKA) = 0.020913
            TYFLK  (NPFLKA) = -0.049451
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(205764613:206565252)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.08676
            XFLK(NPFLKA) =0.064702
            YFLK(NPFLKA) =0.002368
            ZFLK(NPFLKA) =-1.15524
            TXFLK  (NPFLKA) = 0.085856
            TYFLK  (NPFLKA) = 0.002884
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(206565253:207365893)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.262696
            XFLK(NPFLKA) =0.036647
            YFLK(NPFLKA) =0.000307
            ZFLK(NPFLKA) =-1.15693
            TXFLK  (NPFLKA) = 0.05819
            TYFLK  (NPFLKA) = 0.000262
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(207365894:208166533)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.521784
            XFLK(NPFLKA) =0.006747
            YFLK(NPFLKA) =-0.00085
            ZFLK(NPFLKA) =-1.13461
            TXFLK  (NPFLKA) = 0.027678
            TYFLK  (NPFLKA) = -0.001056
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(208166534:208967174)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.0477
            XFLK(NPFLKA) =0.023636
            YFLK(NPFLKA) =0.00149
            ZFLK(NPFLKA) =-1.14955
            TXFLK  (NPFLKA) = 0.032625
            TYFLK  (NPFLKA) = 0.002124
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(208967175:209767814)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.170287
            XFLK(NPFLKA) =0.052458
            YFLK(NPFLKA) =0.001113
            ZFLK(NPFLKA) =-1.15274
            TXFLK  (NPFLKA) = 0.075412
            TYFLK  (NPFLKA) = 0.001176
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(209767815:210568455)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.016181
            XFLK(NPFLKA) =-0.02193
            YFLK(NPFLKA) =0.185983
            ZFLK(NPFLKA) =-1.14663
            TXFLK  (NPFLKA) = 0.001918
            TYFLK  (NPFLKA) = 0.162205
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(210568456:211369095)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.006161
            XFLK(NPFLKA) =0.099168
            YFLK(NPFLKA) =0.01719
            ZFLK(NPFLKA) =-1.15242
            TXFLK  (NPFLKA) = 0.141159
            TYFLK  (NPFLKA) = 0.025682
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(211369096:212169736)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.005391
            XFLK(NPFLKA) =-0.087069
            YFLK(NPFLKA) =0.333581
            ZFLK(NPFLKA) =-1.13097
            TXFLK  (NPFLKA) = -0.035763
            TYFLK  (NPFLKA) = 0.299539
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(212169737:212970376)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.022935
            XFLK(NPFLKA) =-0.077246
            YFLK(NPFLKA) =-0.02346
            ZFLK(NPFLKA) =1.1282
            TXFLK  (NPFLKA) = -0.057916
            TYFLK  (NPFLKA) = -0.023237
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(212970377:213771017)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.501263
            XFLK(NPFLKA) =0.011029
            YFLK(NPFLKA) =0.000787
            ZFLK(NPFLKA) =1.10571
            TXFLK  (NPFLKA) = 0.029062
            TYFLK  (NPFLKA) = 0.000925
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(213771018:214571657)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 7.20631
            XFLK(NPFLKA) =-0.000947
            YFLK(NPFLKA) =0.000228
            ZFLK(NPFLKA) =1.11214
            TXFLK  (NPFLKA) = 0.015689
            TYFLK  (NPFLKA) = 0.000209
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(214571658:215372298)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.526477
            XFLK(NPFLKA) =0.009237
            YFLK(NPFLKA) =-0.000333
            ZFLK(NPFLKA) =1.12257
            TXFLK  (NPFLKA) = 0.027474
            TYFLK  (NPFLKA) = -0.000452
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(215372299:216172938)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 3.75856
            XFLK(NPFLKA) =0.000976
            YFLK(NPFLKA) =-0.0001
            ZFLK(NPFLKA) =1.10959
            TXFLK  (NPFLKA) = 0.018137
            TYFLK  (NPFLKA) = -0.000122
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(216172939:216973579)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.01866
            XFLK(NPFLKA) =0.059663
            YFLK(NPFLKA) =-0.000504
            ZFLK(NPFLKA) =1.12503
            TXFLK  (NPFLKA) = 0.087274
            TYFLK  (NPFLKA) = -0.001012
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(216973580:217774219)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 3.03482
            XFLK(NPFLKA) =-0.001588
            YFLK(NPFLKA) =0.001856
            ZFLK(NPFLKA) =1.12668
            TXFLK  (NPFLKA) = 0.015011
            TYFLK  (NPFLKA) = 0.001782
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(217774220:218574860)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 5.85307
            XFLK(NPFLKA) =-0.002263
            YFLK(NPFLKA) =-0.000171
            ZFLK(NPFLKA) =1.1282
            TXFLK  (NPFLKA) = 0.017473
            TYFLK  (NPFLKA) = -0.000193
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(218574861:219375500)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.03095
            XFLK(NPFLKA) =-0.078601
            YFLK(NPFLKA) =-0.052347
            ZFLK(NPFLKA) =1.11183
            TXFLK  (NPFLKA) = -0.052837
            TYFLK  (NPFLKA) = -0.048448
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(219375501:220176141)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 2.07822
            XFLK(NPFLKA) =0.001142
            YFLK(NPFLKA) =0.000385
            ZFLK(NPFLKA) =1.12036
            TXFLK  (NPFLKA) = 0.01961
            TYFLK  (NPFLKA) = 0.000451
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(220176142:220976781)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.037789
            XFLK(NPFLKA) =-0.039518
            YFLK(NPFLKA) =0.080856
            ZFLK(NPFLKA) =1.10514
            TXFLK  (NPFLKA) = -0.020983
            TYFLK  (NPFLKA) = 0.075434
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(220976782:221777422)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.011117
            XFLK(NPFLKA) =-0.19279
            YFLK(NPFLKA) =0.026333
            ZFLK(NPFLKA) =1.0975
            TXFLK  (NPFLKA) = -0.156793
            TYFLK  (NPFLKA) = 0.019518
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(221777423:222578062)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.172999
            XFLK(NPFLKA) =-0.020491
            YFLK(NPFLKA) =-0.022872
            ZFLK(NPFLKA) =1.11249
            TXFLK  (NPFLKA) = -0.001129
            TYFLK  (NPFLKA) = -0.020913
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(222578063:223378703)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.521547
            XFLK(NPFLKA) =-0.013371
            YFLK(NPFLKA) =-0.007272
            ZFLK(NPFLKA) =1.10498
            TXFLK  (NPFLKA) = 0.006081
            TYFLK  (NPFLKA) = -0.006584
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(223378704:224179343)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.019375
            XFLK(NPFLKA) =0.041597
            YFLK(NPFLKA) =-0.000743
            ZFLK(NPFLKA) =1.12353
            TXFLK  (NPFLKA) = 0.069268
            TYFLK  (NPFLKA) = -0.001196
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(224179344:224979984)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.010553
            XFLK(NPFLKA) =0.02182
            YFLK(NPFLKA) =0.002137
            ZFLK(NPFLKA) =1.11029
            TXFLK  (NPFLKA) = 0.040215
            TYFLK  (NPFLKA) = 0.001436
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(224979985:225780624)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.886295
            XFLK(NPFLKA) =-0.009433
            YFLK(NPFLKA) =-0.003507
            ZFLK(NPFLKA) =1.10258
            TXFLK  (NPFLKA) = 0.0109
            TYFLK  (NPFLKA) = -0.003082
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(225780625:226581265)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.074401
            XFLK(NPFLKA) =0.031203
            YFLK(NPFLKA) =-0.000159
            ZFLK(NPFLKA) =1.12073
            TXFLK  (NPFLKA) = 0.044749
            TYFLK  (NPFLKA) = -0.000161
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(226581266:227381906)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.545329
            XFLK(NPFLKA) =0.00945
            YFLK(NPFLKA) =-0.001122
            ZFLK(NPFLKA) =1.12167
            TXFLK  (NPFLKA) = 0.02988
            TYFLK  (NPFLKA) = -0.001346
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(227381907:228182546)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 1.14904
            XFLK(NPFLKA) =-0.00828
            YFLK(NPFLKA) =-0.002302
            ZFLK(NPFLKA) =1.12776
            TXFLK  (NPFLKA) = 0.0118
            TYFLK  (NPFLKA) = -0.002027
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(228182547:228983187)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.054488
            XFLK(NPFLKA) =0.05899
            YFLK(NPFLKA) =0.003214
            ZFLK(NPFLKA) =1.11588
            TXFLK  (NPFLKA) = 0.075214
            TYFLK  (NPFLKA) = 0.004075
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(228983188:229783827)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.074534
            XFLK(NPFLKA) =0.060729
            YFLK(NPFLKA) =0.002388
            ZFLK(NPFLKA) =1.11708
            TXFLK  (NPFLKA) = 0.080503
            TYFLK  (NPFLKA) = 0.002676
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(229783828:230584468)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.031176
            XFLK(NPFLKA) =0.026163
            YFLK(NPFLKA) =-0.000381
            ZFLK(NPFLKA) =1.11328
            TXFLK  (NPFLKA) = 0.045084
            TYFLK  (NPFLKA) = -0.000201
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(230584469:231385108)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.057037
            XFLK(NPFLKA) =0.06823
            YFLK(NPFLKA) =0.001576
            ZFLK(NPFLKA) =1.10046
            TXFLK  (NPFLKA) = 0.089127
            TYFLK  (NPFLKA) = 0.002197
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(231385109:232185749)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 3.81262
            XFLK(NPFLKA) =-0.003486
            YFLK(NPFLKA) =7.5e-05
            ZFLK(NPFLKA) =-1.12424
            TXFLK  (NPFLKA) = 0.015813
            TYFLK  (NPFLKA) = 3.9e-05
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(232185750:232986389)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.01738
            XFLK(NPFLKA) =-0.072756
            YFLK(NPFLKA) =-0.14382
            ZFLK(NPFLKA) =-1.09776
            TXFLK  (NPFLKA) = -0.054505
            TYFLK  (NPFLKA) = -0.135543
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(232986390:233787030)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.016053
            XFLK(NPFLKA) =0.043792
            YFLK(NPFLKA) =-0.000473
            ZFLK(NPFLKA) =-1.12453
            TXFLK  (NPFLKA) = 0.07366
            TYFLK  (NPFLKA) = -8.7e-05
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(233787031:234587670)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 2.13638
            XFLK(NPFLKA) =0.000299
            YFLK(NPFLKA) =-0.000362
            ZFLK(NPFLKA) =-1.11287
            TXFLK  (NPFLKA) = 0.019438
            TYFLK  (NPFLKA) = -0.000429
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(234587671:235388311)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.008693
            XFLK(NPFLKA) =-0.078039
            YFLK(NPFLKA) =0.226959
            ZFLK(NPFLKA) =-1.08531
            TXFLK  (NPFLKA) = -0.050368
            TYFLK  (NPFLKA) = 0.217543
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(235388312:236188951)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 1.10324
            XFLK(NPFLKA) =-0.00851
            YFLK(NPFLKA) =0.0009
            ZFLK(NPFLKA) =-1.10389
            TXFLK  (NPFLKA) = 0.012391
            TYFLK  (NPFLKA) = 0.000738
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(236188952:236989592)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.009139
            XFLK(NPFLKA) =0.000124
            YFLK(NPFLKA) =0.255009
            ZFLK(NPFLKA) =-1.08663
            TXFLK  (NPFLKA) = 0.025852
            TYFLK  (NPFLKA) = 0.234533
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(236989593:237790232)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.021622
            XFLK(NPFLKA) =0.055394
            YFLK(NPFLKA) =0.001884
            ZFLK(NPFLKA) =-1.11459
            TXFLK  (NPFLKA) = 0.082861
            TYFLK  (NPFLKA) = 0.003842
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(237790233:238590873)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.373948
            XFLK(NPFLKA) =-0.010314
            YFLK(NPFLKA) =-0.019838
            ZFLK(NPFLKA) =-1.12815
            TXFLK  (NPFLKA) = 0.010104
            TYFLK  (NPFLKA) = -0.017083
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(238590874:239391513)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.014488
            XFLK(NPFLKA) =-0.350649
            YFLK(NPFLKA) =-0.016263
            ZFLK(NPFLKA) =-1.08098
            TXFLK  (NPFLKA) = -0.302014
            TYFLK  (NPFLKA) = -0.005916
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(239391514:240192154)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.010125
            XFLK(NPFLKA) =-0.380767
            YFLK(NPFLKA) =-0.192685
            ZFLK(NPFLKA) =-1.07398
            TXFLK  (NPFLKA) = -0.303184
            TYFLK  (NPFLKA) = -0.139421
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(240192155:240992794)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.041017
            XFLK(NPFLKA) =-0.051183
            YFLK(NPFLKA) =0.061276
            ZFLK(NPFLKA) =-1.12851
            TXFLK  (NPFLKA) = -0.032133
            TYFLK  (NPFLKA) = 0.058103
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(240992795:241793435)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.008649
            XFLK(NPFLKA) =0.077763
            YFLK(NPFLKA) =-0.251829
            ZFLK(NPFLKA) =1.0748
            TXFLK  (NPFLKA) = 0.095968
            TYFLK  (NPFLKA) = -0.216064
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(241793436:242594075)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.017906
            XFLK(NPFLKA) =0.05237
            YFLK(NPFLKA) =-0.169863
            ZFLK(NPFLKA) =1.08875
            TXFLK  (NPFLKA) = 0.066392
            TYFLK  (NPFLKA) = -0.145483
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(242594076:243394716)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.085129
            XFLK(NPFLKA) =0.030769
            YFLK(NPFLKA) =0.002923
            ZFLK(NPFLKA) =1.08417
            TXFLK  (NPFLKA) = 0.056768
            TYFLK  (NPFLKA) = 0.003324
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(243394717:244195356)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 56.3224
            XFLK(NPFLKA) =-0.000891
            YFLK(NPFLKA) =4.9e-05
            ZFLK(NPFLKA) =1.07921
            TXFLK  (NPFLKA) = 0.01644
            TYFLK  (NPFLKA) = 4.3e-05
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(244195357:244995997)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.30648
            XFLK(NPFLKA) =-0.013932
            YFLK(NPFLKA) =-0.007831
            ZFLK(NPFLKA) =1.0809
            TXFLK  (NPFLKA) = 0.002503
            TYFLK  (NPFLKA) = -0.007567
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(244995998:245796637)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.032989
            XFLK(NPFLKA) =0.034462
            YFLK(NPFLKA) =0.000165
            ZFLK(NPFLKA) =1.09916
            TXFLK  (NPFLKA) = 0.053067
            TYFLK  (NPFLKA) = 0.000225
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(245796638:246597278)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.228698
            XFLK(NPFLKA) =-0.018547
            YFLK(NPFLKA) =-0.010766
            ZFLK(NPFLKA) =1.08847
            TXFLK  (NPFLKA) = -0.000741
            TYFLK  (NPFLKA) = -0.010217
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(246597279:247397918)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.029685
            XFLK(NPFLKA) =0.03734
            YFLK(NPFLKA) =-0.000713
            ZFLK(NPFLKA) =1.0858
            TXFLK  (NPFLKA) = 0.060083
            TYFLK  (NPFLKA) = -0.001181
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(247397919:248198559)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.010737
            XFLK(NPFLKA) =-0.111071
            YFLK(NPFLKA) =0.169188
            ZFLK(NPFLKA) =1.0654
            TXFLK  (NPFLKA) = -0.09403
            TYFLK  (NPFLKA) = 0.159335
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(248198560:248999199)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 13.6012
            XFLK(NPFLKA) =-0.00092
            YFLK(NPFLKA) =0.000284
            ZFLK(NPFLKA) =1.09164
            TXFLK  (NPFLKA) = 0.015961
            TYFLK  (NPFLKA) = 0.000272
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(248999200:249799840)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.013353
            XFLK(NPFLKA) =0.066091
            YFLK(NPFLKA) =0.005406
            ZFLK(NPFLKA) =1.07856
            TXFLK  (NPFLKA) = 0.093756
            TYFLK  (NPFLKA) = 0.007056
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(249799841:250600480)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.075665
            XFLK(NPFLKA) =-0.032803
            YFLK(NPFLKA) =-0.044254
            ZFLK(NPFLKA) =1.08212
            TXFLK  (NPFLKA) = -0.014013
            TYFLK  (NPFLKA) = -0.042086
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(250600481:251401121)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.005804
            XFLK(NPFLKA) =0.095529
            YFLK(NPFLKA) =-0.009902
            ZFLK(NPFLKA) =1.08777
            TXFLK  (NPFLKA) = 0.13594
            TYFLK  (NPFLKA) = -0.014947
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(251401122:252201761)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.103044
            XFLK(NPFLKA) =-0.033808
            YFLK(NPFLKA) =-0.021232
            ZFLK(NPFLKA) =1.08708
            TXFLK  (NPFLKA) = -0.012092
            TYFLK  (NPFLKA) = -0.019489
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(252201762:253002402)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.061648
            XFLK(NPFLKA) =0.054526
            YFLK(NPFLKA) =-0.000697
            ZFLK(NPFLKA) =1.09838
            TXFLK  (NPFLKA) = 0.071192
            TYFLK  (NPFLKA) = -0.000946
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(253002403:253803042)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.021164
            XFLK(NPFLKA) =0.047434
            YFLK(NPFLKA) =-0.000484
            ZFLK(NPFLKA) =1.09436
            TXFLK  (NPFLKA) = 0.071254
            TYFLK  (NPFLKA) = -0.000335
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(253803043:254603683)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.286977
            XFLK(NPFLKA) =0.021249
            YFLK(NPFLKA) =-0.000612
            ZFLK(NPFLKA) =1.09355
            TXFLK  (NPFLKA) = 0.042421
            TYFLK  (NPFLKA) = -0.00079
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(254603684:255404323)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.578578
            XFLK(NPFLKA) =0.010986
            YFLK(NPFLKA) =-0.000886
            ZFLK(NPFLKA) =1.09073
            TXFLK  (NPFLKA) = 0.030945
            TYFLK  (NPFLKA) = -0.001095
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(255404324:256204964)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.013743
            XFLK(NPFLKA) =0.037902
            YFLK(NPFLKA) =-0.002265
            ZFLK(NPFLKA) =1.08819
            TXFLK  (NPFLKA) = 0.055302
            TYFLK  (NPFLKA) = -0.004317
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(256204965:257005604)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.015921
            XFLK(NPFLKA) =-0.038249
            YFLK(NPFLKA) =0.178619
            ZFLK(NPFLKA) =1.07108
            TXFLK  (NPFLKA) = -0.02138
            TYFLK  (NPFLKA) = 0.164944
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(257005605:257806245)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 5.10079
            XFLK(NPFLKA) =-0.002566
            YFLK(NPFLKA) =5.3e-05
            ZFLK(NPFLKA) =1.09482
            TXFLK  (NPFLKA) = 0.01764
            TYFLK  (NPFLKA) = 6.5e-05
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(257806246:258606886)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.048183
            XFLK(NPFLKA) =-0.045182
            YFLK(NPFLKA) =0.176628
            ZFLK(NPFLKA) =1.07495
            TXFLK  (NPFLKA) = -0.025513
            TYFLK  (NPFLKA) = 0.158463
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(258606887:259407526)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.044706
            XFLK(NPFLKA) =0.023525
            YFLK(NPFLKA) =-0.000274
            ZFLK(NPFLKA) =1.07444
            TXFLK  (NPFLKA) = 0.037664
            TYFLK  (NPFLKA) = -0.0004
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(259407527:260208167)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.018632
            XFLK(NPFLKA) =0.09612
            YFLK(NPFLKA) =-0.040641
            ZFLK(NPFLKA) =1.07776
            TXFLK  (NPFLKA) = 0.129911
            TYFLK  (NPFLKA) = -0.053707
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(260208168:261008807)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.023375
            XFLK(NPFLKA) =0.060323
            YFLK(NPFLKA) =-0.129759
            ZFLK(NPFLKA) =1.0767
            TXFLK  (NPFLKA) = 0.072035
            TYFLK  (NPFLKA) = -0.114097
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(261008808:261809448)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.005235
            XFLK(NPFLKA) =0.079408
            YFLK(NPFLKA) =-0.003822
            ZFLK(NPFLKA) =1.08533
            TXFLK  (NPFLKA) = 0.113765
            TYFLK  (NPFLKA) = -0.006093
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(261809449:262610088)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 5.23237
            XFLK(NPFLKA) =-0.002095
            YFLK(NPFLKA) =0.001738
            ZFLK(NPFLKA) =1.07462
            TXFLK  (NPFLKA) = 0.015824
            TYFLK  (NPFLKA) = 0.001601
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(262610089:263410729)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.006174
            XFLK(NPFLKA) =0.119851
            YFLK(NPFLKA) =0.036578
            ZFLK(NPFLKA) =-1.0651
            TXFLK  (NPFLKA) = 0.170063
            TYFLK  (NPFLKA) = 0.051827
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(263410730:264211369)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 7.89284
            XFLK(NPFLKA) =0.001015
            YFLK(NPFLKA) =-9.6e-05
            ZFLK(NPFLKA) =-1.07862
            TXFLK  (NPFLKA) = 0.015998
            TYFLK  (NPFLKA) = -9.3e-05
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(264211370:265012010)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.00608
            XFLK(NPFLKA) =0.10793
            YFLK(NPFLKA) =0.002611
            ZFLK(NPFLKA) =-1.06468
            TXFLK  (NPFLKA) = 0.153588
            TYFLK  (NPFLKA) = 0.004522
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(265012011:265812650)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 24.7378
            XFLK(NPFLKA) =-0.00041
            YFLK(NPFLKA) =3.1e-05
            ZFLK(NPFLKA) =-1.07684
            TXFLK  (NPFLKA) = 0.016159
            TYFLK  (NPFLKA) = 2.3e-05
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(265812651:266613291)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 12.1265
            XFLK(NPFLKA) =-0.00017
            YFLK(NPFLKA) =-7e-05
            ZFLK(NPFLKA) =-1.07625
            TXFLK  (NPFLKA) = 0.016773
            TYFLK  (NPFLKA) = -8.6e-05
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(266613292:267413931)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.016816
            XFLK(NPFLKA) =-0.0776
            YFLK(NPFLKA) =-0.133133
            ZFLK(NPFLKA) =-1.06349
            TXFLK  (NPFLKA) = -0.064143
            TYFLK  (NPFLKA) = -0.130769
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(267413932:268214572)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.258982
            XFLK(NPFLKA) =0.024712
            YFLK(NPFLKA) =9.2e-05
            ZFLK(NPFLKA) =-1.07949
            TXFLK  (NPFLKA) = 0.045173
            TYFLK  (NPFLKA) = 0.000135
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(268214573:269015212)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.005956
            XFLK(NPFLKA) =0.085684
            YFLK(NPFLKA) =0.034094
            ZFLK(NPFLKA) =-1.08605
            TXFLK  (NPFLKA) = 0.118986
            TYFLK  (NPFLKA) = 0.051189
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(269015213:269815853)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.064861
            XFLK(NPFLKA) =-0.019981
            YFLK(NPFLKA) =0.063052
            ZFLK(NPFLKA) =-1.08965
            TXFLK  (NPFLKA) = -0.002961
            TYFLK  (NPFLKA) = 0.060808
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(269815854:270616493)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.014354
            XFLK(NPFLKA) =0.062789
            YFLK(NPFLKA) =0.002038
            ZFLK(NPFLKA) =-1.07766
            TXFLK  (NPFLKA) = 0.090369
            TYFLK  (NPFLKA) = 0.003249
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(270616494:271417134)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.847623
            XFLK(NPFLKA) =-0.009436
            YFLK(NPFLKA) =-0.003308
            ZFLK(NPFLKA) =-1.09212
            TXFLK  (NPFLKA) = 0.009886
            TYFLK  (NPFLKA) = -0.003019
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(271417135:272217774)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.384619
            XFLK(NPFLKA) =-0.013252
            YFLK(NPFLKA) =-0.008425
            ZFLK(NPFLKA) =-1.07691
            TXFLK  (NPFLKA) = 0.006395
            TYFLK  (NPFLKA) = -0.007639
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(272217775:273018415)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.175468
            XFLK(NPFLKA) =0.046054
            YFLK(NPFLKA) =0.000254
            ZFLK(NPFLKA) =-1.07828
            TXFLK  (NPFLKA) = 0.068596
            TYFLK  (NPFLKA) = 0.000424
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(273018416:273819055)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.018149
            XFLK(NPFLKA) =0.016308
            YFLK(NPFLKA) =-0.169234
            ZFLK(NPFLKA) =-1.07013
            TXFLK  (NPFLKA) = 0.029038
            TYFLK  (NPFLKA) = -0.160734
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(273819056:274619696)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.750721
            XFLK(NPFLKA) =0.005496
            YFLK(NPFLKA) =0.000651
            ZFLK(NPFLKA) =-1.07282
            TXFLK  (NPFLKA) = 0.023961
            TYFLK  (NPFLKA) = 0.000844
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(274619697:275420336)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 12.1533
            XFLK(NPFLKA) =-0.002843
            YFLK(NPFLKA) =0.000295
            ZFLK(NPFLKA) =-1.07272
            TXFLK  (NPFLKA) = 0.016113
            TYFLK  (NPFLKA) = 0.000261
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(275420337:276220977)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.730977
            XFLK(NPFLKA) =0.003384
            YFLK(NPFLKA) =0.000485
            ZFLK(NPFLKA) =-1.09591
            TXFLK  (NPFLKA) = 0.024403
            TYFLK  (NPFLKA) = 0.000673
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(276220978:277021617)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.009759
            XFLK(NPFLKA) =0.070289
            YFLK(NPFLKA) =-0.005158
            ZFLK(NPFLKA) =-1.08436
            TXFLK  (NPFLKA) = 0.111125
            TYFLK  (NPFLKA) = -0.006729
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(277021618:277822258)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 1.15589
            XFLK(NPFLKA) =-0.008699
            YFLK(NPFLKA) =-0.005066
            ZFLK(NPFLKA) =-1.07719
            TXFLK  (NPFLKA) = 0.012562
            TYFLK  (NPFLKA) = -0.00439
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(277822259:278622898)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 1.2706
            XFLK(NPFLKA) =3.3e-05
            YFLK(NPFLKA) =-0.000375
            ZFLK(NPFLKA) =-1.07861
            TXFLK  (NPFLKA) = 0.020636
            TYFLK  (NPFLKA) = -0.000481
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(278622899:279423539)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.006296
            XFLK(NPFLKA) =0.131004
            YFLK(NPFLKA) =0.455519
            ZFLK(NPFLKA) =-1.02607
            TXFLK  (NPFLKA) = 0.172125
            TYFLK  (NPFLKA) = 0.379462
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(279423540:280224179)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.006135
            XFLK(NPFLKA) =0.704649
            YFLK(NPFLKA) =0.259061
            ZFLK(NPFLKA) =0.927529
            TXFLK  (NPFLKA) = 0.547766
            TYFLK  (NPFLKA) = 0.319228
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(280224180:281024820)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.090497
            XFLK(NPFLKA) =0.021907
            YFLK(NPFLKA) =-0.002288
            ZFLK(NPFLKA) =1.04633
            TXFLK  (NPFLKA) = 0.044051
            TYFLK  (NPFLKA) = -0.002982
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(281024821:281825460)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.044393
            XFLK(NPFLKA) =-0.021941
            YFLK(NPFLKA) =0.006386
            ZFLK(NPFLKA) =1.04496
            TXFLK  (NPFLKA) = -0.011015
            TYFLK  (NPFLKA) = 0.004343
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(281825461:282626101)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.020253
            XFLK(NPFLKA) =-0.044786
            YFLK(NPFLKA) =0.032975
            ZFLK(NPFLKA) =1.04216
            TXFLK  (NPFLKA) = -0.037645
            TYFLK  (NPFLKA) = 0.032394
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(282626102:283426741)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 5.09657
            XFLK(NPFLKA) =-0.002131
            YFLK(NPFLKA) =2.6e-05
            ZFLK(NPFLKA) =1.04439
            TXFLK  (NPFLKA) = 0.016269
            TYFLK  (NPFLKA) = 4.5e-05
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(283426742:284227382)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.017884
            XFLK(NPFLKA) =0.073487
            YFLK(NPFLKA) =0.013995
            ZFLK(NPFLKA) =1.06335
            TXFLK  (NPFLKA) = 0.101155
            TYFLK  (NPFLKA) = 0.019687
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(284227383:285028022)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.011875
            XFLK(NPFLKA) =-0.027251
            YFLK(NPFLKA) =-0.127614
            ZFLK(NPFLKA) =1.05676
            TXFLK  (NPFLKA) = -0.012316
            TYFLK  (NPFLKA) = -0.133656
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(285028023:285828663)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.57579
            XFLK(NPFLKA) =-0.006388
            YFLK(NPFLKA) =3.6e-05
            ZFLK(NPFLKA) =1.06128
            TXFLK  (NPFLKA) = 0.012282
            TYFLK  (NPFLKA) = 0.000204
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(285828664:286629303)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.023528
            XFLK(NPFLKA) =-0.07275
            YFLK(NPFLKA) =-0.020496
            ZFLK(NPFLKA) =1.04819
            TXFLK  (NPFLKA) = -0.054346
            TYFLK  (NPFLKA) = -0.021141
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(286629304:287429944)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.065564
            XFLK(NPFLKA) =-0.024634
            YFLK(NPFLKA) =0.048739
            ZFLK(NPFLKA) =1.06566
            TXFLK  (NPFLKA) = -0.01107
            TYFLK  (NPFLKA) = 0.049338
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(287429945:288230584)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.010628
            XFLK(NPFLKA) =0.0614
            YFLK(NPFLKA) =-0.007451
            ZFLK(NPFLKA) =1.04088
            TXFLK  (NPFLKA) = 0.092584
            TYFLK  (NPFLKA) = -0.012112
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(288230585:289031225)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.056518
            XFLK(NPFLKA) =-0.038136
            YFLK(NPFLKA) =0.032571
            ZFLK(NPFLKA) =1.06632
            TXFLK  (NPFLKA) = -0.021817
            TYFLK  (NPFLKA) = 0.031604
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(289031226:289831865)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 15.8546
            XFLK(NPFLKA) =-0.001244
            YFLK(NPFLKA) =3.3e-05
            ZFLK(NPFLKA) =1.05639
            TXFLK  (NPFLKA) = 0.016773
            TYFLK  (NPFLKA) = 4.4e-05
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(289831866:290632506)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.077046
            XFLK(NPFLKA) =0.048234
            YFLK(NPFLKA) =0.000708
            ZFLK(NPFLKA) =1.04576
            TXFLK  (NPFLKA) = 0.068921
            TYFLK  (NPFLKA) = 0.001046
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(290632507:291433147)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.545677
            XFLK(NPFLKA) =0.010783
            YFLK(NPFLKA) =-0.000284
            ZFLK(NPFLKA) =1.06413
            TXFLK  (NPFLKA) = 0.029344
            TYFLK  (NPFLKA) = -0.000413
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(291433148:292233787)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.011346
            XFLK(NPFLKA) =0.074492
            YFLK(NPFLKA) =-0.011235
            ZFLK(NPFLKA) =1.04366
            TXFLK  (NPFLKA) = 0.116178
            TYFLK  (NPFLKA) = -0.021267
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(292233788:293034428)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 1.92654
            XFLK(NPFLKA) =0.002371
            YFLK(NPFLKA) =-0.000224
            ZFLK(NPFLKA) =1.04782
            TXFLK  (NPFLKA) = 0.019451
            TYFLK  (NPFLKA) = -0.000296
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(293034429:293835068)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.025361
            XFLK(NPFLKA) =0.042617
            YFLK(NPFLKA) =0.000362
            ZFLK(NPFLKA) =1.05094
            TXFLK  (NPFLKA) = 0.064356
            TYFLK  (NPFLKA) = 0.000645
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(293835069:294635709)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 1.05803
            XFLK(NPFLKA) =-0.005185
            YFLK(NPFLKA) =0.003671
            ZFLK(NPFLKA) =1.05139
            TXFLK  (NPFLKA) = 0.011551
            TYFLK  (NPFLKA) = 0.003597
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(294635710:295436349)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.00904
            XFLK(NPFLKA) =0.049725
            YFLK(NPFLKA) =-0.001042
            ZFLK(NPFLKA) =1.04626
            TXFLK  (NPFLKA) = 0.08536
            TYFLK  (NPFLKA) = -0.001425
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(295436350:296236990)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.006704
            XFLK(NPFLKA) =0.050019
            YFLK(NPFLKA) =-0.004286
            ZFLK(NPFLKA) =1.04166
            TXFLK  (NPFLKA) = 0.082405
            TYFLK  (NPFLKA) = -0.007675
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(296236991:297037630)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.037997
            XFLK(NPFLKA) =0.048084
            YFLK(NPFLKA) =-0.003379
            ZFLK(NPFLKA) =1.06425
            TXFLK  (NPFLKA) = 0.062325
            TYFLK  (NPFLKA) = -0.004368
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(297037631:297838271)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.012544
            XFLK(NPFLKA) =-0.122249
            YFLK(NPFLKA) =0.10401
            ZFLK(NPFLKA) =1.04861
            TXFLK  (NPFLKA) = -0.099442
            TYFLK  (NPFLKA) = 0.095773
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(297838272:298638911)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.124738
            XFLK(NPFLKA) =0.056797
            YFLK(NPFLKA) =-0.00051
            ZFLK(NPFLKA) =1.04135
            TXFLK  (NPFLKA) = 0.081055
            TYFLK  (NPFLKA) = -0.000784
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(298638912:299439552)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.015898
            XFLK(NPFLKA) =0.06214
            YFLK(NPFLKA) =-0.001114
            ZFLK(NPFLKA) =1.05047
            TXFLK  (NPFLKA) = 0.088873
            TYFLK  (NPFLKA) = -0.001882
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(299439553:300240192)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.015487
            XFLK(NPFLKA) =-0.031745
            YFLK(NPFLKA) =0.172946
            ZFLK(NPFLKA) =1.03854
            TXFLK  (NPFLKA) = -0.016514
            TYFLK  (NPFLKA) = 0.164618
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(300240193:301040833)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.060484
            XFLK(NPFLKA) =0.056492
            YFLK(NPFLKA) =0.000198
            ZFLK(NPFLKA) =1.04518
            TXFLK  (NPFLKA) = 0.077472
            TYFLK  (NPFLKA) = 0.00022
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(301040834:301841473)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 1.39139
            XFLK(NPFLKA) =0.00034
            YFLK(NPFLKA) =-0.000277
            ZFLK(NPFLKA) =1.06694
            TXFLK  (NPFLKA) = 0.020818
            TYFLK  (NPFLKA) = -0.000376
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(301841474:302642114)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.524488
            XFLK(NPFLKA) =-0.012995
            YFLK(NPFLKA) =0.004029
            ZFLK(NPFLKA) =1.06509
            TXFLK  (NPFLKA) = 0.006856
            TYFLK  (NPFLKA) = 0.003717
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(302642115:303442754)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.011894
            XFLK(NPFLKA) =0.051267
            YFLK(NPFLKA) =-0.002337
            ZFLK(NPFLKA) =1.06636
            TXFLK  (NPFLKA) = 0.076209
            TYFLK  (NPFLKA) = -0.00362
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(303442755:304243395)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.028441
            XFLK(NPFLKA) =0.057006
            YFLK(NPFLKA) =-0.122833
            ZFLK(NPFLKA) =1.04037
            TXFLK  (NPFLKA) = 0.071397
            TYFLK  (NPFLKA) = -0.116492
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(304243396:305044035)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.345481
            XFLK(NPFLKA) =-0.013277
            YFLK(NPFLKA) =-0.015698
            ZFLK(NPFLKA) =1.05632
            TXFLK  (NPFLKA) = 0.006754
            TYFLK  (NPFLKA) = -0.0143
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(305044036:305844676)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.07912
            XFLK(NPFLKA) =0.054641
            YFLK(NPFLKA) =-0.002617
            ZFLK(NPFLKA) =1.06341
            TXFLK  (NPFLKA) = 0.082291
            TYFLK  (NPFLKA) = -0.000289
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(305844677:306645316)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.013588
            XFLK(NPFLKA) =0.07329
            YFLK(NPFLKA) =0.061661
            ZFLK(NPFLKA) =1.04549
            TXFLK  (NPFLKA) = 0.102276
            TYFLK  (NPFLKA) = 0.074875
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(306645317:307445957)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 1.57369
            XFLK(NPFLKA) =-0.001997
            YFLK(NPFLKA) =4e-05
            ZFLK(NPFLKA) =1.04286
            TXFLK  (NPFLKA) = 0.020126
            TYFLK  (NPFLKA) = 5.2e-05
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(307445958:308246597)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.191488
            XFLK(NPFLKA) =-0.027594
            YFLK(NPFLKA) =0.010662
            ZFLK(NPFLKA) =1.04093
            TXFLK  (NPFLKA) = -0.003065
            TYFLK  (NPFLKA) = 0.00927
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(308246598:309047238)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.020982
            XFLK(NPFLKA) =0.040446
            YFLK(NPFLKA) =0.000443
            ZFLK(NPFLKA) =1.04153
            TXFLK  (NPFLKA) = 0.058165
            TYFLK  (NPFLKA) = 0.001745
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(309047239:309847878)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 4.94911
            XFLK(NPFLKA) =-0.001007
            YFLK(NPFLKA) =-0.000299
            ZFLK(NPFLKA) =1.06325
            TXFLK  (NPFLKA) = 0.017147
            TYFLK  (NPFLKA) = -0.000351
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(309847879:310648519)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.008017
            XFLK(NPFLKA) =-0.039574
            YFLK(NPFLKA) =0.021813
            ZFLK(NPFLKA) =-1.05367
            TXFLK  (NPFLKA) = -0.025976
            TYFLK  (NPFLKA) = 0.018145
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(310648520:311449159)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 3.16585
            XFLK(NPFLKA) =-0.000725
            YFLK(NPFLKA) =0.001996
            ZFLK(NPFLKA) =-1.04737
            TXFLK  (NPFLKA) = 0.01348
            TYFLK  (NPFLKA) = 0.002234
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(311449160:312249800)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.59081
            XFLK(NPFLKA) =0.015632
            YFLK(NPFLKA) =-0.008314
            ZFLK(NPFLKA) =-1.03914
            TXFLK  (NPFLKA) = 0.032562
            TYFLK  (NPFLKA) = -0.009335
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(312249801:313050440)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.072717
            XFLK(NPFLKA) =0.041292
            YFLK(NPFLKA) =0.000455
            ZFLK(NPFLKA) =-1.04005
            TXFLK  (NPFLKA) = 0.065586
            TYFLK  (NPFLKA) = 0.000846
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(313050441:313851081)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 1.33881
            XFLK(NPFLKA) =-0.002347
            YFLK(NPFLKA) =0.002027
            ZFLK(NPFLKA) =-1.04851
            TXFLK  (NPFLKA) = 0.013338
            TYFLK  (NPFLKA) = 0.002081
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(313851082:314651721)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 6.72354
            XFLK(NPFLKA) =0.001045
            YFLK(NPFLKA) =-0.000297
            ZFLK(NPFLKA) =-1.04605
            TXFLK  (NPFLKA) = 0.01726
            TYFLK  (NPFLKA) = -0.000338
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(314651722:315452362)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.01337
            XFLK(NPFLKA) =0.047334
            YFLK(NPFLKA) =0.00101
            ZFLK(NPFLKA) =-1.04994
            TXFLK  (NPFLKA) = 0.07104
            TYFLK  (NPFLKA) = 0.001538
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(315452363:316253002)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.008088
            XFLK(NPFLKA) =0.088082
            YFLK(NPFLKA) =0.0007
            ZFLK(NPFLKA) =-1.04864
            TXFLK  (NPFLKA) = 0.12962
            TYFLK  (NPFLKA) = 0.000902
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(316253003:317053643)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.444131
            XFLK(NPFLKA) =0.010312
            YFLK(NPFLKA) =7.1e-05
            ZFLK(NPFLKA) =-1.05511
            TXFLK  (NPFLKA) = 0.027224
            TYFLK  (NPFLKA) = 0.0001
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(317053644:317854283)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.005636
            XFLK(NPFLKA) =-0.193368
            YFLK(NPFLKA) =-0.05197
            ZFLK(NPFLKA) =-1.04127
            TXFLK  (NPFLKA) = -0.180105
            TYFLK  (NPFLKA) = -0.043076
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(317854284:318654924)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.020931
            XFLK(NPFLKA) =-0.05176
            YFLK(NPFLKA) =0.078563
            ZFLK(NPFLKA) =-1.06261
            TXFLK  (NPFLKA) = -0.036457
            TYFLK  (NPFLKA) = 0.079994
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(318654925:319455564)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.075895
            XFLK(NPFLKA) =-0.023865
            YFLK(NPFLKA) =0.041578
            ZFLK(NPFLKA) =-1.04748
            TXFLK  (NPFLKA) = -0.009214
            TYFLK  (NPFLKA) = 0.042028
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(319455565:320256205)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 1.77148
            XFLK(NPFLKA) =-0.00429
            YFLK(NPFLKA) =0.001639
            ZFLK(NPFLKA) =-1.05895
            TXFLK  (NPFLKA) = 0.013688
            TYFLK  (NPFLKA) = 0.00157
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(320256206:321056845)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.753661
            XFLK(NPFLKA) =0.004364
            YFLK(NPFLKA) =0.000773
            ZFLK(NPFLKA) =-1.05718
            TXFLK  (NPFLKA) = 0.023674
            TYFLK  (NPFLKA) = 0.000982
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(321056846:321857486)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.499278
            XFLK(NPFLKA) =-0.007124
            YFLK(NPFLKA) =0.009205
            ZFLK(NPFLKA) =-1.05604
            TXFLK  (NPFLKA) = 0.009146
            TYFLK  (NPFLKA) = 0.009064
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(321857487:322658127)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 1.11105
            XFLK(NPFLKA) =0.001541
            YFLK(NPFLKA) =6e-05
            ZFLK(NPFLKA) =-1.05319
            TXFLK  (NPFLKA) = 0.01835
            TYFLK  (NPFLKA) = 0.000106
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(322658128:323458767)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.017864
            XFLK(NPFLKA) =0.063339
            YFLK(NPFLKA) =0.005546
            ZFLK(NPFLKA) =-1.05274
            TXFLK  (NPFLKA) = 0.100001
            TYFLK  (NPFLKA) = 0.010376
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(323458768:324259408)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.036006
            XFLK(NPFLKA) =0.006461
            YFLK(NPFLKA) =-0.108947
            ZFLK(NPFLKA) =-1.05903
            TXFLK  (NPFLKA) = 0.020953
            TYFLK  (NPFLKA) = -0.105556
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(324259409:325060048)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.028392
            XFLK(NPFLKA) =0.028785
            YFLK(NPFLKA) =0.001711
            ZFLK(NPFLKA) =-1.06138
            TXFLK  (NPFLKA) = 0.04981
            TYFLK  (NPFLKA) = 0.0031
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(325060049:325860689)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 6.37562
            XFLK(NPFLKA) =-0.003419
            YFLK(NPFLKA) =0.00049
            ZFLK(NPFLKA) =-1.057
            TXFLK  (NPFLKA) = 0.015621
            TYFLK  (NPFLKA) = 0.000454
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(325860690:326661329)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.090971
            XFLK(NPFLKA) =0.055947
            YFLK(NPFLKA) =0.001052
            ZFLK(NPFLKA) =-1.06194
            TXFLK  (NPFLKA) = 0.076077
            TYFLK  (NPFLKA) = 0.001486
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(326661330:327461970)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 1.69217
            XFLK(NPFLKA) =0.000807
            YFLK(NPFLKA) =0.000471
            ZFLK(NPFLKA) =-1.0685
            TXFLK  (NPFLKA) = 0.019878
            TYFLK  (NPFLKA) = 0.000552
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(327461971:328262610)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.007355
            XFLK(NPFLKA) =-0.173364
            YFLK(NPFLKA) =-0.160594
            ZFLK(NPFLKA) =-1.04178
            TXFLK  (NPFLKA) = -0.15132
            TYFLK  (NPFLKA) = -0.143853
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(328262611:329063251)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.017758
            XFLK(NPFLKA) =-0.111302
            YFLK(NPFLKA) =-0.156949
            ZFLK(NPFLKA) =-1.06016
            TXFLK  (NPFLKA) = -0.082859
            TYFLK  (NPFLKA) = -0.137897
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(329063252:329863891)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.005371
            XFLK(NPFLKA) =-0.337791
            YFLK(NPFLKA) =-0.223764
            ZFLK(NPFLKA) =-1.02076
            TXFLK  (NPFLKA) = -0.31533
            TYFLK  (NPFLKA) = -0.177596
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(329863892:330664532)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.036472
            XFLK(NPFLKA) =0.061869
            YFLK(NPFLKA) =-0.009161
            ZFLK(NPFLKA) =1.03749
            TXFLK  (NPFLKA) = 0.087798
            TYFLK  (NPFLKA) = -0.01043
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(330664533:331465172)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.006712
            XFLK(NPFLKA) =-0.369875
            YFLK(NPFLKA) =-0.045696
            ZFLK(NPFLKA) =0.993959
            TXFLK  (NPFLKA) = -0.332282
            TYFLK  (NPFLKA) = -0.068183
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(331465173:332265813)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.010416
            XFLK(NPFLKA) =-0.078459
            YFLK(NPFLKA) =-0.199604
            ZFLK(NPFLKA) =1.02455
            TXFLK  (NPFLKA) = -0.049415
            TYFLK  (NPFLKA) = -0.18889
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(332265814:333066453)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.006026
            XFLK(NPFLKA) =-0.078549
            YFLK(NPFLKA) =0.308654
            ZFLK(NPFLKA) =1.00142
            TXFLK  (NPFLKA) = -0.079621
            TYFLK  (NPFLKA) = 0.299837
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(333066454:333867094)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.004952
            XFLK(NPFLKA) =-0.019088
            YFLK(NPFLKA) =-0.023753
            ZFLK(NPFLKA) =1.02448
            TXFLK  (NPFLKA) = -0.012926
            TYFLK  (NPFLKA) = -0.015847
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(333867095:334667734)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.017786
            XFLK(NPFLKA) =0.083197
            YFLK(NPFLKA) =-0.000341
            ZFLK(NPFLKA) =1.00767
            TXFLK  (NPFLKA) = 0.122514
            TYFLK  (NPFLKA) = -0.000869
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(334667735:335468375)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.0065
            XFLK(NPFLKA) =-0.022121
            YFLK(NPFLKA) =0.380757
            ZFLK(NPFLKA) =0.972193
            TXFLK  (NPFLKA) = -0.033001
            TYFLK  (NPFLKA) = 0.379454
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(335468376:336269015)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.005515
            XFLK(NPFLKA) =-0.399221
            YFLK(NPFLKA) =0.004219
            ZFLK(NPFLKA) =0.96869
            TXFLK  (NPFLKA) = -0.373531
            TYFLK  (NPFLKA) = -0.029754
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(336269016:337069656)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.079788
            XFLK(NPFLKA) =0.040987
            YFLK(NPFLKA) =-0.000221
            ZFLK(NPFLKA) =1.03714
            TXFLK  (NPFLKA) = 0.066395
            TYFLK  (NPFLKA) = -0.00046
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(337069657:337870296)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.016895
            XFLK(NPFLKA) =0.076995
            YFLK(NPFLKA) =0.000617
            ZFLK(NPFLKA) =1.01603
            TXFLK  (NPFLKA) = 0.106469
            TYFLK  (NPFLKA) = 0.000524
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(337870297:338670937)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.029798
            XFLK(NPFLKA) =-0.02915
            YFLK(NPFLKA) =0.040979
            ZFLK(NPFLKA) =1.01014
            TXFLK  (NPFLKA) = -0.019846
            TYFLK  (NPFLKA) = 0.042585
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(338670938:339471577)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 2.17815
            XFLK(NPFLKA) =-0.00076
            YFLK(NPFLKA) =-0.000187
            ZFLK(NPFLKA) =1.03904
            TXFLK  (NPFLKA) = 0.017527
            TYFLK  (NPFLKA) = -0.000253
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(339471578:340272218)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.02118
            XFLK(NPFLKA) =-0.059779
            YFLK(NPFLKA) =0.04052
            ZFLK(NPFLKA) =1.02007
            TXFLK  (NPFLKA) = -0.048137
            TYFLK  (NPFLKA) = 0.04038
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(340272219:341072858)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.011673
            XFLK(NPFLKA) =0.054521
            YFLK(NPFLKA) =0.001663
            ZFLK(NPFLKA) =1.01509
            TXFLK  (NPFLKA) = 0.086434
            TYFLK  (NPFLKA) = 0.00281
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(341072859:341873499)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.009863
            XFLK(NPFLKA) =0.089912
            YFLK(NPFLKA) =-0.002562
            ZFLK(NPFLKA) =1.01863
            TXFLK  (NPFLKA) = 0.135932
            TYFLK  (NPFLKA) = -0.004762
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(341873500:342674139)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 1.52262
            XFLK(NPFLKA) =0.001088
            YFLK(NPFLKA) =-0.000417
            ZFLK(NPFLKA) =1.02065
            TXFLK  (NPFLKA) = 0.019301
            TYFLK  (NPFLKA) = -0.00053
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(342674140:343474780)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 2.41202
            XFLK(NPFLKA) =-0.002871
            YFLK(NPFLKA) =0.000366
            ZFLK(NPFLKA) =1.00926
            TXFLK  (NPFLKA) = 0.014763
            TYFLK  (NPFLKA) = 0.00033
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(343474781:344275420)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.015179
            XFLK(NPFLKA) =-0.072791
            YFLK(NPFLKA) =0.097085
            ZFLK(NPFLKA) =1.01017
            TXFLK  (NPFLKA) = -0.061238
            TYFLK  (NPFLKA) = 0.098265
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(344275421:345076061)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.017081
            XFLK(NPFLKA) =-0.023743
            YFLK(NPFLKA) =-0.13858
            ZFLK(NPFLKA) =1.02813
            TXFLK  (NPFLKA) = -0.007577
            TYFLK  (NPFLKA) = -0.142511
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(345076062:345876701)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.259503
            XFLK(NPFLKA) =0.00316
            YFLK(NPFLKA) =0.000975
            ZFLK(NPFLKA) =1.01438
            TXFLK  (NPFLKA) = 0.0209
            TYFLK  (NPFLKA) = 0.001417
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(345876702:346677342)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.053079
            XFLK(NPFLKA) =-0.027024
            YFLK(NPFLKA) =0.064933
            ZFLK(NPFLKA) =1.03342
            TXFLK  (NPFLKA) = -0.013288
            TYFLK  (NPFLKA) = 0.065843
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(346677343:347477982)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.01973
            XFLK(NPFLKA) =0.041973
            YFLK(NPFLKA) =0.010398
            ZFLK(NPFLKA) =1.02026
            TXFLK  (NPFLKA) = 0.070328
            TYFLK  (NPFLKA) = 0.013741
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(347477983:348278623)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 1.06397
            XFLK(NPFLKA) =-0.004062
            YFLK(NPFLKA) =-0.003156
            ZFLK(NPFLKA) =1.0164
            TXFLK  (NPFLKA) = 0.012144
            TYFLK  (NPFLKA) = -0.003214
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(348278624:349079263)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.22014
            XFLK(NPFLKA) =0.019041
            YFLK(NPFLKA) =0.003459
            ZFLK(NPFLKA) =1.02817
            TXFLK  (NPFLKA) = 0.040959
            TYFLK  (NPFLKA) = 0.004244
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(349079264:349879904)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.488005
            XFLK(NPFLKA) =-0.008235
            YFLK(NPFLKA) =0.009089
            ZFLK(NPFLKA) =1.03847
            TXFLK  (NPFLKA) = 0.009324
            TYFLK  (NPFLKA) = 0.008894
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(349879905:350680544)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 1.20308
            XFLK(NPFLKA) =0.004477
            YFLK(NPFLKA) =-3e-05
            ZFLK(NPFLKA) =1.02472
            TXFLK  (NPFLKA) = 0.022081
            TYFLK  (NPFLKA) = -5e-05
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(350680545:351481185)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 1.47572
            XFLK(NPFLKA) =-0.003711
            YFLK(NPFLKA) =-0.002801
            ZFLK(NPFLKA) =1.02599
            TXFLK  (NPFLKA) = 0.012752
            TYFLK  (NPFLKA) = -0.002829
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(351481186:352281825)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.010517
            XFLK(NPFLKA) =0.054246
            YFLK(NPFLKA) =-0.001554
            ZFLK(NPFLKA) =1.01679
            TXFLK  (NPFLKA) = 0.082523
            TYFLK  (NPFLKA) = -0.000718
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(352281826:353082466)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 1.84245
            XFLK(NPFLKA) =-0.003178
            YFLK(NPFLKA) =-0.002067
            ZFLK(NPFLKA) =1.03595
            TXFLK  (NPFLKA) = 0.013693
            TYFLK  (NPFLKA) = -0.002072
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(353082467:353883106)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.007929
            XFLK(NPFLKA) =0.165188
            YFLK(NPFLKA) =-0.207339
            ZFLK(NPFLKA) =1.0006
            TXFLK  (NPFLKA) = 0.186053
            TYFLK  (NPFLKA) = -0.196006
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(353883107:354683747)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.05819
            XFLK(NPFLKA) =-0.052904
            YFLK(NPFLKA) =0.039483
            ZFLK(NPFLKA) =1.02273
            TXFLK  (NPFLKA) = -0.032075
            TYFLK  (NPFLKA) = 0.037185
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(354683748:355484388)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.016381
            XFLK(NPFLKA) =0.046844
            YFLK(NPFLKA) =0.000797
            ZFLK(NPFLKA) =1.03687
            TXFLK  (NPFLKA) = 0.070346
            TYFLK  (NPFLKA) = 0.000596
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(355484389:356285028)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.02828
            XFLK(NPFLKA) =0.022576
            YFLK(NPFLKA) =0.000216
            ZFLK(NPFLKA) =1.03296
            TXFLK  (NPFLKA) = 0.039416
            TYFLK  (NPFLKA) = 0.000643
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(356285029:357085669)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.073709
            XFLK(NPFLKA) =0.006644
            YFLK(NPFLKA) =-0.074929
            ZFLK(NPFLKA) =1.01747
            TXFLK  (NPFLKA) = 0.024123
            TYFLK  (NPFLKA) = -0.070269
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(357085670:357886309)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.028852
            XFLK(NPFLKA) =-0.057649
            YFLK(NPFLKA) =-0.100964
            ZFLK(NPFLKA) =1.02351
            TXFLK  (NPFLKA) = -0.028689
            TYFLK  (NPFLKA) = -0.088869
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(357886310:358686950)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.034652
            XFLK(NPFLKA) =0.062716
            YFLK(NPFLKA) =3.8e-05
            ZFLK(NPFLKA) =-1.00906
            TXFLK  (NPFLKA) = 0.095876
            TYFLK  (NPFLKA) = 0.000403
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(358686951:359487590)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.014411
            XFLK(NPFLKA) =-0.033446
            YFLK(NPFLKA) =-0.098938
            ZFLK(NPFLKA) =-1.01905
            TXFLK  (NPFLKA) = -0.027593
            TYFLK  (NPFLKA) = -0.107273
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(359487591:360288231)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.014462
            XFLK(NPFLKA) =0.038775
            YFLK(NPFLKA) =-0.008246
            ZFLK(NPFLKA) =-1.01169
            TXFLK  (NPFLKA) = 0.055211
            TYFLK  (NPFLKA) = -0.008841
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(360288232:361088871)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.290484
            XFLK(NPFLKA) =-0.002864
            YFLK(NPFLKA) =-0.01512
            ZFLK(NPFLKA) =-1.02172
            TXFLK  (NPFLKA) = 0.009758
            TYFLK  (NPFLKA) = -0.016235
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(361088872:361889512)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.086366
            XFLK(NPFLKA) =-0.022972
            YFLK(NPFLKA) =0.006833
            ZFLK(NPFLKA) =-1.02996
            TXFLK  (NPFLKA) = -0.00443
            TYFLK  (NPFLKA) = 0.006635
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(361889513:362690152)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.046134
            XFLK(NPFLKA) =0.07155
            YFLK(NPFLKA) =-0.003086
            ZFLK(NPFLKA) =-1.0273
            TXFLK  (NPFLKA) = 0.101924
            TYFLK  (NPFLKA) = -0.003852
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(362690153:363490793)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.755302
            XFLK(NPFLKA) =-0.006544
            YFLK(NPFLKA) =-0.000424
            ZFLK(NPFLKA) =-1.0275
            TXFLK  (NPFLKA) = 0.011678
            TYFLK  (NPFLKA) = -0.000303
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(363490794:364291433)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 2.76263
            XFLK(NPFLKA) =-0.000864
            YFLK(NPFLKA) =-0.000147
            ZFLK(NPFLKA) =-1.02822
            TXFLK  (NPFLKA) = 0.017782
            TYFLK  (NPFLKA) = -0.000204
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(364291434:365092074)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.0097
            XFLK(NPFLKA) =-0.133448
            YFLK(NPFLKA) =-0.130508
            ZFLK(NPFLKA) =-1.00187
            TXFLK  (NPFLKA) = -0.121964
            TYFLK  (NPFLKA) = -0.127768
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(365092075:365892714)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.077585
            XFLK(NPFLKA) =0.052461
            YFLK(NPFLKA) =9.3e-05
            ZFLK(NPFLKA) =-1.02062
            TXFLK  (NPFLKA) = 0.074208
            TYFLK  (NPFLKA) = 0.000212
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(365892715:366693355)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.256015
            XFLK(NPFLKA) =-0.005987
            YFLK(NPFLKA) =-0.018869
            ZFLK(NPFLKA) =-1.01474
            TXFLK  (NPFLKA) = 0.008143
            TYFLK  (NPFLKA) = -0.019445
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(366693356:367493995)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.058549
            XFLK(NPFLKA) =0.055454
            YFLK(NPFLKA) =-0.000196
            ZFLK(NPFLKA) =-1.01165
            TXFLK  (NPFLKA) = 0.080226
            TYFLK  (NPFLKA) = -0.000265
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(367493996:368294636)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.020558
            XFLK(NPFLKA) =0.03596
            YFLK(NPFLKA) =0.002127
            ZFLK(NPFLKA) =-1.02462
            TXFLK  (NPFLKA) = 0.057886
            TYFLK  (NPFLKA) = 0.003705
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(368294637:369095276)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.032427
            XFLK(NPFLKA) =0.033212
            YFLK(NPFLKA) =-0.001632
            ZFLK(NPFLKA) =-1.03564
            TXFLK  (NPFLKA) = 0.046606
            TYFLK  (NPFLKA) = -0.002408
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(369095277:369895917)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.579058
            XFLK(NPFLKA) =-0.008365
            YFLK(NPFLKA) =0.006533
            ZFLK(NPFLKA) =-1.01546
            TXFLK  (NPFLKA) = 0.00972
            TYFLK  (NPFLKA) = 0.006322
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(369895918:370696557)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.190143
            XFLK(NPFLKA) =-0.020003
            YFLK(NPFLKA) =0.022491
            ZFLK(NPFLKA) =-1.01388
            TXFLK  (NPFLKA) = -0.001841
            TYFLK  (NPFLKA) = 0.021777
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(370696558:371497198)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.030543
            XFLK(NPFLKA) =-0.022853
            YFLK(NPFLKA) =0.014878
            ZFLK(NPFLKA) =-1.01151
            TXFLK  (NPFLKA) = -0.004226
            TYFLK  (NPFLKA) = 0.0153
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(371497199:372297838)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.04883
            XFLK(NPFLKA) =-0.047636
            YFLK(NPFLKA) =0.058263
            ZFLK(NPFLKA) =-1.03501
            TXFLK  (NPFLKA) = -0.027459
            TYFLK  (NPFLKA) = 0.056249
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(372297839:373098479)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 14.5175
            XFLK(NPFLKA) =-0.002261
            YFLK(NPFLKA) =-8.2e-05
            ZFLK(NPFLKA) =-1.02987
            TXFLK  (NPFLKA) = 0.016787
            TYFLK  (NPFLKA) = -8.9e-05
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(373098480:373899119)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.040935
            XFLK(NPFLKA) =0.073446
            YFLK(NPFLKA) =-0.099439
            ZFLK(NPFLKA) =-1.02328
            TXFLK  (NPFLKA) = 0.084498
            TYFLK  (NPFLKA) = -0.095179
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(373899120:374699760)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.005297
            XFLK(NPFLKA) =0.131474
            YFLK(NPFLKA) =-0.020899
            ZFLK(NPFLKA) =0.998952
            TXFLK  (NPFLKA) = 0.160855
            TYFLK  (NPFLKA) = -0.029216
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(374699761:375500400)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.005758
            XFLK(NPFLKA) =-0.077202
            YFLK(NPFLKA) =0.038557
            ZFLK(NPFLKA) =0.985326
            TXFLK  (NPFLKA) = -0.073969
            TYFLK  (NPFLKA) = 0.034109
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(375500401:376301041)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 7.16137
            XFLK(NPFLKA) =0.001998
            YFLK(NPFLKA) =-6.8e-05
            ZFLK(NPFLKA) =0.987709
            TXFLK  (NPFLKA) = 0.016789
            TYFLK  (NPFLKA) = -9.1e-05
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(376301042:377101681)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.03067
            XFLK(NPFLKA) =0.023031
            YFLK(NPFLKA) =-0.001571
            ZFLK(NPFLKA) =1.00811
            TXFLK  (NPFLKA) = 0.034084
            TYFLK  (NPFLKA) = -0.002994
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(377101682:377902322)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.017436
            XFLK(NPFLKA) =0.067115
            YFLK(NPFLKA) =0.024357
            ZFLK(NPFLKA) =0.986904
            TXFLK  (NPFLKA) = 0.101009
            TYFLK  (NPFLKA) = 0.034357
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(377902323:378702962)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.218053
            XFLK(NPFLKA) =-0.00766
            YFLK(NPFLKA) =0.009218
            ZFLK(NPFLKA) =0.983643
            TXFLK  (NPFLKA) = 0.005803
            TYFLK  (NPFLKA) = 0.009833
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(378702963:379503603)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.028567
            XFLK(NPFLKA) =-0.091313
            YFLK(NPFLKA) =0.0323
            ZFLK(NPFLKA) =0.997428
            TXFLK  (NPFLKA) = -0.085144
            TYFLK  (NPFLKA) = 0.034123
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(379503604:380304243)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.007064
            XFLK(NPFLKA) =0.150116
            YFLK(NPFLKA) =-0.232443
            ZFLK(NPFLKA) =0.971535
            TXFLK  (NPFLKA) = 0.174842
            TYFLK  (NPFLKA) = -0.220201
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(380304244:381104884)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.044695
            XFLK(NPFLKA) =0.05448
            YFLK(NPFLKA) =-0.000453
            ZFLK(NPFLKA) =0.995235
            TXFLK  (NPFLKA) = 0.077852
            TYFLK  (NPFLKA) = -0.000767
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(381104885:381905524)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.02536
            XFLK(NPFLKA) =-0.017593
            YFLK(NPFLKA) =-0.091247
            ZFLK(NPFLKA) =0.997416
            TXFLK  (NPFLKA) = -0.004823
            TYFLK  (NPFLKA) = -0.098299
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(381905525:382706165)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.15121
            XFLK(NPFLKA) =-0.015315
            YFLK(NPFLKA) =-0.006608
            ZFLK(NPFLKA) =0.979516
            TXFLK  (NPFLKA) = 0.000424
            TYFLK  (NPFLKA) = -0.006649
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(382706166:383506805)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.005822
            XFLK(NPFLKA) =0.224521
            YFLK(NPFLKA) =-0.114257
            ZFLK(NPFLKA) =0.978435
            TXFLK  (NPFLKA) = 0.22271
            TYFLK  (NPFLKA) = -0.121835
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(383506806:384307446)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.019573
            XFLK(NPFLKA) =0.036034
            YFLK(NPFLKA) =-0.003605
            ZFLK(NPFLKA) =0.994088
            TXFLK  (NPFLKA) = 0.049459
            TYFLK  (NPFLKA) = -0.005219
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(384307447:385108086)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.128777
            XFLK(NPFLKA) =-0.024845
            YFLK(NPFLKA) =0.010597
            ZFLK(NPFLKA) =0.995488
            TXFLK  (NPFLKA) = -0.007895
            TYFLK  (NPFLKA) = 0.010494
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(385108087:385908727)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.029838
            XFLK(NPFLKA) =0.02755
            YFLK(NPFLKA) =-0.001783
            ZFLK(NPFLKA) =1.00021
            TXFLK  (NPFLKA) = 0.041304
            TYFLK  (NPFLKA) = -0.003368
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(385908728:386709367)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.017226
            XFLK(NPFLKA) =-0.028293
            YFLK(NPFLKA) =-0.119532
            ZFLK(NPFLKA) =0.984532
            TXFLK  (NPFLKA) = -0.010206
            TYFLK  (NPFLKA) = -0.12301
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(386709368:387510008)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.023422
            XFLK(NPFLKA) =-0.014558
            YFLK(NPFLKA) =-0.108775
            ZFLK(NPFLKA) =0.980834
            TXFLK  (NPFLKA) = 0.000316
            TYFLK  (NPFLKA) = -0.11437
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(387510009:388310649)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.377484
            XFLK(NPFLKA) =0.014882
            YFLK(NPFLKA) =-0.000456
            ZFLK(NPFLKA) =0.993167
            TXFLK  (NPFLKA) = 0.033261
            TYFLK  (NPFLKA) = -0.000647
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(388310650:389111289)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.23629
            XFLK(NPFLKA) =-0.011524
            YFLK(NPFLKA) =0.014142
            ZFLK(NPFLKA) =0.98604
            TXFLK  (NPFLKA) = 0.001936
            TYFLK  (NPFLKA) = 0.014882
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(389111290:389911930)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.005671
            XFLK(NPFLKA) =0.148072
            YFLK(NPFLKA) =-0.147757
            ZFLK(NPFLKA) =0.974525
            TXFLK  (NPFLKA) = 0.163657
            TYFLK  (NPFLKA) = -0.158472
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(389911931:390712570)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.006809
            XFLK(NPFLKA) =0.06045
            YFLK(NPFLKA) =-0.004412
            ZFLK(NPFLKA) =0.99158
            TXFLK  (NPFLKA) = 0.097865
            TYFLK  (NPFLKA) = -0.005868
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(390712571:391513211)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.023427
            XFLK(NPFLKA) =0.077348
            YFLK(NPFLKA) =-0.010698
            ZFLK(NPFLKA) =0.999425
            TXFLK  (NPFLKA) = 0.112005
            TYFLK  (NPFLKA) = -0.01546
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(391513212:392313851)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.073532
            XFLK(NPFLKA) =0.029638
            YFLK(NPFLKA) =0.055181
            ZFLK(NPFLKA) =1.00141
            TXFLK  (NPFLKA) = 0.043589
            TYFLK  (NPFLKA) = 0.059144
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(392313852:393114492)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.022574
            XFLK(NPFLKA) =0.023203
            YFLK(NPFLKA) =-0.123492
            ZFLK(NPFLKA) =0.984673
            TXFLK  (NPFLKA) = 0.040027
            TYFLK  (NPFLKA) = -0.128255
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(393114493:393915132)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.03873
            XFLK(NPFLKA) =-0.059563
            YFLK(NPFLKA) =-0.065589
            ZFLK(NPFLKA) =0.997393
            TXFLK  (NPFLKA) = -0.041726
            TYFLK  (NPFLKA) = -0.0661
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(393915133:394715773)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 1.02222
            XFLK(NPFLKA) =0.004084
            YFLK(NPFLKA) =0.000276
            ZFLK(NPFLKA) =1.00371
            TXFLK  (NPFLKA) = 0.021854
            TYFLK  (NPFLKA) = 0.000404
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(394715774:395516413)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.007637
            XFLK(NPFLKA) =0.052386
            YFLK(NPFLKA) =0.00796
            ZFLK(NPFLKA) =0.98275
            TXFLK  (NPFLKA) = 0.08768
            TYFLK  (NPFLKA) = 0.016308
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(395516414:396317054)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.009524
            XFLK(NPFLKA) =0.046609
            YFLK(NPFLKA) =0.241529
            ZFLK(NPFLKA) =0.97244
            TXFLK  (NPFLKA) = 0.054902
            TYFLK  (NPFLKA) = 0.244617
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(396317055:397117694)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.016012
            XFLK(NPFLKA) =0.053856
            YFLK(NPFLKA) =-0.000777
            ZFLK(NPFLKA) =0.981515
            TXFLK  (NPFLKA) = 0.08094
            TYFLK  (NPFLKA) = -0.001513
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(397117695:397918335)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 9.69632
            XFLK(NPFLKA) =-0.000646
            YFLK(NPFLKA) =-0.000818
            ZFLK(NPFLKA) =0.9909
            TXFLK  (NPFLKA) = 0.016254
            TYFLK  (NPFLKA) = -0.00082
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(397918336:398718975)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.448494
            XFLK(NPFLKA) =-0.007048
            YFLK(NPFLKA) =-0.011851
            ZFLK(NPFLKA) =0.992193
            TXFLK  (NPFLKA) = 0.009392
            TYFLK  (NPFLKA) = -0.011943
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(398718976:399519616)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.01083
            XFLK(NPFLKA) =0.076249
            YFLK(NPFLKA) =-3.8e-05
            ZFLK(NPFLKA) =0.990984
            TXFLK  (NPFLKA) = 0.112473
            TYFLK  (NPFLKA) = -0.000685
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(399519617:400320256)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.147083
            XFLK(NPFLKA) =-0.026828
            YFLK(NPFLKA) =0.010839
            ZFLK(NPFLKA) =0.979544
            TXFLK  (NPFLKA) = -0.004902
            TYFLK  (NPFLKA) = 0.01006
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(400320257:401120897)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.011883
            XFLK(NPFLKA) =0.044278
            YFLK(NPFLKA) =-0.001497
            ZFLK(NPFLKA) =0.989116
            TXFLK  (NPFLKA) = 0.074778
            TYFLK  (NPFLKA) = -0.002583
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(401120898:401921537)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.066714
            XFLK(NPFLKA) =0.055939
            YFLK(NPFLKA) =-0.001732
            ZFLK(NPFLKA) =0.998844
            TXFLK  (NPFLKA) = 0.076384
            TYFLK  (NPFLKA) = -0.00258
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(401921538:402722178)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.058249
            XFLK(NPFLKA) =-0.01169
            YFLK(NPFLKA) =-0.001688
            ZFLK(NPFLKA) =-0.99037
            TXFLK  (NPFLKA) = 0.000268
            TYFLK  (NPFLKA) = -4.7e-05
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(402722179:403522818)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.139803
            XFLK(NPFLKA) =0.008437
            YFLK(NPFLKA) =0.003351
            ZFLK(NPFLKA) =-0.979766
            TXFLK  (NPFLKA) = 0.027012
            TYFLK  (NPFLKA) = 0.004695
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(403522819:404323459)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.035932
            XFLK(NPFLKA) =-0.027755
            YFLK(NPFLKA) =-0.015877
            ZFLK(NPFLKA) =-0.999656
            TXFLK  (NPFLKA) = -0.018122
            TYFLK  (NPFLKA) = -0.015282
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(404323460:405124099)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.661653
            XFLK(NPFLKA) =-0.001147
            YFLK(NPFLKA) =7.3e-05
            ZFLK(NPFLKA) =-0.996018
            TXFLK  (NPFLKA) = 0.011729
            TYFLK  (NPFLKA) = 0.000201
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(405124100:405924740)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 3.50406
            XFLK(NPFLKA) =0.003419
            YFLK(NPFLKA) =1.7e-05
            ZFLK(NPFLKA) =-0.994279
            TXFLK  (NPFLKA) = 0.017434
            TYFLK  (NPFLKA) = 2.3e-05
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(405924741:406725380)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.134298
            XFLK(NPFLKA) =0.031003
            YFLK(NPFLKA) =0.000147
            ZFLK(NPFLKA) =-0.986554
            TXFLK  (NPFLKA) = 0.054219
            TYFLK  (NPFLKA) = 0.000152
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(406725381:407526021)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 6.01287
            XFLK(NPFLKA) =0.00118
            YFLK(NPFLKA) =-5.8e-05
            ZFLK(NPFLKA) =-0.991744
            TXFLK  (NPFLKA) = 0.015784
            TYFLK  (NPFLKA) = -5.1e-05
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(407526022:408326661)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.406261
            XFLK(NPFLKA) =0.003189
            YFLK(NPFLKA) =-0.000657
            ZFLK(NPFLKA) =-0.981161
            TXFLK  (NPFLKA) = 0.022304
            TYFLK  (NPFLKA) = -0.000987
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(408326662:409127302)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.017334
            XFLK(NPFLKA) =-0.069292
            YFLK(NPFLKA) =-0.038026
            ZFLK(NPFLKA) =-0.988839
            TXFLK  (NPFLKA) = -0.057896
            TYFLK  (NPFLKA) = -0.037931
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(409127303:409927942)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.093004
            XFLK(NPFLKA) =0.023378
            YFLK(NPFLKA) =-0.005441
            ZFLK(NPFLKA) =-0.989884
            TXFLK  (NPFLKA) = 0.047901
            TYFLK  (NPFLKA) = -0.006077
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(409927943:410728583)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.051781
            XFLK(NPFLKA) =-0.037212
            YFLK(NPFLKA) =0.017075
            ZFLK(NPFLKA) =-0.987758
            TXFLK  (NPFLKA) = -0.021942
            TYFLK  (NPFLKA) = 0.017732
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(410728584:411529223)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.11339
            XFLK(NPFLKA) =0.04074
            YFLK(NPFLKA) =-8.1e-05
            ZFLK(NPFLKA) =-0.983098
            TXFLK  (NPFLKA) = 0.068716
            TYFLK  (NPFLKA) = -8.2e-05
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(411529224:412329864)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.019945
            XFLK(NPFLKA) =0.05503
            YFLK(NPFLKA) =-0.006452
            ZFLK(NPFLKA) =-1.00578
            TXFLK  (NPFLKA) = 0.079166
            TYFLK  (NPFLKA) = -0.008949
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(412329865:413130504)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.015408
            XFLK(NPFLKA) =0.022941
            YFLK(NPFLKA) =0.000106
            ZFLK(NPFLKA) =-0.998022
            TXFLK  (NPFLKA) = 0.036095
            TYFLK  (NPFLKA) = 0.000214
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(413130505:413931145)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.016773
            XFLK(NPFLKA) =0.040526
            YFLK(NPFLKA) =-0.001997
            ZFLK(NPFLKA) =-0.979904
            TXFLK  (NPFLKA) = 0.069734
            TYFLK  (NPFLKA) = -0.002983
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(413931146:414731785)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.006823
            XFLK(NPFLKA) =0.037285
            YFLK(NPFLKA) =-0.001575
            ZFLK(NPFLKA) =-1.0038
            TXFLK  (NPFLKA) = 0.054292
            TYFLK  (NPFLKA) = -0.002636
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(414731786:415532426)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.00623
            XFLK(NPFLKA) =0.069645
            YFLK(NPFLKA) =0.0173
            ZFLK(NPFLKA) =-0.975232
            TXFLK  (NPFLKA) = 0.112884
            TYFLK  (NPFLKA) = 0.02646
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(415532427:416333066)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.011678
            XFLK(NPFLKA) =0.104496
            YFLK(NPFLKA) =0.169885
            ZFLK(NPFLKA) =-0.979162
            TXFLK  (NPFLKA) = 0.123969
            TYFLK  (NPFLKA) = 0.167559
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(416333067:417133707)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.136717
            XFLK(NPFLKA) =0.017016
            YFLK(NPFLKA) =0.001785
            ZFLK(NPFLKA) =-0.986582
            TXFLK  (NPFLKA) = 0.038936
            TYFLK  (NPFLKA) = 0.002653
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(417133708:417934347)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.010848
            XFLK(NPFLKA) =-0.001061
            YFLK(NPFLKA) =0.213318
            ZFLK(NPFLKA) =-0.980837
            TXFLK  (NPFLKA) = 0.022733
            TYFLK  (NPFLKA) = 0.207544
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(417934348:418734988)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.00787
            XFLK(NPFLKA) =0.054277
            YFLK(NPFLKA) =0.002585
            ZFLK(NPFLKA) =-0.991244
            TXFLK  (NPFLKA) = 0.091536
            TYFLK  (NPFLKA) = 0.001716
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(418734989:419535629)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.584871
            XFLK(NPFLKA) =0.006464
            YFLK(NPFLKA) =0.000489
            ZFLK(NPFLKA) =-0.996798
            TXFLK  (NPFLKA) = 0.025973
            TYFLK  (NPFLKA) = 0.00073
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(419535630:420336269)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.022204
            XFLK(NPFLKA) =0.045111
            YFLK(NPFLKA) =0.005432
            ZFLK(NPFLKA) =-0.994538
            TXFLK  (NPFLKA) = 0.070331
            TYFLK  (NPFLKA) = 0.009969
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(420336270:421136910)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.282364
            XFLK(NPFLKA) =0.00809
            YFLK(NPFLKA) =0.028671
            ZFLK(NPFLKA) =-1.00117
            TXFLK  (NPFLKA) = 0.023503
            TYFLK  (NPFLKA) = 0.028656
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(421136911:421937550)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.014407
            XFLK(NPFLKA) =0.09465
            YFLK(NPFLKA) =-0.03546
            ZFLK(NPFLKA) =-0.991275
            TXFLK  (NPFLKA) = 0.131013
            TYFLK  (NPFLKA) = -0.049527
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(421937551:422738191)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.00506
            XFLK(NPFLKA) =-0.926265
            YFLK(NPFLKA) =-0.062542
            ZFLK(NPFLKA) =0.7191
            TXFLK  (NPFLKA) = -0.838512
            TYFLK  (NPFLKA) = 0.190388
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(422738192:423538831)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.00936
            XFLK(NPFLKA) =0.413849
            YFLK(NPFLKA) =-0.038418
            ZFLK(NPFLKA) =0.903602
            TXFLK  (NPFLKA) = 0.439634
            TYFLK  (NPFLKA) = -0.016579
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(423538832:424339472)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.010904
            XFLK(NPFLKA) =-0.022101
            YFLK(NPFLKA) =0.196014
            ZFLK(NPFLKA) =0.961059
            TXFLK  (NPFLKA) = -0.012495
            TYFLK  (NPFLKA) = 0.199602
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(424339473:425140112)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 3.61591
            XFLK(NPFLKA) =0.001094
            YFLK(NPFLKA) =6e-06
            ZFLK(NPFLKA) =0.971352
            TXFLK  (NPFLKA) = 0.015525
            TYFLK  (NPFLKA) = 1.5e-05
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(425140113:425940753)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.32629
            XFLK(NPFLKA) =0.003861
            YFLK(NPFLKA) =-0.001124
            ZFLK(NPFLKA) =0.958521
            TXFLK  (NPFLKA) = 0.022026
            TYFLK  (NPFLKA) = -0.001657
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(425940754:426741393)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.949295
            XFLK(NPFLKA) =-0.001732
            YFLK(NPFLKA) =6.9e-05
            ZFLK(NPFLKA) =0.961648
            TXFLK  (NPFLKA) = 0.014693
            TYFLK  (NPFLKA) = -2.3e-05
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(426741394:427542034)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.010349
            XFLK(NPFLKA) =0.348429
            YFLK(NPFLKA) =-0.035913
            ZFLK(NPFLKA) =0.912913
            TXFLK  (NPFLKA) = 0.38624
            TYFLK  (NPFLKA) = -0.052406
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(427542035:428342674)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.011332
            XFLK(NPFLKA) =-0.082892
            YFLK(NPFLKA) =0.128004
            ZFLK(NPFLKA) =0.952264
            TXFLK  (NPFLKA) = -0.079924
            TYFLK  (NPFLKA) = 0.137465
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(428342675:429143315)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.438362
            XFLK(NPFLKA) =0.004892
            YFLK(NPFLKA) =0.000751
            ZFLK(NPFLKA) =0.972797
            TXFLK  (NPFLKA) = 0.024629
            TYFLK  (NPFLKA) = 0.001103
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(429143316:429943955)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 3.13609
            XFLK(NPFLKA) =-0.00284
            YFLK(NPFLKA) =0.00016
            ZFLK(NPFLKA) =0.974263
            TXFLK  (NPFLKA) = 0.015395
            TYFLK  (NPFLKA) = 0.000137
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(429943956:430744596)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.117109
            XFLK(NPFLKA) =0.043067
            YFLK(NPFLKA) =-0.000237
            ZFLK(NPFLKA) =0.963875
            TXFLK  (NPFLKA) = 0.071001
            TYFLK  (NPFLKA) = -0.00046
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(430744597:431545236)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.023156
            XFLK(NPFLKA) =0.035147
            YFLK(NPFLKA) =-0.000229
            ZFLK(NPFLKA) =0.967815
            TXFLK  (NPFLKA) = 0.056825
            TYFLK  (NPFLKA) = -0.000456
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(431545237:432345877)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.010664
            XFLK(NPFLKA) =-0.115827
            YFLK(NPFLKA) =0.099494
            ZFLK(NPFLKA) =0.944651
            TXFLK  (NPFLKA) = -0.110535
            TYFLK  (NPFLKA) = 0.103054
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(432345878:433146517)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 2.22995
            XFLK(NPFLKA) =0.003266
            YFLK(NPFLKA) =6.3e-05
            ZFLK(NPFLKA) =0.958393
            TXFLK  (NPFLKA) = 0.019646
            TYFLK  (NPFLKA) = 0.000119
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(433146518:433947158)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 2.374
            XFLK(NPFLKA) =-0.001745
            YFLK(NPFLKA) =0.002174
            ZFLK(NPFLKA) =0.948385
            TXFLK  (NPFLKA) = 0.013722
            TYFLK  (NPFLKA) = 0.002344
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(433947159:434747798)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 2.82821
            XFLK(NPFLKA) =-0.000326
            YFLK(NPFLKA) =-0.000846
            ZFLK(NPFLKA) =0.961259
            TXFLK  (NPFLKA) = 0.014845
            TYFLK  (NPFLKA) = -0.000925
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(434747799:435548439)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.006935
            XFLK(NPFLKA) =0.052842
            YFLK(NPFLKA) =0.001267
            ZFLK(NPFLKA) =0.969427
            TXFLK  (NPFLKA) = 0.090548
            TYFLK  (NPFLKA) = 0.002384
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(435548440:436349079)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.00924
            XFLK(NPFLKA) =-0.072017
            YFLK(NPFLKA) =-0.160294
            ZFLK(NPFLKA) =0.959862
            TXFLK  (NPFLKA) = -0.055466
            TYFLK  (NPFLKA) = -0.17153
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(436349080:437149720)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 5.69331
            XFLK(NPFLKA) =-0.001102
            YFLK(NPFLKA) =-6e-05
            ZFLK(NPFLKA) =0.951385
            TXFLK  (NPFLKA) = 0.017145
            TYFLK  (NPFLKA) = -8.2e-05
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(437149721:437950360)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 20.7467
            XFLK(NPFLKA) =-0.002459
            YFLK(NPFLKA) =-3.4e-05
            ZFLK(NPFLKA) =0.961571
            TXFLK  (NPFLKA) = 0.016305
            TYFLK  (NPFLKA) = -3.5e-05
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(437950361:438751001)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.577583
            XFLK(NPFLKA) =-0.007228
            YFLK(NPFLKA) =-0.00319
            ZFLK(NPFLKA) =0.961388
            TXFLK  (NPFLKA) = 0.009481
            TYFLK  (NPFLKA) = -0.003295
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(438751002:439551641)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.13106
            XFLK(NPFLKA) =0.04866
            YFLK(NPFLKA) =-7.5e-05
            ZFLK(NPFLKA) =0.969587
            TXFLK  (NPFLKA) = 0.0747
            TYFLK  (NPFLKA) = -0.000119
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(439551642:440352282)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.050563
            XFLK(NPFLKA) =-0.058033
            YFLK(NPFLKA) =0.03164
            ZFLK(NPFLKA) =0.960893
            TXFLK  (NPFLKA) = -0.043487
            TYFLK  (NPFLKA) = 0.032349
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(440352283:441152922)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.021707
            XFLK(NPFLKA) =0.035005
            YFLK(NPFLKA) =0.130483
            ZFLK(NPFLKA) =0.965731
            TXFLK  (NPFLKA) = 0.0503
            TYFLK  (NPFLKA) = 0.138647
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(441152923:441953563)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.088945
            XFLK(NPFLKA) =-0.013093
            YFLK(NPFLKA) =0.048088
            ZFLK(NPFLKA) =0.967702
            TXFLK  (NPFLKA) = 0.000251
            TYFLK  (NPFLKA) = 0.050749
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(441953564:442754203)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.133994
            XFLK(NPFLKA) =0.032973
            YFLK(NPFLKA) =2.5e-05
            ZFLK(NPFLKA) =0.973329
            TXFLK  (NPFLKA) = 0.058662
            TYFLK  (NPFLKA) = 9e-06
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(442754204:443554844)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.02134
            XFLK(NPFLKA) =0.027344
            YFLK(NPFLKA) =-0.000663
            ZFLK(NPFLKA) =0.975068
            TXFLK  (NPFLKA) = 0.044648
            TYFLK  (NPFLKA) = -0.001415
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(443554845:444355484)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.017967
            XFLK(NPFLKA) =0.058739
            YFLK(NPFLKA) =-0.001571
            ZFLK(NPFLKA) =0.972369
            TXFLK  (NPFLKA) = 0.093637
            TYFLK  (NPFLKA) = -0.002909
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(444355485:445156125)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.010855
            XFLK(NPFLKA) =0.06169
            YFLK(NPFLKA) =-0.012333
            ZFLK(NPFLKA) =0.968477
            TXFLK  (NPFLKA) = 0.102773
            TYFLK  (NPFLKA) = -0.022052
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(445156126:445956765)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.011119
            XFLK(NPFLKA) =0.036674
            YFLK(NPFLKA) =-0.00087
            ZFLK(NPFLKA) =0.956533
            TXFLK  (NPFLKA) = 0.061758
            TYFLK  (NPFLKA) = -0.001518
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(445956766:446757406)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.015891
            XFLK(NPFLKA) =-0.048678
            YFLK(NPFLKA) =0.152634
            ZFLK(NPFLKA) =0.955785
            TXFLK  (NPFLKA) = -0.035348
            TYFLK  (NPFLKA) = 0.153374
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(446757407:447558046)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.631087
            XFLK(NPFLKA) =0.001753
            YFLK(NPFLKA) =-0.002257
            ZFLK(NPFLKA) =0.973869
            TXFLK  (NPFLKA) = 0.020006
            TYFLK  (NPFLKA) = -0.002678
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(447558047:448358687)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.028293
            XFLK(NPFLKA) =0.02493
            YFLK(NPFLKA) =-0.00089
            ZFLK(NPFLKA) =0.966408
            TXFLK  (NPFLKA) = 0.041244
            TYFLK  (NPFLKA) = -0.002025
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(448358688:449159327)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.045949
            XFLK(NPFLKA) =0.06545
            YFLK(NPFLKA) =0.060397
            ZFLK(NPFLKA) =0.955849
            TXFLK  (NPFLKA) = 0.080503
            TYFLK  (NPFLKA) = 0.063207
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(449159328:449959968)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.005027
            XFLK(NPFLKA) =0.125252
            YFLK(NPFLKA) =-0.287579
            ZFLK(NPFLKA) =0.927679
            TXFLK  (NPFLKA) = 0.159398
            TYFLK  (NPFLKA) = -0.252507
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(449959969:450760608)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.009875
            XFLK(NPFLKA) =0.035724
            YFLK(NPFLKA) =0.004216
            ZFLK(NPFLKA) =-0.957166
            TXFLK  (NPFLKA) = 0.057227
            TYFLK  (NPFLKA) = 0.008654
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(450760609:451561249)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.017368
            XFLK(NPFLKA) =-0.015156
            YFLK(NPFLKA) =-0.022109
            ZFLK(NPFLKA) =-0.959348
            TXFLK  (NPFLKA) = -0.004545
            TYFLK  (NPFLKA) = -0.01956
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(451561250:452361890)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.01623
            XFLK(NPFLKA) =0.013479
            YFLK(NPFLKA) =0.046995
            ZFLK(NPFLKA) =-0.959466
            TXFLK  (NPFLKA) = 0.036843
            TYFLK  (NPFLKA) = 0.066566
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(452361891:453162530)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.03593
            XFLK(NPFLKA) =-0.014729
            YFLK(NPFLKA) =0.001049
            ZFLK(NPFLKA) =-0.964114
            TXFLK  (NPFLKA) = 1e-06
            TYFLK  (NPFLKA) = 0.001485
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(453162531:453963171)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.122475
            XFLK(NPFLKA) =-0.016621
            YFLK(NPFLKA) =0.011511
            ZFLK(NPFLKA) =-0.976095
            TXFLK  (NPFLKA) = -0.005591
            TYFLK  (NPFLKA) = 0.012727
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(453963172:454763811)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.26313
            XFLK(NPFLKA) =0.015414
            YFLK(NPFLKA) =-0.000102
            ZFLK(NPFLKA) =-0.973695
            TXFLK  (NPFLKA) = 0.033729
            TYFLK  (NPFLKA) = -0.000129
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(454763812:455564452)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 2.82326
            XFLK(NPFLKA) =-0.002422
            YFLK(NPFLKA) =-7e-06
            ZFLK(NPFLKA) =-0.961473
            TXFLK  (NPFLKA) = 0.015827
            TYFLK  (NPFLKA) = 6e-06
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(455564453:456365092)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 45.4825
            XFLK(NPFLKA) =-0.002191
            YFLK(NPFLKA) =-5.4e-05
            ZFLK(NPFLKA) =-0.954837
            TXFLK  (NPFLKA) = 0.016473
            TYFLK  (NPFLKA) = -6.4e-05
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(456365093:457165733)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.060746
            XFLK(NPFLKA) =0.049686
            YFLK(NPFLKA) =-0.000788
            ZFLK(NPFLKA) =-0.95933
            TXFLK  (NPFLKA) = 0.077198
            TYFLK  (NPFLKA) = -0.001543
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(457165734:457966373)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.083265
            XFLK(NPFLKA) =-0.010356
            YFLK(NPFLKA) =-0.037974
            ZFLK(NPFLKA) =-0.956832
            TXFLK  (NPFLKA) = 0.001039
            TYFLK  (NPFLKA) = -0.041713
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(457966374:458767014)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.024174
            XFLK(NPFLKA) =0.034263
            YFLK(NPFLKA) =6.6e-05
            ZFLK(NPFLKA) =-0.950635
            TXFLK  (NPFLKA) = 0.052069
            TYFLK  (NPFLKA) = -0.000193
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(458767015:459567654)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.044703
            XFLK(NPFLKA) =0.053841
            YFLK(NPFLKA) =-0.00015
            ZFLK(NPFLKA) =-0.968851
            TXFLK  (NPFLKA) = 0.077607
            TYFLK  (NPFLKA) = -0.00023
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(459567655:460368295)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.034971
            XFLK(NPFLKA) =-0.010221
            YFLK(NPFLKA) =0.076192
            ZFLK(NPFLKA) =-0.973059
            TXFLK  (NPFLKA) = 0.004523
            TYFLK  (NPFLKA) = 0.082348
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(460368296:461168935)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.04131
            XFLK(NPFLKA) =-0.049232
            YFLK(NPFLKA) =0.006414
            ZFLK(NPFLKA) =-0.950525
            TXFLK  (NPFLKA) = -0.030262
            TYFLK  (NPFLKA) = 0.006968
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(461168936:461969576)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.024214
            XFLK(NPFLKA) =-0.046621
            YFLK(NPFLKA) =0.100403
            ZFLK(NPFLKA) =-0.945859
            TXFLK  (NPFLKA) = -0.031946
            TYFLK  (NPFLKA) = 0.105391
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(461969577:462770216)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.014918
            XFLK(NPFLKA) =0.052176
            YFLK(NPFLKA) =0.001157
            ZFLK(NPFLKA) =-0.947014
            TXFLK  (NPFLKA) = 0.083144
            TYFLK  (NPFLKA) = 0.002179
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(462770217:463570857)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.619527
            XFLK(NPFLKA) =0.001934
            YFLK(NPFLKA) =0.008945
            ZFLK(NPFLKA) =-0.955442
            TXFLK  (NPFLKA) = 0.015274
            TYFLK  (NPFLKA) = 0.009947
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(463570858:464371497)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.19163
            XFLK(NPFLKA) =0.010011
            YFLK(NPFLKA) =0.001204
            ZFLK(NPFLKA) =-0.950872
            TXFLK  (NPFLKA) = 0.027791
            TYFLK  (NPFLKA) = 0.001851
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(464371498:465172138)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.007204
            XFLK(NPFLKA) =0.064544
            YFLK(NPFLKA) =-0.002067
            ZFLK(NPFLKA) =-0.967086
            TXFLK  (NPFLKA) = 0.108865
            TYFLK  (NPFLKA) = -0.0038
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(465172139:465972778)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.021509
            XFLK(NPFLKA) =0.043333
            YFLK(NPFLKA) =0.001184
            ZFLK(NPFLKA) =-0.965173
            TXFLK  (NPFLKA) = 0.071265
            TYFLK  (NPFLKA) = 0.002417
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(465972779:466773419)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 4.45224
            XFLK(NPFLKA) =-0.003469
            YFLK(NPFLKA) =0.000303
            ZFLK(NPFLKA) =-0.96274
            TXFLK  (NPFLKA) = 0.01528
            TYFLK  (NPFLKA) = 0.000294
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(466773420:467574059)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.111856
            XFLK(NPFLKA) =0.051663
            YFLK(NPFLKA) =0.000503
            ZFLK(NPFLKA) =-0.967449
            TXFLK  (NPFLKA) = 0.077176
            TYFLK  (NPFLKA) = 0.000772
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(467574060:468374700)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 9.30459
            XFLK(NPFLKA) =-0.002129
            YFLK(NPFLKA) =-0.000295
            ZFLK(NPFLKA) =-0.974766
            TXFLK  (NPFLKA) = 0.016078
            TYFLK  (NPFLKA) = -0.000299
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(468374701:469175340)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 7.32082
            XFLK(NPFLKA) =-0.001392
            YFLK(NPFLKA) =-0.000108
            ZFLK(NPFLKA) =-0.977461
            TXFLK  (NPFLKA) = 0.016914
            TYFLK  (NPFLKA) = -0.000138
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(469175341:469975981)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.108882
            XFLK(NPFLKA) =-0.034815
            YFLK(NPFLKA) =0.03082
            ZFLK(NPFLKA) =-0.967175
            TXFLK  (NPFLKA) = -0.018573
            TYFLK  (NPFLKA) = 0.031666
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(469975982:470776621)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.015126
            XFLK(NPFLKA) =0.030218
            YFLK(NPFLKA) =-0.169366
            ZFLK(NPFLKA) =-0.959743
            TXFLK  (NPFLKA) = 0.043229
            TYFLK  (NPFLKA) = -0.176267
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(470776622:471577262)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.103021
            XFLK(NPFLKA) =5.9e-05
            YFLK(NPFLKA) =-0.047983
            ZFLK(NPFLKA) =-0.96076
            TXFLK  (NPFLKA) = 0.014619
            TYFLK  (NPFLKA) = -0.050342
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(471577263:472377902)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.015494
            XFLK(NPFLKA) =-0.014478
            YFLK(NPFLKA) =0.165629
            ZFLK(NPFLKA) =-0.941056
            TXFLK  (NPFLKA) = 0.004941
            TYFLK  (NPFLKA) = 0.167133
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(472377903:473178543)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.026789
            XFLK(NPFLKA) =-0.038724
            YFLK(NPFLKA) =0.110845
            ZFLK(NPFLKA) =-0.959379
            TXFLK  (NPFLKA) = -0.020413
            TYFLK  (NPFLKA) = 0.111421
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(473178544:473979183)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.02778
            XFLK(NPFLKA) =-0.021384
            YFLK(NPFLKA) =0.116154
            ZFLK(NPFLKA) =-0.958689
            TXFLK  (NPFLKA) = -0.00411
            TYFLK  (NPFLKA) = 0.117429
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(473979184:474779824)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.009587
            XFLK(NPFLKA) =0.088494
            YFLK(NPFLKA) =-0.002293
            ZFLK(NPFLKA) =-0.968966
            TXFLK  (NPFLKA) = 0.140722
            TYFLK  (NPFLKA) = -0.002764
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(474779825:475580464)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.095564
            XFLK(NPFLKA) =0.043681
            YFLK(NPFLKA) =0.044389
            ZFLK(NPFLKA) =-0.971371
            TXFLK  (NPFLKA) = 0.059488
            TYFLK  (NPFLKA) = 0.046888
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(475580465:476381105)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.0426
            XFLK(NPFLKA) =0.059362
            YFLK(NPFLKA) =0.000327
            ZFLK(NPFLKA) =-0.975747
            TXFLK  (NPFLKA) = 0.083761
            TYFLK  (NPFLKA) = 0.000659
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(476381106:477181745)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.012243
            XFLK(NPFLKA) =0.088422
            YFLK(NPFLKA) =-0.005267
            ZFLK(NPFLKA) =-0.965029
            TXFLK  (NPFLKA) = 0.137663
            TYFLK  (NPFLKA) = -0.00776
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(477181746:477982386)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.121705
            XFLK(NPFLKA) =0.037357
            YFLK(NPFLKA) =0.041898
            ZFLK(NPFLKA) =-0.957978
            TXFLK  (NPFLKA) = 0.052839
            TYFLK  (NPFLKA) = 0.043476
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(477982387:478783026)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.156882
            XFLK(NPFLKA) =0.008274
            YFLK(NPFLKA) =0.002156
            ZFLK(NPFLKA) =-0.955508
            TXFLK  (NPFLKA) = 0.029148
            TYFLK  (NPFLKA) = 0.003284
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(478783027:479583667)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.014804
            XFLK(NPFLKA) =-0.11375
            YFLK(NPFLKA) =-0.060611
            ZFLK(NPFLKA) =-0.969142
            TXFLK  (NPFLKA) = -0.101535
            TYFLK  (NPFLKA) = -0.060203
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(479583668:480384307)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.01042
            XFLK(NPFLKA) =-0.116885
            YFLK(NPFLKA) =-0.128473
            ZFLK(NPFLKA) =-0.962558
            TXFLK  (NPFLKA) = -0.109484
            TYFLK  (NPFLKA) = -0.130351
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(480384308:481184948)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.005744
            XFLK(NPFLKA) =0.468658
            YFLK(NPFLKA) =0.103633
            ZFLK(NPFLKA) =-0.905874
            TXFLK  (NPFLKA) = 0.463196
            TYFLK  (NPFLKA) = 0.041676
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(481184949:481985588)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.006271
            XFLK(NPFLKA) =0.231389
            YFLK(NPFLKA) =-0.205703
            ZFLK(NPFLKA) =-0.94207
            TXFLK  (NPFLKA) = 0.244073
            TYFLK  (NPFLKA) = -0.23077
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(481985589:482786229)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.012469
            XFLK(NPFLKA) =-0.058495
            YFLK(NPFLKA) =0.04689
            ZFLK(NPFLKA) =-0.975866
            TXFLK  (NPFLKA) = -0.042358
            TYFLK  (NPFLKA) = 0.048419
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(482786230:483586869)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.022642
            XFLK(NPFLKA) =0.061505
            YFLK(NPFLKA) =0.004144
            ZFLK(NPFLKA) =-0.975923
            TXFLK  (NPFLKA) = 0.103725
            TYFLK  (NPFLKA) = 0.004933
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(483586870:484387510)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.009048
            XFLK(NPFLKA) =-0.066367
            YFLK(NPFLKA) =0.125721
            ZFLK(NPFLKA) =-0.972239
            TXFLK  (NPFLKA) = -0.044846
            TYFLK  (NPFLKA) = 0.128445
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(484387511:485188151)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.008907
            XFLK(NPFLKA) =-0.067398
            YFLK(NPFLKA) =0.055285
            ZFLK(NPFLKA) =0.942725
            TXFLK  (NPFLKA) = -0.061152
            TYFLK  (NPFLKA) = 0.055903
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(485188152:485988791)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.005454
            XFLK(NPFLKA) =-0.090804
            YFLK(NPFLKA) =-0.266551
            ZFLK(NPFLKA) =0.908395
            TXFLK  (NPFLKA) = -0.055858
            TYFLK  (NPFLKA) = -0.278781
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(485988792:486789432)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.028809
            XFLK(NPFLKA) =0.065733
            YFLK(NPFLKA) =0.002173
            ZFLK(NPFLKA) =0.943918
            TXFLK  (NPFLKA) = 0.105159
            TYFLK  (NPFLKA) = 0.004583
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(486789433:487590072)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.024043
            XFLK(NPFLKA) =-0.019701
            YFLK(NPFLKA) =-0.052725
            ZFLK(NPFLKA) =0.93354
            TXFLK  (NPFLKA) = -0.009066
            TYFLK  (NPFLKA) = -0.059955
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(487590073:488390713)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.0134
            XFLK(NPFLKA) =-0.014919
            YFLK(NPFLKA) =-0.188388
            ZFLK(NPFLKA) =0.931973
            TXFLK  (NPFLKA) = 0.008175
            TYFLK  (NPFLKA) = -0.182626
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(488390714:489191353)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.050695
            XFLK(NPFLKA) =0.054673
            YFLK(NPFLKA) =9.4e-05
            ZFLK(NPFLKA) =0.920166
            TXFLK  (NPFLKA) = 0.083971
            TYFLK  (NPFLKA) = 0.000392
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(489191354:489991994)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.006497
            XFLK(NPFLKA) =0.187463
            YFLK(NPFLKA) =0.247582
            ZFLK(NPFLKA) =0.901114
            TXFLK  (NPFLKA) = 0.18391
            TYFLK  (NPFLKA) = 0.257506
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(489991995:490792634)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.108522
            XFLK(NPFLKA) =0.010497
            YFLK(NPFLKA) =0.001631
            ZFLK(NPFLKA) =0.927781
            TXFLK  (NPFLKA) = 0.028958
            TYFLK  (NPFLKA) = 0.002442
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(490792635:491593275)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 3.3293
            XFLK(NPFLKA) =-0.001013
            YFLK(NPFLKA) =0.000327
            ZFLK(NPFLKA) =0.924744
            TXFLK  (NPFLKA) = 0.015081
            TYFLK  (NPFLKA) = 0.000342
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(491593276:492393915)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.054718
            XFLK(NPFLKA) =0.049542
            YFLK(NPFLKA) =9.9e-05
            ZFLK(NPFLKA) =0.92832
            TXFLK  (NPFLKA) = 0.07583
            TYFLK  (NPFLKA) = -0.000203
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(492393916:493194556)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.00636
            XFLK(NPFLKA) =0.060903
            YFLK(NPFLKA) =0.001329
            ZFLK(NPFLKA) =0.933087
            TXFLK  (NPFLKA) = 0.102504
            TYFLK  (NPFLKA) = 0.002371
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(493194557:493995196)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.05029
            XFLK(NPFLKA) =0.042466
            YFLK(NPFLKA) =0.000846
            ZFLK(NPFLKA) =0.937333
            TXFLK  (NPFLKA) = 0.064775
            TYFLK  (NPFLKA) = 0.001177
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(493995197:494795837)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.140714
            XFLK(NPFLKA) =0.035977
            YFLK(NPFLKA) =-0.000503
            ZFLK(NPFLKA) =0.927692
            TXFLK  (NPFLKA) = 0.063462
            TYFLK  (NPFLKA) = -0.000284
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(494795838:495596477)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.830321
            XFLK(NPFLKA) =-0.005166
            YFLK(NPFLKA) =0.002851
            ZFLK(NPFLKA) =0.918916
            TXFLK  (NPFLKA) = 0.011777
            TYFLK  (NPFLKA) = 0.003
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(495596478:496397118)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.030037
            XFLK(NPFLKA) =0.032949
            YFLK(NPFLKA) =5.3e-05
            ZFLK(NPFLKA) =0.939914
            TXFLK  (NPFLKA) = 0.056164
            TYFLK  (NPFLKA) = 0.000293
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(496397119:497197758)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.082504
            XFLK(NPFLKA) =0.056935
            YFLK(NPFLKA) =-0.000227
            ZFLK(NPFLKA) =0.922167
            TXFLK  (NPFLKA) = 0.085267
            TYFLK  (NPFLKA) = -0.000414
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(497197759:497998399)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.097454
            XFLK(NPFLKA) =0.044567
            YFLK(NPFLKA) =-0.00024
            ZFLK(NPFLKA) =0.922118
            TXFLK  (NPFLKA) = 0.070722
            TYFLK  (NPFLKA) = -0.000475
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(497998400:498799039)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.223848
            XFLK(NPFLKA) =-0.010696
            YFLK(NPFLKA) =-0.020367
            ZFLK(NPFLKA) =0.929087
            TXFLK  (NPFLKA) = 0.003628
            TYFLK  (NPFLKA) = -0.021856
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(498799040:499599680)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.06091
            XFLK(NPFLKA) =-0.007773
            YFLK(NPFLKA) =0.063921
            ZFLK(NPFLKA) =0.920456
            TXFLK  (NPFLKA) = 0.006092
            TYFLK  (NPFLKA) = 0.068192
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(499599681:500400320)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.045358
            XFLK(NPFLKA) =0.0292
            YFLK(NPFLKA) =0.000354
            ZFLK(NPFLKA) =0.939218
            TXFLK  (NPFLKA) = 0.043816
            TYFLK  (NPFLKA) = 0.00086
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(500400321:501200961)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.211567
            XFLK(NPFLKA) =-0.012653
            YFLK(NPFLKA) =-0.020144
            ZFLK(NPFLKA) =0.944311
            TXFLK  (NPFLKA) = 0.003592
            TYFLK  (NPFLKA) = -0.02098
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(501200962:502001601)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.032964
            XFLK(NPFLKA) =-0.002787
            YFLK(NPFLKA) =0.110175
            ZFLK(NPFLKA) =0.939914
            TXFLK  (NPFLKA) = 0.013588
            TYFLK  (NPFLKA) = 0.112511
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(502001602:502802242)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.013386
            XFLK(NPFLKA) =0.041609
            YFLK(NPFLKA) =-0.010826
            ZFLK(NPFLKA) =0.940553
            TXFLK  (NPFLKA) = 0.075754
            TYFLK  (NPFLKA) = -0.01878
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(502802243:503602882)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 1.12651
            XFLK(NPFLKA) =-0.00621
            YFLK(NPFLKA) =-0.002792
            ZFLK(NPFLKA) =0.922492
            TXFLK  (NPFLKA) = 0.01256
            TYFLK  (NPFLKA) = -0.002834
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(503602883:504403523)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.01136
            XFLK(NPFLKA) =0.037676
            YFLK(NPFLKA) =0.000236
            ZFLK(NPFLKA) =0.927971
            TXFLK  (NPFLKA) = 0.060886
            TYFLK  (NPFLKA) = 0.000561
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(504403524:505204163)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.023122
            XFLK(NPFLKA) =0.08241
            YFLK(NPFLKA) =-0.004307
            ZFLK(NPFLKA) =0.928871
            TXFLK  (NPFLKA) = 0.118165
            TYFLK  (NPFLKA) = -0.007931
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(505204164:506004804)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.00942
            XFLK(NPFLKA) =0.040438
            YFLK(NPFLKA) =-0.003947
            ZFLK(NPFLKA) =0.918285
            TXFLK  (NPFLKA) = 0.06295
            TYFLK  (NPFLKA) = -0.007505
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(506004805:506805444)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 2.18687
            XFLK(NPFLKA) =-0.000524
            YFLK(NPFLKA) =0.000106
            ZFLK(NPFLKA) =0.933584
            TXFLK  (NPFLKA) = 0.017114
            TYFLK  (NPFLKA) = 0.000166
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(506805445:507606085)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.330325
            XFLK(NPFLKA) =0.007002
            YFLK(NPFLKA) =-0.02386
            ZFLK(NPFLKA) =0.945644
            TXFLK  (NPFLKA) = 0.022891
            TYFLK  (NPFLKA) = -0.024768
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(507606086:508406725)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.754468
            XFLK(NPFLKA) =0.004058
            YFLK(NPFLKA) =0.000579
            ZFLK(NPFLKA) =0.931299
            TXFLK  (NPFLKA) = 0.024537
            TYFLK  (NPFLKA) = 0.000732
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(508406726:509207366)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.157536
            XFLK(NPFLKA) =-0.009571
            YFLK(NPFLKA) =0.000709
            ZFLK(NPFLKA) =-0.926198
            TXFLK  (NPFLKA) = 0.003353
            TYFLK  (NPFLKA) = 0.000448
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(509207367:510008006)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.014779
            XFLK(NPFLKA) =0.035841
            YFLK(NPFLKA) =-0.009667
            ZFLK(NPFLKA) =-0.92848
            TXFLK  (NPFLKA) = 0.058013
            TYFLK  (NPFLKA) = -0.015726
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(510008007:510808647)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.026968
            XFLK(NPFLKA) =-0.038256
            YFLK(NPFLKA) =-0.04217
            ZFLK(NPFLKA) =-0.929998
            TXFLK  (NPFLKA) = -0.028058
            TYFLK  (NPFLKA) = -0.045362
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(510808648:511609287)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.036317
            XFLK(NPFLKA) =0.059627
            YFLK(NPFLKA) =0.004181
            ZFLK(NPFLKA) =-0.91772
            TXFLK  (NPFLKA) = 0.089965
            TYFLK  (NPFLKA) = 0.00699
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(511609288:512409928)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.165796
            XFLK(NPFLKA) =-0.012864
            YFLK(NPFLKA) =-0.002776
            ZFLK(NPFLKA) =-0.947226
            TXFLK  (NPFLKA) = 0.00101
            TYFLK  (NPFLKA) = -0.002745
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(512409929:513210568)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.161033
            XFLK(NPFLKA) =0.022245
            YFLK(NPFLKA) =-0.000386
            ZFLK(NPFLKA) =-0.939237
            TXFLK  (NPFLKA) = 0.045173
            TYFLK  (NPFLKA) = -0.000539
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(513210569:514011209)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.396815
            XFLK(NPFLKA) =-0.004099
            YFLK(NPFLKA) =0.002432
            ZFLK(NPFLKA) =-0.927183
            TXFLK  (NPFLKA) = 0.011938
            TYFLK  (NPFLKA) = 0.002522
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(514011210:514811849)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.144285
            XFLK(NPFLKA) =-0.011393
            YFLK(NPFLKA) =0.020234
            ZFLK(NPFLKA) =-0.943588
            TXFLK  (NPFLKA) = 0.000177
            TYFLK  (NPFLKA) = 0.022813
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(514811850:515612490)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.627829
            XFLK(NPFLKA) =0.007655
            YFLK(NPFLKA) =-0.000111
            ZFLK(NPFLKA) =-0.942096
            TXFLK  (NPFLKA) = 0.023683
            TYFLK  (NPFLKA) = -0.000186
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(515612491:516413131)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 1.6114
            XFLK(NPFLKA) =-0.001512
            YFLK(NPFLKA) =-0.000454
            ZFLK(NPFLKA) =-0.924964
            TXFLK  (NPFLKA) = 0.014206
            TYFLK  (NPFLKA) = -0.00046
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(516413132:517213771)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.012738
            XFLK(NPFLKA) =0.049064
            YFLK(NPFLKA) =0.002765
            ZFLK(NPFLKA) =-0.918304
            TXFLK  (NPFLKA) = 0.079863
            TYFLK  (NPFLKA) = 0.003931
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(517213772:518014412)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.090507
            XFLK(NPFLKA) =-0.015341
            YFLK(NPFLKA) =0.034986
            ZFLK(NPFLKA) =-0.924728
            TXFLK  (NPFLKA) = -0.00282
            TYFLK  (NPFLKA) = 0.038527
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(518014413:518815052)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.007822
            XFLK(NPFLKA) =0.053875
            YFLK(NPFLKA) =0.003225
            ZFLK(NPFLKA) =-0.924595
            TXFLK  (NPFLKA) = 0.090536
            TYFLK  (NPFLKA) = 0.004992
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(518815053:519615693)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 2.25535
            XFLK(NPFLKA) =-0.003428
            YFLK(NPFLKA) =2.4e-05
            ZFLK(NPFLKA) =-0.939154
            TXFLK  (NPFLKA) = 0.015474
            TYFLK  (NPFLKA) = 2.1e-05
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(519615694:520416333)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 6.91812
            XFLK(NPFLKA) =-0.00242
            YFLK(NPFLKA) =-9.2e-05
            ZFLK(NPFLKA) =-0.941967
            TXFLK  (NPFLKA) = 0.016753
            TYFLK  (NPFLKA) = -0.000101
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(520416334:521216974)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.018048
            XFLK(NPFLKA) =0.002431
            YFLK(NPFLKA) =-0.12562
            ZFLK(NPFLKA) =-0.924018
            TXFLK  (NPFLKA) = 0.016253
            TYFLK  (NPFLKA) = -0.13719
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(521216975:522017614)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.762913
            XFLK(NPFLKA) =-0.005325
            YFLK(NPFLKA) =0.002679
            ZFLK(NPFLKA) =-0.918773
            TXFLK  (NPFLKA) = 0.011456
            TYFLK  (NPFLKA) = 0.002823
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(522017615:522818255)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.019758
            XFLK(NPFLKA) =0.030587
            YFLK(NPFLKA) =0.127789
            ZFLK(NPFLKA) =-0.912251
            TXFLK  (NPFLKA) = 0.049093
            TYFLK  (NPFLKA) = 0.13801
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(522818256:523618895)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.015819
            XFLK(NPFLKA) =0.029961
            YFLK(NPFLKA) =-0.003577
            ZFLK(NPFLKA) =-0.920563
            TXFLK  (NPFLKA) = 0.05141
            TYFLK  (NPFLKA) = -0.005563
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(523618896:524419536)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.017888
            XFLK(NPFLKA) =0.029627
            YFLK(NPFLKA) =-0.00127
            ZFLK(NPFLKA) =-0.939805
            TXFLK  (NPFLKA) = 0.054745
            TYFLK  (NPFLKA) = -0.002564
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(524419537:525220176)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 7.76358
            XFLK(NPFLKA) =-0.001628
            YFLK(NPFLKA) =0.000123
            ZFLK(NPFLKA) =-0.923064
            TXFLK  (NPFLKA) = 0.015946
            TYFLK  (NPFLKA) = 0.000123
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(525220177:526020817)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 4.43015
            XFLK(NPFLKA) =0.000211
            YFLK(NPFLKA) =-0.000125
            ZFLK(NPFLKA) =-0.918742
            TXFLK  (NPFLKA) = 0.017654
            TYFLK  (NPFLKA) = -0.000175
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(526020818:526821457)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.038881
            XFLK(NPFLKA) =0.053385
            YFLK(NPFLKA) =0.000919
            ZFLK(NPFLKA) =-0.937767
            TXFLK  (NPFLKA) = 0.074104
            TYFLK  (NPFLKA) = 0.001421
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(526821458:527622098)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.008456
            XFLK(NPFLKA) =-0.164506
            YFLK(NPFLKA) =-0.08557
            ZFLK(NPFLKA) =-0.91865
            TXFLK  (NPFLKA) = -0.159432
            TYFLK  (NPFLKA) = -0.084465
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(527622099:528422738)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 36.9736
            XFLK(NPFLKA) =0.000707
            YFLK(NPFLKA) =-6.2e-05
            ZFLK(NPFLKA) =-0.938515
            TXFLK  (NPFLKA) = 0.016402
            TYFLK  (NPFLKA) = -6.2e-05
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(528422739:529223379)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 8.43703
            XFLK(NPFLKA) =0.001591
            YFLK(NPFLKA) =5.2e-05
            ZFLK(NPFLKA) =-0.942338
            TXFLK  (NPFLKA) = 0.016943
            TYFLK  (NPFLKA) = 7.4e-05
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(529223380:530024019)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.059571
            XFLK(NPFLKA) =0.044986
            YFLK(NPFLKA) =0.000891
            ZFLK(NPFLKA) =-0.94442
            TXFLK  (NPFLKA) = 0.067606
            TYFLK  (NPFLKA) = 0.001533
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(530024020:530824660)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.008674
            XFLK(NPFLKA) =0.027545
            YFLK(NPFLKA) =0.212564
            ZFLK(NPFLKA) =-0.918811
            TXFLK  (NPFLKA) = 0.052371
            TYFLK  (NPFLKA) = 0.223209
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(530824661:531625300)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.033372
            XFLK(NPFLKA) =0.070225
            YFLK(NPFLKA) =0.012204
            ZFLK(NPFLKA) =-0.938502
            TXFLK  (NPFLKA) = 0.106797
            TYFLK  (NPFLKA) = 0.016725
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(531625301:532425941)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.018325
            XFLK(NPFLKA) =-0.096752
            YFLK(NPFLKA) =-0.121004
            ZFLK(NPFLKA) =-0.920247
            TXFLK  (NPFLKA) = -0.085282
            TYFLK  (NPFLKA) = -0.123227
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(532425942:533226581)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.047187
            XFLK(NPFLKA) =0.035922
            YFLK(NPFLKA) =0.000436
            ZFLK(NPFLKA) =-0.936638
            TXFLK  (NPFLKA) = 0.055783
            TYFLK  (NPFLKA) = 0.001243
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(533226582:534027222)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.205732
            XFLK(NPFLKA) =0.013404
            YFLK(NPFLKA) =-0.001219
            ZFLK(NPFLKA) =-0.944962
            TXFLK  (NPFLKA) = 0.033971
            TYFLK  (NPFLKA) = -0.001816
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(534027223:534827862)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.665259
            XFLK(NPFLKA) =-0.009359
            YFLK(NPFLKA) =-0.002856
            ZFLK(NPFLKA) =-0.923518
            TXFLK  (NPFLKA) = 0.010105
            TYFLK  (NPFLKA) = -0.002866
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(534827863:535628503)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.011321
            XFLK(NPFLKA) =0.051783
            YFLK(NPFLKA) =0.002836
            ZFLK(NPFLKA) =-0.933959
            TXFLK  (NPFLKA) = 0.079369
            TYFLK  (NPFLKA) = 0.005084
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(535628504:536429143)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.046531
            XFLK(NPFLKA) =0.083383
            YFLK(NPFLKA) =0.053965
            ZFLK(NPFLKA) =-0.929469
            TXFLK  (NPFLKA) = 0.100937
            TYFLK  (NPFLKA) = 0.055468
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(536429144:537229784)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.236301
            XFLK(NPFLKA) =0.007274
            YFLK(NPFLKA) =0.001272
            ZFLK(NPFLKA) =-0.944094
            TXFLK  (NPFLKA) = 0.026753
            TYFLK  (NPFLKA) = 0.002044
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(537229785:538030424)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.013986
            XFLK(NPFLKA) =-0.063138
            YFLK(NPFLKA) =-0.029134
            ZFLK(NPFLKA) =-0.943883
            TXFLK  (NPFLKA) = -0.063022
            TYFLK  (NPFLKA) = -0.030671
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(538030425:538831065)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.013136
            XFLK(NPFLKA) =-0.031137
            YFLK(NPFLKA) =-0.134601
            ZFLK(NPFLKA) =-0.940116
            TXFLK  (NPFLKA) = -0.02423
            TYFLK  (NPFLKA) = -0.14746
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(538831066:539631705)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.006224
            XFLK(NPFLKA) =0.046397
            YFLK(NPFLKA) =0.275173
            ZFLK(NPFLKA) =-0.923302
            TXFLK  (NPFLKA) = 0.080335
            TYFLK  (NPFLKA) = 0.26508
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(539631706:540432346)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.010479
            XFLK(NPFLKA) =-0.428443
            YFLK(NPFLKA) =-0.024029
            ZFLK(NPFLKA) =0.858487
            TXFLK  (NPFLKA) = -0.447125
            TYFLK  (NPFLKA) = -0.049713
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(540432347:541232986)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.005625
            XFLK(NPFLKA) =-0.115542
            YFLK(NPFLKA) =-0.088145
            ZFLK(NPFLKA) =0.905713
            TXFLK  (NPFLKA) = -0.108186
            TYFLK  (NPFLKA) = -0.103224
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(541232987:542033627)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.006754
            XFLK(NPFLKA) =0.07189
            YFLK(NPFLKA) =0.280532
            ZFLK(NPFLKA) =0.88589
            TXFLK  (NPFLKA) = 0.070835
            TYFLK  (NPFLKA) = 0.290602
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(542033628:542834267)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.015089
            XFLK(NPFLKA) =-0.020588
            YFLK(NPFLKA) =-0.171613
            ZFLK(NPFLKA) =0.906641
            TXFLK  (NPFLKA) = 0.000555
            TYFLK  (NPFLKA) = -0.171023
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(542834268:543634908)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.189442
            XFLK(NPFLKA) =0.014207
            YFLK(NPFLKA) =-0.000651
            ZFLK(NPFLKA) =0.888663
            TXFLK  (NPFLKA) = 0.033158
            TYFLK  (NPFLKA) = -0.001122
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(543634909:544435548)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.053131
            XFLK(NPFLKA) =0.001627
            YFLK(NPFLKA) =0.089279
            ZFLK(NPFLKA) =0.892646
            TXFLK  (NPFLKA) = 0.01581
            TYFLK  (NPFLKA) = 0.107232
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(544435549:545236189)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.006839
            XFLK(NPFLKA) =0.142038
            YFLK(NPFLKA) =-0.150042
            ZFLK(NPFLKA) =0.889016
            TXFLK  (NPFLKA) = 0.186344
            TYFLK  (NPFLKA) = -0.171233
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(545236190:546036829)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.009456
            XFLK(NPFLKA) =0.097445
            YFLK(NPFLKA) =-0.011321
            ZFLK(NPFLKA) =0.907383
            TXFLK  (NPFLKA) = 0.163879
            TYFLK  (NPFLKA) = -0.015837
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(546036830:546837470)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.019756
            XFLK(NPFLKA) =-0.047314
            YFLK(NPFLKA) =0.050854
            ZFLK(NPFLKA) =0.888142
            TXFLK  (NPFLKA) = -0.039936
            TYFLK  (NPFLKA) = 0.056163
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(546837471:547638110)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.006327
            XFLK(NPFLKA) =0.081803
            YFLK(NPFLKA) =-0.001453
            ZFLK(NPFLKA) =0.902776
            TXFLK  (NPFLKA) = 0.130785
            TYFLK  (NPFLKA) = -0.003156
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(547638111:548438751)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.641018
            XFLK(NPFLKA) =-0.003067
            YFLK(NPFLKA) =-0.003359
            ZFLK(NPFLKA) =0.909575
            TXFLK  (NPFLKA) = 0.011366
            TYFLK  (NPFLKA) = -0.003803
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(548438752:549239392)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.041868
            XFLK(NPFLKA) =0.026558
            YFLK(NPFLKA) =-0.00289
            ZFLK(NPFLKA) =0.891535
            TXFLK  (NPFLKA) = 0.048179
            TYFLK  (NPFLKA) = -0.005527
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(549239393:550040032)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.431398
            XFLK(NPFLKA) =0.005014
            YFLK(NPFLKA) =-0.01127
            ZFLK(NPFLKA) =0.910089
            TXFLK  (NPFLKA) = 0.017619
            TYFLK  (NPFLKA) = -0.013358
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(550040033:550840673)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.057057
            XFLK(NPFLKA) =-0.014922
            YFLK(NPFLKA) =0.04591
            ZFLK(NPFLKA) =0.897491
            TXFLK  (NPFLKA) = -0.003886
            TYFLK  (NPFLKA) = 0.051826
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(550840674:551641313)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 28.3469
            XFLK(NPFLKA) =-0.002238
            YFLK(NPFLKA) =-3.2e-05
            ZFLK(NPFLKA) =0.906471
            TXFLK  (NPFLKA) = 0.016557
            TYFLK  (NPFLKA) = -3.6e-05
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(551641314:552441954)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 3.93878
            XFLK(NPFLKA) =-0.002889
            YFLK(NPFLKA) =-5.4e-05
            ZFLK(NPFLKA) =0.905867
            TXFLK  (NPFLKA) = 0.015721
            TYFLK  (NPFLKA) = -5e-05
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(552441955:553242594)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 2.36592
            XFLK(NPFLKA) =0.001747
            YFLK(NPFLKA) =0.000153
            ZFLK(NPFLKA) =0.909228
            TXFLK  (NPFLKA) = 0.018137
            TYFLK  (NPFLKA) = 0.000242
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(553242595:554043235)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.485269
            XFLK(NPFLKA) =0.006562
            YFLK(NPFLKA) =-0.00058
            ZFLK(NPFLKA) =0.887396
            TXFLK  (NPFLKA) = 0.02285
            TYFLK  (NPFLKA) = -0.000898
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(554043236:554843875)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.317054
            XFLK(NPFLKA) =-0.001328
            YFLK(NPFLKA) =-0.013892
            ZFLK(NPFLKA) =0.886903
            TXFLK  (NPFLKA) = 0.012009
            TYFLK  (NPFLKA) = -0.015831
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(554843876:555644516)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.005511
            XFLK(NPFLKA) =0.119336
            YFLK(NPFLKA) =0.013494
            ZFLK(NPFLKA) =0.882793
            TXFLK  (NPFLKA) = 0.178829
            TYFLK  (NPFLKA) = 0.018599
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(555644517:556445156)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.5458
            XFLK(NPFLKA) =0.005301
            YFLK(NPFLKA) =0.010154
            ZFLK(NPFLKA) =0.889733
            TXFLK  (NPFLKA) = 0.017931
            TYFLK  (NPFLKA) = 0.011884
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(556445157:557245797)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 3.02494
            XFLK(NPFLKA) =0.001768
            YFLK(NPFLKA) =-0.000682
            ZFLK(NPFLKA) =0.899316
            TXFLK  (NPFLKA) = 0.01679
            TYFLK  (NPFLKA) = -0.000939
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(557245798:558046437)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 19.4124
            XFLK(NPFLKA) =0.002141
            YFLK(NPFLKA) =-0.000402
            ZFLK(NPFLKA) =0.90086
            TXFLK  (NPFLKA) = 0.016395
            TYFLK  (NPFLKA) = -0.000445
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(558046438:558847078)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.015456
            XFLK(NPFLKA) =0.085497
            YFLK(NPFLKA) =0.136321
            ZFLK(NPFLKA) =0.900767
            TXFLK  (NPFLKA) = 0.102654
            TYFLK  (NPFLKA) = 0.147377
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(558847079:559647718)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 7.87355
            XFLK(NPFLKA) =0.000407
            YFLK(NPFLKA) =3.7e-05
            ZFLK(NPFLKA) =0.891281
            TXFLK  (NPFLKA) = 0.016944
            TYFLK  (NPFLKA) = 5.7e-05
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(559647719:560448359)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.073161
            XFLK(NPFLKA) =0.045915
            YFLK(NPFLKA) =0.001001
            ZFLK(NPFLKA) =0.908469
            TXFLK  (NPFLKA) = 0.067346
            TYFLK  (NPFLKA) = 0.001498
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(560448360:561248999)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.018175
            XFLK(NPFLKA) =0.01842
            YFLK(NPFLKA) =-0.15
            ZFLK(NPFLKA) =0.891039
            TXFLK  (NPFLKA) = 0.038116
            TYFLK  (NPFLKA) = -0.154597
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(561249000:562049640)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.028029
            XFLK(NPFLKA) =0.135753
            YFLK(NPFLKA) =-0.016929
            ZFLK(NPFLKA) =0.888427
            TXFLK  (NPFLKA) = 0.153751
            TYFLK  (NPFLKA) = -0.015887
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(562049641:562850280)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.007688
            XFLK(NPFLKA) =0.047674
            YFLK(NPFLKA) =0.000677
            ZFLK(NPFLKA) =0.910619
            TXFLK  (NPFLKA) = 0.090915
            TYFLK  (NPFLKA) = 0.001808
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(562850281:563650921)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.580973
            XFLK(NPFLKA) =0.002431
            YFLK(NPFLKA) =-0.000557
            ZFLK(NPFLKA) =0.906264
            TXFLK  (NPFLKA) = 0.020628
            TYFLK  (NPFLKA) = -0.000802
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(563650922:564451561)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.557919
            XFLK(NPFLKA) =0.001466
            YFLK(NPFLKA) =-0.014399
            ZFLK(NPFLKA) =0.903944
            TXFLK  (NPFLKA) = 0.017304
            TYFLK  (NPFLKA) = -0.015116
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(564451562:565252202)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 1.31611
            XFLK(NPFLKA) =-0.006895
            YFLK(NPFLKA) =-0.005209
            ZFLK(NPFLKA) =0.901699
            TXFLK  (NPFLKA) = 0.013338
            TYFLK  (NPFLKA) = -0.005005
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(565252203:566052842)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.209419
            XFLK(NPFLKA) =-0.00244
            YFLK(NPFLKA) =-0.000177
            ZFLK(NPFLKA) =-0.898058
            TXFLK  (NPFLKA) = 0.008817
            TYFLK  (NPFLKA) = -0.000427
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(566052843:566853483)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.032967
            XFLK(NPFLKA) =0.072571
            YFLK(NPFLKA) =-0.018991
            ZFLK(NPFLKA) =-0.891424
            TXFLK  (NPFLKA) = 0.105081
            TYFLK  (NPFLKA) = -0.020554
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(566853484:567654123)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.019041
            XFLK(NPFLKA) =-0.020938
            YFLK(NPFLKA) =0.06271
            ZFLK(NPFLKA) =-0.900607
            TXFLK  (NPFLKA) = -0.011043
            TYFLK  (NPFLKA) = 0.073969
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(567654124:568454764)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 2.47448
            XFLK(NPFLKA) =0.005255
            YFLK(NPFLKA) =-0.000134
            ZFLK(NPFLKA) =-0.897927
            TXFLK  (NPFLKA) = 0.017264
            TYFLK  (NPFLKA) = -0.00019
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(568454765:569255404)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.073244
            XFLK(NPFLKA) =0.04615
            YFLK(NPFLKA) =-2.1e-05
            ZFLK(NPFLKA) =-0.904365
            TXFLK  (NPFLKA) = 0.078408
            TYFLK  (NPFLKA) = 5.4e-05
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(569255405:570056045)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.09673
            XFLK(NPFLKA) =0.018077
            YFLK(NPFLKA) =-0.005387
            ZFLK(NPFLKA) =-0.89926
            TXFLK  (NPFLKA) = 0.042756
            TYFLK  (NPFLKA) = -0.007261
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(570056046:570856685)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.007362
            XFLK(NPFLKA) =-0.011864
            YFLK(NPFLKA) =0.2115
            ZFLK(NPFLKA) =-0.872594
            TXFLK  (NPFLKA) = 0.007968
            TYFLK  (NPFLKA) = 0.246801
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(570856686:571657326)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.055461
            XFLK(NPFLKA) =0.05736
            YFLK(NPFLKA) =3.5e-05
            ZFLK(NPFLKA) =-0.912919
            TXFLK  (NPFLKA) = 0.085755
            TYFLK  (NPFLKA) = 9.1e-05
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(571657327:572457966)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.036675
            XFLK(NPFLKA) =0.045605
            YFLK(NPFLKA) =0.002374
            ZFLK(NPFLKA) =-0.895212
            TXFLK  (NPFLKA) = 0.070246
            TYFLK  (NPFLKA) = 0.003767
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(572457967:573258607)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.047436
            XFLK(NPFLKA) =-0.038051
            YFLK(NPFLKA) =-0.029115
            ZFLK(NPFLKA) =-0.896981
            TXFLK  (NPFLKA) = -0.026518
            TYFLK  (NPFLKA) = -0.031612
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(573258608:574059247)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 2.86066
            XFLK(NPFLKA) =0.003725
            YFLK(NPFLKA) =-0.000135
            ZFLK(NPFLKA) =-0.895912
            TXFLK  (NPFLKA) = 0.017464
            TYFLK  (NPFLKA) = -0.000194
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(574059248:574859888)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.020121
            XFLK(NPFLKA) =0.08356
            YFLK(NPFLKA) =-0.002624
            ZFLK(NPFLKA) =-0.906937
            TXFLK  (NPFLKA) = 0.12653
            TYFLK  (NPFLKA) = -0.003765
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(574859889:575660528)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 14.6601
            XFLK(NPFLKA) =0.000142
            YFLK(NPFLKA) =8.7e-05
            ZFLK(NPFLKA) =-0.892169
            TXFLK  (NPFLKA) = 0.016673
            TYFLK  (NPFLKA) = 0.000104
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(575660529:576461169)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 1.81063
            XFLK(NPFLKA) =0.00237
            YFLK(NPFLKA) =-0.000258
            ZFLK(NPFLKA) =-0.902095
            TXFLK  (NPFLKA) = 0.018749
            TYFLK  (NPFLKA) = -0.000374
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(576461170:577261809)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.007416
            XFLK(NPFLKA) =0.11569
            YFLK(NPFLKA) =0.042164
            ZFLK(NPFLKA) =-0.894606
            TXFLK  (NPFLKA) = 0.170776
            TYFLK  (NPFLKA) = 0.061823
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(577261810:578062450)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.052524
            XFLK(NPFLKA) =0.010817
            YFLK(NPFLKA) =0.063007
            ZFLK(NPFLKA) =-0.900035
            TXFLK  (NPFLKA) = 0.0259
            TYFLK  (NPFLKA) = 0.071191
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(578062451:578863090)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.083094
            XFLK(NPFLKA) =-0.018039
            YFLK(NPFLKA) =0.028484
            ZFLK(NPFLKA) =-0.890348
            TXFLK  (NPFLKA) = -0.003151
            TYFLK  (NPFLKA) = 0.030836
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(578863091:579663731)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.095989
            XFLK(NPFLKA) =0.04674
            YFLK(NPFLKA) =0.000406
            ZFLK(NPFLKA) =-0.89895
            TXFLK  (NPFLKA) = 0.078693
            TYFLK  (NPFLKA) = 0.000909
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(579663732:580464371)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.037634
            XFLK(NPFLKA) =0.030454
            YFLK(NPFLKA) =0.000571
            ZFLK(NPFLKA) =-0.898549
            TXFLK  (NPFLKA) = 0.047514
            TYFLK  (NPFLKA) = 0.001187
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(580464372:581265012)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.01519
            XFLK(NPFLKA) =0.101571
            YFLK(NPFLKA) =0.127365
            ZFLK(NPFLKA) =-0.897805
            TXFLK  (NPFLKA) = 0.12833
            TYFLK  (NPFLKA) = 0.138896
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(581265013:582065653)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 1.32842
            XFLK(NPFLKA) =0.002116
            YFLK(NPFLKA) =0.000231
            ZFLK(NPFLKA) =-0.913152
            TXFLK  (NPFLKA) = 0.020182
            TYFLK  (NPFLKA) = 0.000344
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(582065654:582866293)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.071425
            XFLK(NPFLKA) =-0.037404
            YFLK(NPFLKA) =0.039742
            ZFLK(NPFLKA) =-0.897539
            TXFLK  (NPFLKA) = -0.021814
            TYFLK  (NPFLKA) = 0.042115
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(582866294:583666934)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.272539
            XFLK(NPFLKA) =0.014205
            YFLK(NPFLKA) =0.000917
            ZFLK(NPFLKA) =-0.891725
            TXFLK  (NPFLKA) = 0.034937
            TYFLK  (NPFLKA) = 0.001462
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(583666935:584467574)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 9.08394
            XFLK(NPFLKA) =-0.000879
            YFLK(NPFLKA) =-0.000297
            ZFLK(NPFLKA) =-0.914947
            TXFLK  (NPFLKA) = 0.015969
            TYFLK  (NPFLKA) = -0.000318
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(584467575:585268215)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 6.3856
            XFLK(NPFLKA) =0.000315
            YFLK(NPFLKA) =-4.7e-05
            ZFLK(NPFLKA) =-0.913815
            TXFLK  (NPFLKA) = 0.017179
            TYFLK  (NPFLKA) = -7.2e-05
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(585268216:586068855)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 1.40414
            XFLK(NPFLKA) =-0.003786
            YFLK(NPFLKA) =-0.001353
            ZFLK(NPFLKA) =-0.90122
            TXFLK  (NPFLKA) = 0.013785
            TYFLK  (NPFLKA) = -0.001436
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(586068856:586869496)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 7.67319
            XFLK(NPFLKA) =-0.000921
            YFLK(NPFLKA) =1.9e-05
            ZFLK(NPFLKA) =-0.898226
            TXFLK  (NPFLKA) = 0.017016
            TYFLK  (NPFLKA) = 2.6e-05
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(586869497:587670136)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.072662
            XFLK(NPFLKA) =0.053251
            YFLK(NPFLKA) =7.7e-05
            ZFLK(NPFLKA) =-0.888448
            TXFLK  (NPFLKA) = 0.082892
            TYFLK  (NPFLKA) = 0.000144
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(587670137:588470777)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.365788
            XFLK(NPFLKA) =0.009033
            YFLK(NPFLKA) =-0.001453
            ZFLK(NPFLKA) =-0.889803
            TXFLK  (NPFLKA) = 0.029822
            TYFLK  (NPFLKA) = -0.00205
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(588470778:589271417)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 2.63521
            XFLK(NPFLKA) =-0.003995
            YFLK(NPFLKA) =-0.001598
            ZFLK(NPFLKA) =-0.900115
            TXFLK  (NPFLKA) = 0.014635
            TYFLK  (NPFLKA) = -0.001642
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(589271418:590072058)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.386726
            XFLK(NPFLKA) =0.010194
            YFLK(NPFLKA) =0.000658
            ZFLK(NPFLKA) =-0.904738
            TXFLK  (NPFLKA) = 0.03213
            TYFLK  (NPFLKA) = 0.001118
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(590072059:590872698)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.01043
            XFLK(NPFLKA) =-0.082411
            YFLK(NPFLKA) =-0.333638
            ZFLK(NPFLKA) =-0.867088
            TXFLK  (NPFLKA) = -0.076083
            TYFLK  (NPFLKA) = -0.310591
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(590872699:591673339)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.006106
            XFLK(NPFLKA) =-0.042825
            YFLK(NPFLKA) =0.286671
            ZFLK(NPFLKA) =-0.868676
            TXFLK  (NPFLKA) = -0.014825
            TYFLK  (NPFLKA) = 0.322591
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(591673340:592473979)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.008254
            XFLK(NPFLKA) =0.077111
            YFLK(NPFLKA) =-0.021377
            ZFLK(NPFLKA) =-0.911442
            TXFLK  (NPFLKA) = 0.12564
            TYFLK  (NPFLKA) = -0.020955
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(592473980:593274620)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.016647
            XFLK(NPFLKA) =-0.071017
            YFLK(NPFLKA) =-0.062615
            ZFLK(NPFLKA) =-0.912175
            TXFLK  (NPFLKA) = -0.067081
            TYFLK  (NPFLKA) = -0.069204
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(593274621:594075260)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.014162
            XFLK(NPFLKA) =0.055317
            YFLK(NPFLKA) =-0.020972
            ZFLK(NPFLKA) =0.854
            TXFLK  (NPFLKA) = 0.101438
            TYFLK  (NPFLKA) = -0.032413
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(594075261:594875901)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.008803
            XFLK(NPFLKA) =0.084742
            YFLK(NPFLKA) =-0.001807
            ZFLK(NPFLKA) =0.868527
            TXFLK  (NPFLKA) = 0.138392
            TYFLK  (NPFLKA) = -0.0036
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(594875902:595676541)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.06125
            XFLK(NPFLKA) =-0.041022
            YFLK(NPFLKA) =0.041587
            ZFLK(NPFLKA) =0.884384
            TXFLK  (NPFLKA) = -0.035306
            TYFLK  (NPFLKA) = 0.047475
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(595676542:596477182)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.094917
            XFLK(NPFLKA) =0.020541
            YFLK(NPFLKA) =-0.003503
            ZFLK(NPFLKA) =0.869924
            TXFLK  (NPFLKA) = 0.04135
            TYFLK  (NPFLKA) = -0.006206
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(596477183:597277822)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.060774
            XFLK(NPFLKA) =-0.006687
            YFLK(NPFLKA) =-0.036362
            ZFLK(NPFLKA) =0.860459
            TXFLK  (NPFLKA) = 0.001998
            TYFLK  (NPFLKA) = -0.045611
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(597277823:598078463)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.013299
            XFLK(NPFLKA) =-0.02954
            YFLK(NPFLKA) =0.081209
            ZFLK(NPFLKA) =0.879672
            TXFLK  (NPFLKA) = -0.026984
            TYFLK  (NPFLKA) = 0.097289
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(598078464:598879103)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.318976
            XFLK(NPFLKA) =0.010605
            YFLK(NPFLKA) =-0.001008
            ZFLK(NPFLKA) =0.860585
            TXFLK  (NPFLKA) = 0.028162
            TYFLK  (NPFLKA) = -0.001629
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(598879104:599679744)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.140801
            XFLK(NPFLKA) =-0.010776
            YFLK(NPFLKA) =0.00655
            ZFLK(NPFLKA) =0.865186
            TXFLK  (NPFLKA) = 0.000281
            TYFLK  (NPFLKA) = 0.007451
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(599679745:600480384)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 1.96133
            XFLK(NPFLKA) =0.002199
            YFLK(NPFLKA) =-0.001623
            ZFLK(NPFLKA) =0.885465
            TXFLK  (NPFLKA) = 0.017551
            TYFLK  (NPFLKA) = -0.001997
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(600480385:601281025)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.014329
            XFLK(NPFLKA) =-0.031109
            YFLK(NPFLKA) =0.095364
            ZFLK(NPFLKA) =0.879356
            TXFLK  (NPFLKA) = -0.025607
            TYFLK  (NPFLKA) = 0.111453
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(601281026:602081665)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.10899
            XFLK(NPFLKA) =0.021437
            YFLK(NPFLKA) =-0.001893
            ZFLK(NPFLKA) =0.870906
            TXFLK  (NPFLKA) = 0.043423
            TYFLK  (NPFLKA) = -0.002814
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(602081666:602882306)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.030805
            XFLK(NPFLKA) =0.008481
            YFLK(NPFLKA) =-0.074895
            ZFLK(NPFLKA) =0.868541
            TXFLK  (NPFLKA) = 0.021701
            TYFLK  (NPFLKA) = -0.089383
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(602882307:603682946)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.075049
            XFLK(NPFLKA) =0.045827
            YFLK(NPFLKA) =-8e-05
            ZFLK(NPFLKA) =0.88463
            TXFLK  (NPFLKA) = 0.073936
            TYFLK  (NPFLKA) = -0.000195
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(603682947:604483587)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.133644
            XFLK(NPFLKA) =0.027384
            YFLK(NPFLKA) =-9e-05
            ZFLK(NPFLKA) =0.881953
            TXFLK  (NPFLKA) = 0.052678
            TYFLK  (NPFLKA) = -0.000184
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(604483588:605284227)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.007371
            XFLK(NPFLKA) =0.050812
            YFLK(NPFLKA) =-0.188022
            ZFLK(NPFLKA) =0.861638
            TXFLK  (NPFLKA) = 0.079894
            TYFLK  (NPFLKA) = -0.215906
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(605284228:606084868)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.015781
            XFLK(NPFLKA) =0.042986
            YFLK(NPFLKA) =0.000852
            ZFLK(NPFLKA) =0.872541
            TXFLK  (NPFLKA) = 0.077743
            TYFLK  (NPFLKA) = 0.002277
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(606084869:606885508)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.076345
            XFLK(NPFLKA) =-0.024066
            YFLK(NPFLKA) =0.026487
            ZFLK(NPFLKA) =0.857908
            TXFLK  (NPFLKA) = -0.011837
            TYFLK  (NPFLKA) = 0.029549
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(606885509:607686149)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.013329
            XFLK(NPFLKA) =0.075125
            YFLK(NPFLKA) =-0.004523
            ZFLK(NPFLKA) =0.869464
            TXFLK  (NPFLKA) = 0.112259
            TYFLK  (NPFLKA) = -0.007559
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(607686150:608486789)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.070342
            XFLK(NPFLKA) =-0.02872
            YFLK(NPFLKA) =0.038063
            ZFLK(NPFLKA) =0.859997
            TXFLK  (NPFLKA) = -0.015864
            TYFLK  (NPFLKA) = 0.041776
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(608486790:609287430)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.491249
            XFLK(NPFLKA) =0.002337
            YFLK(NPFLKA) =-0.000711
            ZFLK(NPFLKA) =0.88508
            TXFLK  (NPFLKA) = 0.01649
            TYFLK  (NPFLKA) = -0.001106
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(609287431:610088070)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.894268
            XFLK(NPFLKA) =-0.001388
            YFLK(NPFLKA) =-0.005961
            ZFLK(NPFLKA) =0.875642
            TXFLK  (NPFLKA) = 0.014211
            TYFLK  (NPFLKA) = -0.006624
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(610088071:610888711)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.054253
            XFLK(NPFLKA) =-0.008281
            YFLK(NPFLKA) =0.00168
            ZFLK(NPFLKA) =0.871807
            TXFLK  (NPFLKA) = 0.009668
            TYFLK  (NPFLKA) = 0.002546
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(610888712:611689351)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.005242
            XFLK(NPFLKA) =-0.023012
            YFLK(NPFLKA) =0.028201
            ZFLK(NPFLKA) =-0.873224
            TXFLK  (NPFLKA) = -0.018006
            TYFLK  (NPFLKA) = 0.027174
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(611689352:612489992)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.012661
            XFLK(NPFLKA) =0.068796
            YFLK(NPFLKA) =-0.000527
            ZFLK(NPFLKA) =-0.87455
            TXFLK  (NPFLKA) = 0.122347
            TYFLK  (NPFLKA) = -0.001641
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(612489993:613290633)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.031155
            XFLK(NPFLKA) =0.055878
            YFLK(NPFLKA) =0.000332
            ZFLK(NPFLKA) =-0.862301
            TXFLK  (NPFLKA) = 0.096649
            TYFLK  (NPFLKA) = 0.000494
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(613290634:614091273)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.011161
            XFLK(NPFLKA) =-0.036591
            YFLK(NPFLKA) =-0.02474
            ZFLK(NPFLKA) =-0.879523
            TXFLK  (NPFLKA) = -0.030145
            TYFLK  (NPFLKA) = -0.024392
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(614091274:614891914)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.007468
            XFLK(NPFLKA) =0.092691
            YFLK(NPFLKA) =-0.000447
            ZFLK(NPFLKA) =-0.865902
            TXFLK  (NPFLKA) = 0.14697
            TYFLK  (NPFLKA) = 0.002584
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(614891915:615692554)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.033192
            XFLK(NPFLKA) =0.051643
            YFLK(NPFLKA) =-0.00376
            ZFLK(NPFLKA) =-0.863405
            TXFLK  (NPFLKA) = 0.08861
            TYFLK  (NPFLKA) = -0.006514
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(615692555:616493195)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.00587
            XFLK(NPFLKA) =0.080249
            YFLK(NPFLKA) =0.046774
            ZFLK(NPFLKA) =-0.858855
            TXFLK  (NPFLKA) = 0.149822
            TYFLK  (NPFLKA) = 0.079018
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(616493196:617293835)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.430314
            XFLK(NPFLKA) =0.007732
            YFLK(NPFLKA) =0.008286
            ZFLK(NPFLKA) =-0.86765
            TXFLK  (NPFLKA) = 0.01793
            TYFLK  (NPFLKA) = 0.010707
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(617293836:618094476)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 1.9727
            XFLK(NPFLKA) =0.004941
            YFLK(NPFLKA) =-0.001545
            ZFLK(NPFLKA) =-0.878266
            TXFLK  (NPFLKA) = 0.015988
            TYFLK  (NPFLKA) = -0.002012
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(618094477:618895116)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.124152
            XFLK(NPFLKA) =-0.012516
            YFLK(NPFLKA) =0.007016
            ZFLK(NPFLKA) =-0.870543
            TXFLK  (NPFLKA) = 0.001862
            TYFLK  (NPFLKA) = 0.00782
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(618895117:619695757)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.04887
            XFLK(NPFLKA) =-0.010748
            YFLK(NPFLKA) =0.045962
            ZFLK(NPFLKA) =-0.865742
            TXFLK  (NPFLKA) = 0.000478
            TYFLK  (NPFLKA) = 0.053979
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(619695758:620496397)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.027225
            XFLK(NPFLKA) =0.046356
            YFLK(NPFLKA) =0.000466
            ZFLK(NPFLKA) =-0.85506
            TXFLK  (NPFLKA) = 0.071426
            TYFLK  (NPFLKA) = 0.000929
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(620496398:621297038)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 1.30888
            XFLK(NPFLKA) =-0.000956
            YFLK(NPFLKA) =0.002549
            ZFLK(NPFLKA) =-0.857666
            TXFLK  (NPFLKA) = 0.013486
            TYFLK  (NPFLKA) = 0.002963
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(621297039:622097678)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 3.25105
            XFLK(NPFLKA) =0.001872
            YFLK(NPFLKA) =0.000111
            ZFLK(NPFLKA) =-0.866913
            TXFLK  (NPFLKA) = 0.017665
            TYFLK  (NPFLKA) = 0.000192
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(622097679:622898319)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.54661
            XFLK(NPFLKA) =-0.002881
            YFLK(NPFLKA) =-0.002246
            ZFLK(NPFLKA) =-0.858398
            TXFLK  (NPFLKA) = 0.010922
            TYFLK  (NPFLKA) = -0.003177
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(622898320:623698959)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.016749
            XFLK(NPFLKA) =0.032578
            YFLK(NPFLKA) =-0.001057
            ZFLK(NPFLKA) =-0.872311
            TXFLK  (NPFLKA) = 0.059519
            TYFLK  (NPFLKA) = -0.001615
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(623698960:624499600)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.015553
            XFLK(NPFLKA) =0.039564
            YFLK(NPFLKA) =0.003299
            ZFLK(NPFLKA) =-0.884369
            TXFLK  (NPFLKA) = 0.072055
            TYFLK  (NPFLKA) = 0.007497
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(624499601:625300240)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.086264
            XFLK(NPFLKA) =0.050139
            YFLK(NPFLKA) =-0.000164
            ZFLK(NPFLKA) =-0.874355
            TXFLK  (NPFLKA) = 0.080406
            TYFLK  (NPFLKA) = -0.000378
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(625300241:626100881)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 1.02446
            XFLK(NPFLKA) =0.000923
            YFLK(NPFLKA) =-0.004517
            ZFLK(NPFLKA) =-0.872659
            TXFLK  (NPFLKA) = 0.014281
            TYFLK  (NPFLKA) = -0.005324
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(626100882:626901521)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.064564
            XFLK(NPFLKA) =0.048478
            YFLK(NPFLKA) =-7.2e-05
            ZFLK(NPFLKA) =-0.855289
            TXFLK  (NPFLKA) = 0.074344
            TYFLK  (NPFLKA) = -0.00011
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(626901522:627702162)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 4.46907
            XFLK(NPFLKA) =-6.4e-05
            YFLK(NPFLKA) =-0.000758
            ZFLK(NPFLKA) =-0.883804
            TXFLK  (NPFLKA) = 0.015719
            TYFLK  (NPFLKA) = -0.000856
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(627702163:628502802)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.009985
            XFLK(NPFLKA) =-0.120361
            YFLK(NPFLKA) =-0.132728
            ZFLK(NPFLKA) =-0.856755
            TXFLK  (NPFLKA) = -0.119991
            TYFLK  (NPFLKA) = -0.141995
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(628502803:629303443)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.021566
            XFLK(NPFLKA) =-0.0232
            YFLK(NPFLKA) =0.116033
            ZFLK(NPFLKA) =-0.863402
            TXFLK  (NPFLKA) = -0.007539
            TYFLK  (NPFLKA) = 0.126438
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(629303444:630104083)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.009793
            XFLK(NPFLKA) =0.040397
            YFLK(NPFLKA) =-0.000576
            ZFLK(NPFLKA) =-0.870142
            TXFLK  (NPFLKA) = 0.068895
            TYFLK  (NPFLKA) = -0.000691
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(630104084:630904724)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.017981
            XFLK(NPFLKA) =0.052232
            YFLK(NPFLKA) =0.001055
            ZFLK(NPFLKA) =-0.858535
            TXFLK  (NPFLKA) = 0.086379
            TYFLK  (NPFLKA) = 0.002234
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(630904725:631705364)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.668526
            XFLK(NPFLKA) =0.006909
            YFLK(NPFLKA) =0.000781
            ZFLK(NPFLKA) =-0.874215
            TXFLK  (NPFLKA) = 0.025869
            TYFLK  (NPFLKA) = 0.001179
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(631705365:632506005)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.628799
            XFLK(NPFLKA) =-0.003942
            YFLK(NPFLKA) =0.007655
            ZFLK(NPFLKA) =-0.872674
            TXFLK  (NPFLKA) = 0.01211
            TYFLK  (NPFLKA) = 0.008367
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(632506006:633306645)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.006726
            XFLK(NPFLKA) =0.051149
            YFLK(NPFLKA) =-0.011638
            ZFLK(NPFLKA) =-0.872223
            TXFLK  (NPFLKA) = 0.096458
            TYFLK  (NPFLKA) = -0.025479
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(633306646:634107286)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.34999
            XFLK(NPFLKA) =0.013726
            YFLK(NPFLKA) =0.012563
            ZFLK(NPFLKA) =-0.872817
            TXFLK  (NPFLKA) = 0.026339
            TYFLK  (NPFLKA) = 0.015595
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(634107287:634907926)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 1.50899
            XFLK(NPFLKA) =0.003304
            YFLK(NPFLKA) =0.000192
            ZFLK(NPFLKA) =-0.88254
            TXFLK  (NPFLKA) = 0.015582
            TYFLK  (NPFLKA) = 0.000304
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(634907927:635708567)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.016076
            XFLK(NPFLKA) =0.050907
            YFLK(NPFLKA) =0.001105
            ZFLK(NPFLKA) =-0.859635
            TXFLK  (NPFLKA) = 0.09677
            TYFLK  (NPFLKA) = 0.002043
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(635708568:636509207)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.222017
            XFLK(NPFLKA) =0.024396
            YFLK(NPFLKA) =-0.000344
            ZFLK(NPFLKA) =-0.857026
            TXFLK  (NPFLKA) = 0.048765
            TYFLK  (NPFLKA) = -0.000481
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(636509208:637309848)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.024416
            XFLK(NPFLKA) =0.067519
            YFLK(NPFLKA) =0.108877
            ZFLK(NPFLKA) =-0.86836
            TXFLK  (NPFLKA) = 0.088979
            TYFLK  (NPFLKA) = 0.116185
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(637309849:638110488)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.124697
            XFLK(NPFLKA) =0.003679
            YFLK(NPFLKA) =0.042172
            ZFLK(NPFLKA) =-0.865645
            TXFLK  (NPFLKA) = 0.019455
            TYFLK  (NPFLKA) = 0.045913
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(638110489:638911129)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.113099
            XFLK(NPFLKA) =-0.000261
            YFLK(NPFLKA) =0.046017
            ZFLK(NPFLKA) =-0.86393
            TXFLK  (NPFLKA) = 0.015249
            TYFLK  (NPFLKA) = 0.04952
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(638911130:639711769)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.310964
            XFLK(NPFLKA) =0.009073
            YFLK(NPFLKA) =0.000943
            ZFLK(NPFLKA) =-0.86675
            TXFLK  (NPFLKA) = 0.02805
            TYFLK  (NPFLKA) = 0.00152
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(639711770:640512410)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.555142
            XFLK(NPFLKA) =-0.005821
            YFLK(NPFLKA) =0.010166
            ZFLK(NPFLKA) =-0.883812
            TXFLK  (NPFLKA) = 0.011849
            TYFLK  (NPFLKA) = 0.01066
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(640512411:641313050)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.656154
            XFLK(NPFLKA) =0.004371
            YFLK(NPFLKA) =-0.000371
            ZFLK(NPFLKA) =-0.882416
            TXFLK  (NPFLKA) = 0.024004
            TYFLK  (NPFLKA) = -0.000603
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(641313051:642113691)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.023987
            XFLK(NPFLKA) =0.016535
            YFLK(NPFLKA) =0.120307
            ZFLK(NPFLKA) =-0.880582
            TXFLK  (NPFLKA) = 0.033739
            TYFLK  (NPFLKA) = 0.128519
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(642113692:642914331)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.007906
            XFLK(NPFLKA) =-0.018291
            YFLK(NPFLKA) =0.158605
            ZFLK(NPFLKA) =-0.875488
            TXFLK  (NPFLKA) = -0.00104
            TYFLK  (NPFLKA) = 0.181319
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(642914332:643714972)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.009068
            XFLK(NPFLKA) =-0.053238
            YFLK(NPFLKA) =-0.860731
            ZFLK(NPFLKA) =-0.703853
            TXFLK  (NPFLKA) = -0.159685
            TYFLK  (NPFLKA) = -0.771099
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(643714973:644515612)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.009022
            XFLK(NPFLKA) =-0.057816
            YFLK(NPFLKA) =0.136341
            ZFLK(NPFLKA) =-0.879229
            TXFLK  (NPFLKA) = -0.046345
            TYFLK  (NPFLKA) = 0.15583
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(644515613:645316253)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.005111
            XFLK(NPFLKA) =-0.045679
            YFLK(NPFLKA) =0.021707
            ZFLK(NPFLKA) =0.844721
            TXFLK  (NPFLKA) = -0.046134
            TYFLK  (NPFLKA) = 0.017967
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(645316254:646116894)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.005182
            XFLK(NPFLKA) =-0.001002
            YFLK(NPFLKA) =-0.232626
            ZFLK(NPFLKA) =0.82163
            TXFLK  (NPFLKA) = 0.027022
            TYFLK  (NPFLKA) = -0.278374
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(646116895:646917534)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.023092
            XFLK(NPFLKA) =-0.013261
            YFLK(NPFLKA) =0.046773
            ZFLK(NPFLKA) =0.849611
            TXFLK  (NPFLKA) = -0.007549
            TYFLK  (NPFLKA) = 0.057725
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(646917535:647718175)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 1.40979
            XFLK(NPFLKA) =0.001103
            YFLK(NPFLKA) =0.000969
            ZFLK(NPFLKA) =0.829269
            TXFLK  (NPFLKA) = 0.014631
            TYFLK  (NPFLKA) = 0.00119
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(647718176:648518815)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.009843
            XFLK(NPFLKA) =-0.121438
            YFLK(NPFLKA) =0.042973
            ZFLK(NPFLKA) =0.838677
            TXFLK  (NPFLKA) = -0.135991
            TYFLK  (NPFLKA) = 0.049382
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(648518816:649319456)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.095384
            XFLK(NPFLKA) =0.032633
            YFLK(NPFLKA) =-7.9e-05
            ZFLK(NPFLKA) =0.834299
            TXFLK  (NPFLKA) = 0.061027
            TYFLK  (NPFLKA) = -9.2e-05
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(649319457:650120096)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.361802
            XFLK(NPFLKA) =0.008069
            YFLK(NPFLKA) =0.000561
            ZFLK(NPFLKA) =0.835545
            TXFLK  (NPFLKA) = 0.02318
            TYFLK  (NPFLKA) = 0.000977
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(650120097:650920737)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.261761
            XFLK(NPFLKA) =0.000741
            YFLK(NPFLKA) =-0.012132
            ZFLK(NPFLKA) =0.830824
            TXFLK  (NPFLKA) = 0.012063
            TYFLK  (NPFLKA) = -0.015114
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(650920738:651721377)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.006412
            XFLK(NPFLKA) =0.050539
            YFLK(NPFLKA) =0.006079
            ZFLK(NPFLKA) =0.846351
            TXFLK  (NPFLKA) = 0.094389
            TYFLK  (NPFLKA) = 0.014043
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(651721378:652522018)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.12127
            XFLK(NPFLKA) =-0.01689
            YFLK(NPFLKA) =0.011475
            ZFLK(NPFLKA) =0.828429
            TXFLK  (NPFLKA) = -0.004271
            TYFLK  (NPFLKA) = 0.01318
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(652522019:653322658)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.008187
            XFLK(NPFLKA) =-0.093916
            YFLK(NPFLKA) =-0.094592
            ZFLK(NPFLKA) =0.831714
            TXFLK  (NPFLKA) = -0.0883
            TYFLK  (NPFLKA) = -0.112034
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(653322659:654123299)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.011973
            XFLK(NPFLKA) =0.048378
            YFLK(NPFLKA) =-0.136521
            ZFLK(NPFLKA) =0.836476
            TXFLK  (NPFLKA) = 0.074286
            TYFLK  (NPFLKA) = -0.159822
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(654123300:654923939)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.006534
            XFLK(NPFLKA) =0.076536
            YFLK(NPFLKA) =-0.004115
            ZFLK(NPFLKA) =0.82691
            TXFLK  (NPFLKA) = 0.138128
            TYFLK  (NPFLKA) = -0.006972
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(654923940:655724580)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.163936
            XFLK(NPFLKA) =0.02637
            YFLK(NPFLKA) =-0.00018
            ZFLK(NPFLKA) =0.841462
            TXFLK  (NPFLKA) = 0.052172
            TYFLK  (NPFLKA) = -0.000281
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(655724581:656525220)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.085115
            XFLK(NPFLKA) =0.021503
            YFLK(NPFLKA) =0.004725
            ZFLK(NPFLKA) =0.840219
            TXFLK  (NPFLKA) = 0.047274
            TYFLK  (NPFLKA) = 0.007354
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(656525221:657325861)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.078616
            XFLK(NPFLKA) =0.024573
            YFLK(NPFLKA) =-0.052076
            ZFLK(NPFLKA) =0.847747
            TXFLK  (NPFLKA) = 0.041525
            TYFLK  (NPFLKA) = -0.060395
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(657325862:658126501)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 8.30805
            XFLK(NPFLKA) =0.001296
            YFLK(NPFLKA) =-0.000113
            ZFLK(NPFLKA) =0.843827
            TXFLK  (NPFLKA) = 0.01683
            TYFLK  (NPFLKA) = -0.000164
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(658126502:658927142)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 3.61503
            XFLK(NPFLKA) =0.000239
            YFLK(NPFLKA) =-0.001248
            ZFLK(NPFLKA) =0.854079
            TXFLK  (NPFLKA) = 0.01559
            TYFLK  (NPFLKA) = -0.001441
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(658927143:659727782)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 7.69851
            XFLK(NPFLKA) =0.001089
            YFLK(NPFLKA) =6.1e-05
            ZFLK(NPFLKA) =0.83821
            TXFLK  (NPFLKA) = 0.016563
            TYFLK  (NPFLKA) = 9.7e-05
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(659727783:660528423)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.009545
            XFLK(NPFLKA) =0.049302
            YFLK(NPFLKA) =-0.003418
            ZFLK(NPFLKA) =0.828985
            TXFLK  (NPFLKA) = 0.09003
            TYFLK  (NPFLKA) = -0.005877
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(660528424:661329063)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.043384
            XFLK(NPFLKA) =0.006871
            YFLK(NPFLKA) =-0.022403
            ZFLK(NPFLKA) =-0.826594
            TXFLK  (NPFLKA) = 0.015354
            TYFLK  (NPFLKA) = -0.030437
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(661329064:662129704)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.027281
            XFLK(NPFLKA) =-0.018056
            YFLK(NPFLKA) =0.030116
            ZFLK(NPFLKA) =-0.834494
            TXFLK  (NPFLKA) = -0.014287
            TYFLK  (NPFLKA) = 0.038356
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(662129705:662930344)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.135469
            XFLK(NPFLKA) =-0.005511
            YFLK(NPFLKA) =0.009169
            ZFLK(NPFLKA) =-0.83758
            TXFLK  (NPFLKA) = 0.000286
            TYFLK  (NPFLKA) = 0.012206
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(662930345:663730985)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.045245
            XFLK(NPFLKA) =0.034713
            YFLK(NPFLKA) =0.000391
            ZFLK(NPFLKA) =-0.832995
            TXFLK  (NPFLKA) = 0.060511
            TYFLK  (NPFLKA) = 0.001255
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(663730986:664531625)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.096377
            XFLK(NPFLKA) =-0.008199
            YFLK(NPFLKA) =-0.001925
            ZFLK(NPFLKA) =-0.851304
            TXFLK  (NPFLKA) = 0.001986
            TYFLK  (NPFLKA) = -0.001592
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(664531626:665332266)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.006329
            XFLK(NPFLKA) =-0.061836
            YFLK(NPFLKA) =0.101015
            ZFLK(NPFLKA) =-0.825908
            TXFLK  (NPFLKA) = -0.05922
            TYFLK  (NPFLKA) = 0.126824
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(665332267:666132906)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.03155
            XFLK(NPFLKA) =-0.011834
            YFLK(NPFLKA) =0.044362
            ZFLK(NPFLKA) =-0.849141
            TXFLK  (NPFLKA) = -0.00306
            TYFLK  (NPFLKA) = 0.055056
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(666132907:666933547)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.006269
            XFLK(NPFLKA) =0.038247
            YFLK(NPFLKA) =0.026835
            ZFLK(NPFLKA) =-0.849474
            TXFLK  (NPFLKA) = 0.073661
            TYFLK  (NPFLKA) = 0.042084
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(666933548:667734187)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.223371
            XFLK(NPFLKA) =-0.005369
            YFLK(NPFLKA) =0.000149
            ZFLK(NPFLKA) =-0.843522
            TXFLK  (NPFLKA) = 0.009031
            TYFLK  (NPFLKA) = -8.1e-05
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(667734188:668534828)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.176592
            XFLK(NPFLKA) =0.009186
            YFLK(NPFLKA) =-0.001136
            ZFLK(NPFLKA) =-0.841603
            TXFLK  (NPFLKA) = 0.029199
            TYFLK  (NPFLKA) = -0.001996
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(668534829:669335468)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.005504
            XFLK(NPFLKA) =-0.191211
            YFLK(NPFLKA) =0.169187
            ZFLK(NPFLKA) =-0.80251
            TXFLK  (NPFLKA) = -0.213593
            TYFLK  (NPFLKA) = 0.223474
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(669335469:670136109)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.6132
            XFLK(NPFLKA) =-0.004094
            YFLK(NPFLKA) =-0.000221
            ZFLK(NPFLKA) =-0.853611
            TXFLK  (NPFLKA) = 0.013248
            TYFLK  (NPFLKA) = -0.000185
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(670136110:670936749)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 1.64383
            XFLK(NPFLKA) =-0.000152
            YFLK(NPFLKA) =4.7e-05
            ZFLK(NPFLKA) =-0.85336
            TXFLK  (NPFLKA) = 0.017854
            TYFLK  (NPFLKA) = 7.6e-05
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(670936750:671737390)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.007562
            XFLK(NPFLKA) =0.06394
            YFLK(NPFLKA) =0.237724
            ZFLK(NPFLKA) =-0.809236
            TXFLK  (NPFLKA) = 0.105804
            TYFLK  (NPFLKA) = 0.284064
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(671737391:672538030)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.836497
            XFLK(NPFLKA) =0.001927
            YFLK(NPFLKA) =0.000303
            ZFLK(NPFLKA) =-0.852499
            TXFLK  (NPFLKA) = 0.019861
            TYFLK  (NPFLKA) = 0.000512
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(672538031:673338671)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.027859
            XFLK(NPFLKA) =0.028168
            YFLK(NPFLKA) =0.000386
            ZFLK(NPFLKA) =-0.846863
            TXFLK  (NPFLKA) = 0.048434
            TYFLK  (NPFLKA) = 0.000709
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(673338672:674139311)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.01005
            XFLK(NPFLKA) =0.090583
            YFLK(NPFLKA) =-0.000107
            ZFLK(NPFLKA) =-0.834968
            TXFLK  (NPFLKA) = 0.138877
            TYFLK  (NPFLKA) = 0.00076
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(674139312:674939952)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.083969
            XFLK(NPFLKA) =-0.019137
            YFLK(NPFLKA) =0.014787
            ZFLK(NPFLKA) =-0.82511
            TXFLK  (NPFLKA) = -0.004155
            TYFLK  (NPFLKA) = 0.016693
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(674939953:675740592)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.060595
            XFLK(NPFLKA) =0.046982
            YFLK(NPFLKA) =0.000371
            ZFLK(NPFLKA) =-0.83795
            TXFLK  (NPFLKA) = 0.077637
            TYFLK  (NPFLKA) = 0.000829
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(675740593:676541233)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.154461
            XFLK(NPFLKA) =0.000783
            YFLK(NPFLKA) =0.022954
            ZFLK(NPFLKA) =-0.838938
            TXFLK  (NPFLKA) = 0.013031
            TYFLK  (NPFLKA) = 0.027727
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(676541234:677341873)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.6389
            XFLK(NPFLKA) =0.005436
            YFLK(NPFLKA) =0.000359
            ZFLK(NPFLKA) =-0.835431
            TXFLK  (NPFLKA) = 0.020394
            TYFLK  (NPFLKA) = 0.000644
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(677341874:678142514)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 5.84826
            XFLK(NPFLKA) =-0.001001
            YFLK(NPFLKA) =0.00018
            ZFLK(NPFLKA) =-0.848068
            TXFLK  (NPFLKA) = 0.015835
            TYFLK  (NPFLKA) = 0.000199
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(678142515:678943155)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.287455
            XFLK(NPFLKA) =0.013274
            YFLK(NPFLKA) =-0.000642
            ZFLK(NPFLKA) =-0.855446
            TXFLK  (NPFLKA) = 0.034194
            TYFLK  (NPFLKA) = -0.001101
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(678943156:679743795)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.010088
            XFLK(NPFLKA) =0.047108
            YFLK(NPFLKA) =-0.002417
            ZFLK(NPFLKA) =-0.850375
            TXFLK  (NPFLKA) = 0.087349
            TYFLK  (NPFLKA) = -0.005097
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(679743796:680544436)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.638748
            XFLK(NPFLKA) =0.010504
            YFLK(NPFLKA) =-0.010479
            ZFLK(NPFLKA) =-0.847845
            TXFLK  (NPFLKA) = 0.024628
            TYFLK  (NPFLKA) = -0.012722
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(680544437:681345076)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.240043
            XFLK(NPFLKA) =-0.012004
            YFLK(NPFLKA) =-0.010959
            ZFLK(NPFLKA) =-0.852274
            TXFLK  (NPFLKA) = 0.003037
            TYFLK  (NPFLKA) = -0.012292
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(681345077:682145717)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.014662
            XFLK(NPFLKA) =-0.071988
            YFLK(NPFLKA) =-0.152211
            ZFLK(NPFLKA) =-0.828198
            TXFLK  (NPFLKA) = -0.062115
            TYFLK  (NPFLKA) = -0.159497
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(682145718:682946357)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.021426
            XFLK(NPFLKA) =0.030921
            YFLK(NPFLKA) =0.00024
            ZFLK(NPFLKA) =-0.84922
            TXFLK  (NPFLKA) = 0.06108
            TYFLK  (NPFLKA) = 0.000507
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(682946358:683746998)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.011066
            XFLK(NPFLKA) =-0.142419
            YFLK(NPFLKA) =-0.297119
            ZFLK(NPFLKA) =-0.799016
            TXFLK  (NPFLKA) = -0.162064
            TYFLK  (NPFLKA) = -0.336475
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(683746999:684547638)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.007826
            XFLK(NPFLKA) =0.168189
            YFLK(NPFLKA) =0.195928
            ZFLK(NPFLKA) =-0.827465
            TXFLK  (NPFLKA) = 0.206054
            TYFLK  (NPFLKA) = 0.198577
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(684547639:685348279)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.007512
            XFLK(NPFLKA) =0.010981
            YFLK(NPFLKA) =0.468201
            ZFLK(NPFLKA) =0.734555
            TXFLK  (NPFLKA) = -0.016934
            TYFLK  (NPFLKA) = 0.542581
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(685348280:686148919)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.025559
            XFLK(NPFLKA) =-0.140532
            YFLK(NPFLKA) =-0.062956
            ZFLK(NPFLKA) =0.815121
            TXFLK  (NPFLKA) = -0.148952
            TYFLK  (NPFLKA) = -0.070762
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(686148920:686949560)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.006292
            XFLK(NPFLKA) =0.057776
            YFLK(NPFLKA) =-0.000309
            ZFLK(NPFLKA) =0.820831
            TXFLK  (NPFLKA) = 0.103637
            TYFLK  (NPFLKA) = 0.000104
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(686949561:687750200)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.037223
            XFLK(NPFLKA) =0.041405
            YFLK(NPFLKA) =0.000165
            ZFLK(NPFLKA) =0.799363
            TXFLK  (NPFLKA) = 0.075321
            TYFLK  (NPFLKA) = 0.000361
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(687750201:688550841)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.031714
            XFLK(NPFLKA) =-0.017506
            YFLK(NPFLKA) =0.009115
            ZFLK(NPFLKA) =0.805145
            TXFLK  (NPFLKA) = -0.015366
            TYFLK  (NPFLKA) = 0.009825
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(688550842:689351481)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.020778
            XFLK(NPFLKA) =-0.006898
            YFLK(NPFLKA) =-0.046652
            ZFLK(NPFLKA) =0.800823
            TXFLK  (NPFLKA) = -0.002368
            TYFLK  (NPFLKA) = -0.062693
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(689351482:690152122)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 11.2815
            XFLK(NPFLKA) =0.00323
            YFLK(NPFLKA) =4.4e-05
            ZFLK(NPFLKA) =0.811394
            TXFLK  (NPFLKA) = 0.016622
            TYFLK  (NPFLKA) = 7.4e-05
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(690152123:690952762)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 1.18241
            XFLK(NPFLKA) =0.002547
            YFLK(NPFLKA) =0.000677
            ZFLK(NPFLKA) =0.815769
            TXFLK  (NPFLKA) = 0.014969
            TYFLK  (NPFLKA) = 0.000867
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(690952763:691753403)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.189232
            XFLK(NPFLKA) =0.009207
            YFLK(NPFLKA) =0.002324
            ZFLK(NPFLKA) =0.80106
            TXFLK  (NPFLKA) = 0.025598
            TYFLK  (NPFLKA) = 0.003887
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(691753404:692554043)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.130684
            XFLK(NPFLKA) =-0.000561
            YFLK(NPFLKA) =0.013055
            ZFLK(NPFLKA) =0.80708
            TXFLK  (NPFLKA) = 0.009645
            TYFLK  (NPFLKA) = 0.016846
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(692554044:693354684)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.315824
            XFLK(NPFLKA) =0.006296
            YFLK(NPFLKA) =0.000845
            ZFLK(NPFLKA) =0.796244
            TXFLK  (NPFLKA) = 0.02316
            TYFLK  (NPFLKA) = 0.001466
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(693354685:694155324)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.015332
            XFLK(NPFLKA) =-0.027066
            YFLK(NPFLKA) =0.055049
            ZFLK(NPFLKA) =0.802198
            TXFLK  (NPFLKA) = -0.023777
            TYFLK  (NPFLKA) = 0.067926
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(694155325:694955965)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.383704
            XFLK(NPFLKA) =0.008188
            YFLK(NPFLKA) =0.000705
            ZFLK(NPFLKA) =0.814322
            TXFLK  (NPFLKA) = 0.024861
            TYFLK  (NPFLKA) = 0.001163
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(694955966:695756605)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.097211
            XFLK(NPFLKA) =0.02849
            YFLK(NPFLKA) =7.5e-05
            ZFLK(NPFLKA) =0.808303
            TXFLK  (NPFLKA) = 0.055723
            TYFLK  (NPFLKA) = 0.000234
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(695756606:696557246)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.062941
            XFLK(NPFLKA) =-0.015613
            YFLK(NPFLKA) =0.007772
            ZFLK(NPFLKA) =0.799497
            TXFLK  (NPFLKA) = -0.004895
            TYFLK  (NPFLKA) = 0.008849
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(696557247:697357886)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.006688
            XFLK(NPFLKA) =0.060086
            YFLK(NPFLKA) =-0.025087
            ZFLK(NPFLKA) =0.802631
            TXFLK  (NPFLKA) = 0.109139
            TYFLK  (NPFLKA) = -0.040008
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(697357887:698158527)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.007947
            XFLK(NPFLKA) =0.052447
            YFLK(NPFLKA) =-0.009159
            ZFLK(NPFLKA) =0.793891
            TXFLK  (NPFLKA) = 0.088253
            TYFLK  (NPFLKA) = -0.01416
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(698158528:698959167)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.019232
            XFLK(NPFLKA) =0.008935
            YFLK(NPFLKA) =0.088082
            ZFLK(NPFLKA) =0.80274
            TXFLK  (NPFLKA) = 0.019918
            TYFLK  (NPFLKA) = 0.110839
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(698959168:699759808)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.034837
            XFLK(NPFLKA) =-0.024554
            YFLK(NPFLKA) =0.034397
            ZFLK(NPFLKA) =0.803549
            TXFLK  (NPFLKA) = -0.015294
            TYFLK  (NPFLKA) = 0.040684
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(699759809:700560448)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.011543
            XFLK(NPFLKA) =0.029273
            YFLK(NPFLKA) =0.00155
            ZFLK(NPFLKA) =0.800269
            TXFLK  (NPFLKA) = 0.051556
            TYFLK  (NPFLKA) = 0.003341
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(700560449:701361089)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.062257
            XFLK(NPFLKA) =0.043486
            YFLK(NPFLKA) =0.000562
            ZFLK(NPFLKA) =0.810552
            TXFLK  (NPFLKA) = 0.074463
            TYFLK  (NPFLKA) = 0.000687
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(701361090:702161729)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.011731
            XFLK(NPFLKA) =-0.033673
            YFLK(NPFLKA) =-0.133052
            ZFLK(NPFLKA) =0.800271
            TXFLK  (NPFLKA) = -0.023621
            TYFLK  (NPFLKA) = -0.161549
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(702161730:702962370)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.072329
            XFLK(NPFLKA) =0.040634
            YFLK(NPFLKA) =-0.000108
            ZFLK(NPFLKA) =0.799495
            TXFLK  (NPFLKA) = 0.074556
            TYFLK  (NPFLKA) = 0.00044
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(702962371:703763010)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.021403
            XFLK(NPFLKA) =0.005095
            YFLK(NPFLKA) =-0.093635
            ZFLK(NPFLKA) =0.79309
            TXFLK  (NPFLKA) = 0.021084
            TYFLK  (NPFLKA) = -0.113279
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(703763011:704563651)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.553468
            XFLK(NPFLKA) =0.000688
            YFLK(NPFLKA) =0.006753
            ZFLK(NPFLKA) =0.803225
            TXFLK  (NPFLKA) = 0.012359
            TYFLK  (NPFLKA) = 0.008496
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(704563652:705364291)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.010998
            XFLK(NPFLKA) =0.057392
            YFLK(NPFLKA) =0.003486
            ZFLK(NPFLKA) =0.819446
            TXFLK  (NPFLKA) = 0.101588
            TYFLK  (NPFLKA) = 0.006624
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(705364292:706164932)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.034059
            XFLK(NPFLKA) =0.051818
            YFLK(NPFLKA) =-0.00061
            ZFLK(NPFLKA) =0.809344
            TXFLK  (NPFLKA) = 0.085539
            TYFLK  (NPFLKA) = -0.001337
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(706164933:706965572)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.040706
            XFLK(NPFLKA) =0.014696
            YFLK(NPFLKA) =0.064345
            ZFLK(NPFLKA) =0.815927
            TXFLK  (NPFLKA) = 0.029091
            TYFLK  (NPFLKA) = 0.078905
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(706965573:707766213)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.034937
            XFLK(NPFLKA) =0.006082
            YFLK(NPFLKA) =0.075436
            ZFLK(NPFLKA) =0.820372
            TXFLK  (NPFLKA) = 0.017769
            TYFLK  (NPFLKA) = 0.090722
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(707766214:708566853)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 9.76096
            XFLK(NPFLKA) =0.001904
            YFLK(NPFLKA) =-5.1e-05
            ZFLK(NPFLKA) =0.799638
            TXFLK  (NPFLKA) = 0.01691
            TYFLK  (NPFLKA) = -8.3e-05
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(708566854:709367494)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 2.05069
            XFLK(NPFLKA) =0.001282
            YFLK(NPFLKA) =-0.001174
            ZFLK(NPFLKA) =0.799877
            TXFLK  (NPFLKA) = 0.015178
            TYFLK  (NPFLKA) = -0.001459
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(709367495:710168135)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 2.97208
            XFLK(NPFLKA) =0.002998
            YFLK(NPFLKA) =-0.000102
            ZFLK(NPFLKA) =0.812533
            TXFLK  (NPFLKA) = 0.017242
            TYFLK  (NPFLKA) = -0.000186
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(710168136:710968775)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.4486
            XFLK(NPFLKA) =0.001025
            YFLK(NPFLKA) =-0.009397
            ZFLK(NPFLKA) =0.823821
            TXFLK  (NPFLKA) = 0.01356
            TYFLK  (NPFLKA) = -0.011572
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(710968776:711769416)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.011663
            XFLK(NPFLKA) =0.02782
            YFLK(NPFLKA) =-0.157061
            ZFLK(NPFLKA) =0.805482
            TXFLK  (NPFLKA) = 0.050396
            TYFLK  (NPFLKA) = -0.182105
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(711769417:712570056)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.008058
            XFLK(NPFLKA) =0.068175
            YFLK(NPFLKA) =0.004533
            ZFLK(NPFLKA) =0.803491
            TXFLK  (NPFLKA) = 0.119789
            TYFLK  (NPFLKA) = 0.007348
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(712570057:713370697)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 18.3024
            XFLK(NPFLKA) =0.00439
            YFLK(NPFLKA) =5.3e-05
            ZFLK(NPFLKA) =0.801478
            TXFLK  (NPFLKA) = 0.016435
            TYFLK  (NPFLKA) = 8e-05
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(713370698:714171337)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.023782
            XFLK(NPFLKA) =0.002173
            YFLK(NPFLKA) =0.019535
            ZFLK(NPFLKA) =0.807498
            TXFLK  (NPFLKA) = 0.021207
            TYFLK  (NPFLKA) = 0.031452
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(714171338:714971978)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.005621
            XFLK(NPFLKA) =0.065215
            YFLK(NPFLKA) =0.009779
            ZFLK(NPFLKA) =0.810628
            TXFLK  (NPFLKA) = 0.113723
            TYFLK  (NPFLKA) = 0.01543
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(714971979:715772618)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.099347
            XFLK(NPFLKA) =0.035758
            YFLK(NPFLKA) =-0.041835
            ZFLK(NPFLKA) =0.808737
            TXFLK  (NPFLKA) = 0.054312
            TYFLK  (NPFLKA) = -0.047516
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(715772619:716573259)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.020424
            XFLK(NPFLKA) =0.028145
            YFLK(NPFLKA) =-0.002917
            ZFLK(NPFLKA) =-0.79549
            TXFLK  (NPFLKA) = 0.059671
            TYFLK  (NPFLKA) = -0.00518
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(716573260:717373899)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.156433
            XFLK(NPFLKA) =-0.002031
            YFLK(NPFLKA) =-0.002186
            ZFLK(NPFLKA) =-0.800597
            TXFLK  (NPFLKA) = 0.006342
            TYFLK  (NPFLKA) = -0.002566
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(717373900:718174540)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.017825
            XFLK(NPFLKA) =-0.003933
            YFLK(NPFLKA) =-0.04504
            ZFLK(NPFLKA) =-0.802494
            TXFLK  (NPFLKA) = -0.000891
            TYFLK  (NPFLKA) = -0.060369
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(718174541:718975180)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.121438
            XFLK(NPFLKA) =0.014102
            YFLK(NPFLKA) =-0.000383
            ZFLK(NPFLKA) =-0.805465
            TXFLK  (NPFLKA) = 0.031188
            TYFLK  (NPFLKA) = -0.00062
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(718975181:719775821)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.005366
            XFLK(NPFLKA) =0.021722
            YFLK(NPFLKA) =0.127862
            ZFLK(NPFLKA) =-0.789026
            TXFLK  (NPFLKA) = 0.041929
            TYFLK  (NPFLKA) = 0.18793
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(719775822:720576461)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.040828
            XFLK(NPFLKA) =-0.016355
            YFLK(NPFLKA) =-0.015806
            ZFLK(NPFLKA) =-0.801886
            TXFLK  (NPFLKA) = -0.012269
            TYFLK  (NPFLKA) = -0.019225
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(720576462:721377102)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 10.0864
            XFLK(NPFLKA) =0.004562
            YFLK(NPFLKA) =-5.8e-05
            ZFLK(NPFLKA) =-0.818278
            TXFLK  (NPFLKA) = 0.016812
            TYFLK  (NPFLKA) = -9.3e-05
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(721377103:722177742)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.248954
            XFLK(NPFLKA) =-0.000973
            YFLK(NPFLKA) =0.002444
            ZFLK(NPFLKA) =-0.804106
            TXFLK  (NPFLKA) = 0.008992
            TYFLK  (NPFLKA) = 0.00312
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(722177743:722978383)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.026638
            XFLK(NPFLKA) =0.051113
            YFLK(NPFLKA) =-6.3e-05
            ZFLK(NPFLKA) =-0.798542
            TXFLK  (NPFLKA) = 0.087954
            TYFLK  (NPFLKA) = -0.000178
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(722978384:723779023)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.996862
            XFLK(NPFLKA) =0.003669
            YFLK(NPFLKA) =0.000367
            ZFLK(NPFLKA) =-0.798629
            TXFLK  (NPFLKA) = 0.016505
            TYFLK  (NPFLKA) = 0.000594
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(723779024:724579664)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.014396
            XFLK(NPFLKA) =0.059878
            YFLK(NPFLKA) =0.01295
            ZFLK(NPFLKA) =-0.816384
            TXFLK  (NPFLKA) = 0.09974
            TYFLK  (NPFLKA) = 0.020344
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(724579665:725380304)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.011738
            XFLK(NPFLKA) =0.070159
            YFLK(NPFLKA) =0.005072
            ZFLK(NPFLKA) =-0.804933
            TXFLK  (NPFLKA) = 0.116474
            TYFLK  (NPFLKA) = 0.009296
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(725380305:726180945)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.088616
            XFLK(NPFLKA) =0.009352
            YFLK(NPFLKA) =-0.001353
            ZFLK(NPFLKA) =-0.805534
            TXFLK  (NPFLKA) = 0.025338
            TYFLK  (NPFLKA) = -0.002674
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(726180946:726981585)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.01415
            XFLK(NPFLKA) =-0.053615
            YFLK(NPFLKA) =0.076408
            ZFLK(NPFLKA) =-0.811727
            TXFLK  (NPFLKA) = -0.050102
            TYFLK  (NPFLKA) = 0.094299
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(726981586:727782226)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.011056
            XFLK(NPFLKA) =-0.207943
            YFLK(NPFLKA) =-0.041411
            ZFLK(NPFLKA) =-0.781921
            TXFLK  (NPFLKA) = -0.236739
            TYFLK  (NPFLKA) = -0.043648
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(727782227:728582866)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 1.5466
            XFLK(NPFLKA) =0.000551
            YFLK(NPFLKA) =-0.001435
            ZFLK(NPFLKA) =-0.798062
            TXFLK  (NPFLKA) = 0.015125
            TYFLK  (NPFLKA) = -0.001747
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(728582867:729383507)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 3.65595
            XFLK(NPFLKA) =0.001274
            YFLK(NPFLKA) =-0.000102
            ZFLK(NPFLKA) =-0.797355
            TXFLK  (NPFLKA) = 0.017162
            TYFLK  (NPFLKA) = -0.000157
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(729383508:730184147)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.008455
            XFLK(NPFLKA) =0.019657
            YFLK(NPFLKA) =-0.191679
            ZFLK(NPFLKA) =-0.784768
            TXFLK  (NPFLKA) = 0.02876
            TYFLK  (NPFLKA) = -0.225199
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(730184148:730984788)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.013114
            XFLK(NPFLKA) =0.047767
            YFLK(NPFLKA) =0.159075
            ZFLK(NPFLKA) =-0.808237
            TXFLK  (NPFLKA) = 0.073055
            TYFLK  (NPFLKA) = 0.176734
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(730984789:731785428)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.034712
            XFLK(NPFLKA) =0.010594
            YFLK(NPFLKA) =0.105483
            ZFLK(NPFLKA) =-0.820702
            TXFLK  (NPFLKA) = 0.030637
            TYFLK  (NPFLKA) = 0.104267
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(731785429:732586069)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.004909
            XFLK(NPFLKA) =-0.027179
            YFLK(NPFLKA) =-0.22227
            ZFLK(NPFLKA) =-0.802179
            TXFLK  (NPFLKA) = -0.039133
            TYFLK  (NPFLKA) = -0.282354
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(732586070:733386709)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.008823
            XFLK(NPFLKA) =-0.140068
            YFLK(NPFLKA) =0.202164
            ZFLK(NPFLKA) =0.764968
            TXFLK  (NPFLKA) = -0.157863
            TYFLK  (NPFLKA) = 0.268274
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(733386710:734187350)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.006332
            XFLK(NPFLKA) =-0.072856
            YFLK(NPFLKA) =0.273453
            ZFLK(NPFLKA) =0.764373
            TXFLK  (NPFLKA) = -0.080027
            TYFLK  (NPFLKA) = 0.281328
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(734187351:734987990)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.0686
            XFLK(NPFLKA) =0.03527
            YFLK(NPFLKA) =0.00021
            ZFLK(NPFLKA) =0.792321
            TXFLK  (NPFLKA) = 0.064669
            TYFLK  (NPFLKA) = 0.00034
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(734987991:735788631)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.042479
            XFLK(NPFLKA) =-0.027518
            YFLK(NPFLKA) =-0.008377
            ZFLK(NPFLKA) =0.791884
            TXFLK  (NPFLKA) = -0.03009
            TYFLK  (NPFLKA) = -0.011873
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(735788632:736589271)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.029477
            XFLK(NPFLKA) =-0.019004
            YFLK(NPFLKA) =0.02336
            ZFLK(NPFLKA) =0.772158
            TXFLK  (NPFLKA) = -0.014794
            TYFLK  (NPFLKA) = 0.029353
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(736589272:737389912)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.016641
            XFLK(NPFLKA) =0.053055
            YFLK(NPFLKA) =-0.001596
            ZFLK(NPFLKA) =0.774787
            TXFLK  (NPFLKA) = 0.09523
            TYFLK  (NPFLKA) = -0.002774
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(737389913:738190552)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.014916
            XFLK(NPFLKA) =-0.02388
            YFLK(NPFLKA) =-0.062998
            ZFLK(NPFLKA) =0.785442
            TXFLK  (NPFLKA) = -0.019569
            TYFLK  (NPFLKA) = -0.090987
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(738190553:738991193)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.015146
            XFLK(NPFLKA) =0.010118
            YFLK(NPFLKA) =0.090654
            ZFLK(NPFLKA) =0.779898
            TXFLK  (NPFLKA) = 0.024574
            TYFLK  (NPFLKA) = 0.121207
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(738991194:739791833)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.007297
            XFLK(NPFLKA) =-0.080224
            YFLK(NPFLKA) =-0.067825
            ZFLK(NPFLKA) =0.780326
            TXFLK  (NPFLKA) = -0.102866
            TYFLK  (NPFLKA) = -0.092535
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(739791834:740592474)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.019388
            XFLK(NPFLKA) =0.056726
            YFLK(NPFLKA) =-0.000424
            ZFLK(NPFLKA) =0.781256
            TXFLK  (NPFLKA) = 0.091341
            TYFLK  (NPFLKA) = -0.000975
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(740592475:741393114)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.030763
            XFLK(NPFLKA) =-0.029314
            YFLK(NPFLKA) =0.005799
            ZFLK(NPFLKA) =0.781504
            TXFLK  (NPFLKA) = -0.019942
            TYFLK  (NPFLKA) = 0.006488
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(741393115:742193755)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.036787
            XFLK(NPFLKA) =-0.020457
            YFLK(NPFLKA) =0.014488
            ZFLK(NPFLKA) =0.77651
            TXFLK  (NPFLKA) = -0.014503
            TYFLK  (NPFLKA) = 0.020937
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(742193756:742994396)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.111106
            XFLK(NPFLKA) =0.00561
            YFLK(NPFLKA) =-0.019659
            ZFLK(NPFLKA) =0.773365
            TXFLK  (NPFLKA) = 0.019869
            TYFLK  (NPFLKA) = -0.025264
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(742994397:743795036)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.017879
            XFLK(NPFLKA) =-0.032666
            YFLK(NPFLKA) =0.070109
            ZFLK(NPFLKA) =0.78139
            TXFLK  (NPFLKA) = -0.030673
            TYFLK  (NPFLKA) = 0.088527
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(743795037:744595677)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.03992
            XFLK(NPFLKA) =0.041171
            YFLK(NPFLKA) =-0.072623
            ZFLK(NPFLKA) =0.779259
            TXFLK  (NPFLKA) = 0.065891
            TYFLK  (NPFLKA) = -0.093043
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(744595678:745396317)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.032869
            XFLK(NPFLKA) =0.04179
            YFLK(NPFLKA) =5.4e-05
            ZFLK(NPFLKA) =0.764433
            TXFLK  (NPFLKA) = 0.072367
            TYFLK  (NPFLKA) = -0.001463
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(745396318:746196958)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.032663
            XFLK(NPFLKA) =-0.029915
            YFLK(NPFLKA) =0.052663
            ZFLK(NPFLKA) =0.766216
            TXFLK  (NPFLKA) = -0.025804
            TYFLK  (NPFLKA) = 0.066302
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(746196959:746997598)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.088432
            XFLK(NPFLKA) =0.026593
            YFLK(NPFLKA) =-0.000295
            ZFLK(NPFLKA) =0.780775
            TXFLK  (NPFLKA) = 0.053546
            TYFLK  (NPFLKA) = -0.000693
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(746997599:747798239)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 6.94297
            XFLK(NPFLKA) =0.002521
            YFLK(NPFLKA) =-0.000143
            ZFLK(NPFLKA) =0.774359
            TXFLK  (NPFLKA) = 0.016921
            TYFLK  (NPFLKA) = -0.000212
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(747798240:748598879)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 11.5284
            XFLK(NPFLKA) =0.001957
            YFLK(NPFLKA) =0.00018
            ZFLK(NPFLKA) =0.771113
            TXFLK  (NPFLKA) = 0.016252
            TYFLK  (NPFLKA) = 0.00022
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(748598880:749399520)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.008937
            XFLK(NPFLKA) =0.040646
            YFLK(NPFLKA) =0.004611
            ZFLK(NPFLKA) =0.778542
            TXFLK  (NPFLKA) = 0.084355
            TYFLK  (NPFLKA) = 0.007595
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(749399521:750200160)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.649939
            XFLK(NPFLKA) =0.005893
            YFLK(NPFLKA) =-0.000325
            ZFLK(NPFLKA) =0.793043
            TXFLK  (NPFLKA) = 0.020808
            TYFLK  (NPFLKA) = -0.000617
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(750200161:751000801)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.013806
            XFLK(NPFLKA) =0.034431
            YFLK(NPFLKA) =0.011237
            ZFLK(NPFLKA) =0.765637
            TXFLK  (NPFLKA) = 0.072464
            TYFLK  (NPFLKA) = 0.02162
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(751000802:751801441)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.016305
            XFLK(NPFLKA) =0.062746
            YFLK(NPFLKA) =0.00353
            ZFLK(NPFLKA) =0.788902
            TXFLK  (NPFLKA) = 0.109678
            TYFLK  (NPFLKA) = 0.006525
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(751801442:752602082)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.009062
            XFLK(NPFLKA) =-0.085901
            YFLK(NPFLKA) =-0.122361
            ZFLK(NPFLKA) =0.763718
            TXFLK  (NPFLKA) = -0.085248
            TYFLK  (NPFLKA) = -0.151872
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(752602083:753402722)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.074173
            XFLK(NPFLKA) =3.1e-05
            YFLK(NPFLKA) =-0.043375
            ZFLK(NPFLKA) =0.776779
            TXFLK  (NPFLKA) = 0.014488
            TYFLK  (NPFLKA) = -0.052405
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(753402723:754203363)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.050567
            XFLK(NPFLKA) =0.043083
            YFLK(NPFLKA) =0.045125
            ZFLK(NPFLKA) =0.763353
            TXFLK  (NPFLKA) = 0.062426
            TYFLK  (NPFLKA) = 0.055552
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(754203364:755004003)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.012085
            XFLK(NPFLKA) =0.056405
            YFLK(NPFLKA) =0.163224
            ZFLK(NPFLKA) =0.773181
            TXFLK  (NPFLKA) = 0.075287
            TYFLK  (NPFLKA) = 0.192317
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(755004004:755804644)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.817394
            XFLK(NPFLKA) =0.005666
            YFLK(NPFLKA) =0.005121
            ZFLK(NPFLKA) =0.787922
            TXFLK  (NPFLKA) = 0.017412
            TYFLK  (NPFLKA) = 0.006705
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(755804645:756605284)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.011322
            XFLK(NPFLKA) =0.184677
            YFLK(NPFLKA) =-0.066097
            ZFLK(NPFLKA) =0.755483
            TXFLK  (NPFLKA) = 0.226516
            TYFLK  (NPFLKA) = -0.069355
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(756605285:757405925)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.037069
            XFLK(NPFLKA) =-0.0039
            YFLK(NPFLKA) =-0.000356
            ZFLK(NPFLKA) =-0.779518
            TXFLK  (NPFLKA) = -0.002093
            TYFLK  (NPFLKA) = -0.001824
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(757405926:758206565)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.696584
            XFLK(NPFLKA) =0.004752
            YFLK(NPFLKA) =0.002994
            ZFLK(NPFLKA) =-0.77365
            TXFLK  (NPFLKA) = 0.014377
            TYFLK  (NPFLKA) = 0.004292
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(758206566:759007206)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.225702
            XFLK(NPFLKA) =0.01014
            YFLK(NPFLKA) =0.001717
            ZFLK(NPFLKA) =-0.767786
            TXFLK  (NPFLKA) = 0.024183
            TYFLK  (NPFLKA) = 0.00316
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(759007207:759807846)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.184452
            XFLK(NPFLKA) =0.011538
            YFLK(NPFLKA) =-0.000659
            ZFLK(NPFLKA) =-0.791407
            TXFLK  (NPFLKA) = 0.028753
            TYFLK  (NPFLKA) = -0.001295
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(759807847:760608487)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.011689
            XFLK(NPFLKA) =0.0083
            YFLK(NPFLKA) =-0.071235
            ZFLK(NPFLKA) =-0.789612
            TXFLK  (NPFLKA) = 0.015389
            TYFLK  (NPFLKA) = -0.097412
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(760608488:761409127)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.057256
            XFLK(NPFLKA) =-0.002117
            YFLK(NPFLKA) =0.024261
            ZFLK(NPFLKA) =-0.789507
            TXFLK  (NPFLKA) = 0.006347
            TYFLK  (NPFLKA) = 0.032341
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(761409128:762209768)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.013072
            XFLK(NPFLKA) =0.039977
            YFLK(NPFLKA) =-0.000486
            ZFLK(NPFLKA) =-0.780458
            TXFLK  (NPFLKA) = 0.069439
            TYFLK  (NPFLKA) = -0.001031
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(762209769:763010408)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.470703
            XFLK(NPFLKA) =0.004399
            YFLK(NPFLKA) =0.005212
            ZFLK(NPFLKA) =-0.792024
            TXFLK  (NPFLKA) = 0.017059
            TYFLK  (NPFLKA) = 0.006902
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(763010409:763811049)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.011274
            XFLK(NPFLKA) =-0.042872
            YFLK(NPFLKA) =0.076408
            ZFLK(NPFLKA) =-0.770868
            TXFLK  (NPFLKA) = -0.037731
            TYFLK  (NPFLKA) = 0.096477
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(763811050:764611689)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.014585
            XFLK(NPFLKA) =0.038449
            YFLK(NPFLKA) =0.002445
            ZFLK(NPFLKA) =-0.765941
            TXFLK  (NPFLKA) = 0.060955
            TYFLK  (NPFLKA) = 0.004417
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(764611690:765412330)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.286241
            XFLK(NPFLKA) =0.007935
            YFLK(NPFLKA) =0.000451
            ZFLK(NPFLKA) =-0.778277
            TXFLK  (NPFLKA) = 0.022924
            TYFLK  (NPFLKA) = 0.000941
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(765412331:766212970)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.121925
            XFLK(NPFLKA) =0.011773
            YFLK(NPFLKA) =0.022397
            ZFLK(NPFLKA) =-0.788528
            TXFLK  (NPFLKA) = 0.023991
            TYFLK  (NPFLKA) = 0.029866
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(766212971:767013611)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.019711
            XFLK(NPFLKA) =0.061316
            YFLK(NPFLKA) =-0.061888
            ZFLK(NPFLKA) =-0.776235
            TXFLK  (NPFLKA) = 0.086304
            TYFLK  (NPFLKA) = -0.08097
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(767013612:767814251)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.092271
            XFLK(NPFLKA) =-0.007672
            YFLK(NPFLKA) =0.025388
            ZFLK(NPFLKA) =-0.787621
            TXFLK  (NPFLKA) = 0.00391
            TYFLK  (NPFLKA) = 0.031541
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(767814252:768614892)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.217172
            XFLK(NPFLKA) =0.011527
            YFLK(NPFLKA) =-0.000823
            ZFLK(NPFLKA) =-0.785916
            TXFLK  (NPFLKA) = 0.030439
            TYFLK  (NPFLKA) = -0.00158
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(768614893:769415532)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.006999
            XFLK(NPFLKA) =0.053413
            YFLK(NPFLKA) =0.005496
            ZFLK(NPFLKA) =-0.782812
            TXFLK  (NPFLKA) = 0.106975
            TYFLK  (NPFLKA) = 0.012028
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(769415533:770216173)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.017332
            XFLK(NPFLKA) =-0.067514
            YFLK(NPFLKA) =-0.086105
            ZFLK(NPFLKA) =-0.767393
            TXFLK  (NPFLKA) = -0.067438
            TYFLK  (NPFLKA) = -0.102812
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(770216174:771016813)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.00772
            XFLK(NPFLKA) =0.060078
            YFLK(NPFLKA) =0.016594
            ZFLK(NPFLKA) =-0.768772
            TXFLK  (NPFLKA) = 0.110289
            TYFLK  (NPFLKA) = 0.036681
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(771016814:771817454)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.131589
            XFLK(NPFLKA) =0.026384
            YFLK(NPFLKA) =0.000147
            ZFLK(NPFLKA) =-0.764968
            TXFLK  (NPFLKA) = 0.05328
            TYFLK  (NPFLKA) = 0.000473
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(771817455:772618094)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.054386
            XFLK(NPFLKA) =-0.001367
            YFLK(NPFLKA) =-0.046557
            ZFLK(NPFLKA) =-0.779859
            TXFLK  (NPFLKA) = 0.012011
            TYFLK  (NPFLKA) = -0.05719
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(772618095:773418735)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.037937
            XFLK(NPFLKA) =0.057553
            YFLK(NPFLKA) =0.001044
            ZFLK(NPFLKA) =-0.784722
            TXFLK  (NPFLKA) = 0.101002
            TYFLK  (NPFLKA) = 0.002398
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(773418736:774219376)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.018154
            XFLK(NPFLKA) =-0.051079
            YFLK(NPFLKA) =-0.091738
            ZFLK(NPFLKA) =-0.777275
            TXFLK  (NPFLKA) = -0.049986
            TYFLK  (NPFLKA) = -0.111118
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(774219377:775020016)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.011653
            XFLK(NPFLKA) =0.058502
            YFLK(NPFLKA) =0.036479
            ZFLK(NPFLKA) =-0.763642
            TXFLK  (NPFLKA) = 0.097653
            TYFLK  (NPFLKA) = 0.064159
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(775020017:775820657)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.00928
            XFLK(NPFLKA) =0.061975
            YFLK(NPFLKA) =0.000265
            ZFLK(NPFLKA) =-0.762808
            TXFLK  (NPFLKA) = 0.116733
            TYFLK  (NPFLKA) = 0.001431
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(775820658:776621297)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.059138
            XFLK(NPFLKA) =-0.040072
            YFLK(NPFLKA) =-0.042676
            ZFLK(NPFLKA) =-0.76959
            TXFLK  (NPFLKA) = -0.033591
            TYFLK  (NPFLKA) = -0.05079
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(776621298:777421938)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.020136
            XFLK(NPFLKA) =0.037893
            YFLK(NPFLKA) =0.000418
            ZFLK(NPFLKA) =-0.7847
            TXFLK  (NPFLKA) = 0.070793
            TYFLK  (NPFLKA) = 0.001081
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(777421939:778222578)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.021942
            XFLK(NPFLKA) =0.040522
            YFLK(NPFLKA) =0.000438
            ZFLK(NPFLKA) =-0.789861
            TXFLK  (NPFLKA) = 0.063928
            TYFLK  (NPFLKA) = 0.000817
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(778222579:779023219)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.020177
            XFLK(NPFLKA) =0.037076
            YFLK(NPFLKA) =-0.10955
            ZFLK(NPFLKA) =-0.785251
            TXFLK  (NPFLKA) = 0.055104
            TYFLK  (NPFLKA) = -0.130099
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(779023220:779823859)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.013921
            XFLK(NPFLKA) =0.02448
            YFLK(NPFLKA) =-1.8e-05
            ZFLK(NPFLKA) =-0.787206
            TXFLK  (NPFLKA) = 0.041616
            TYFLK  (NPFLKA) = 0.00078
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(779823860:780624500)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.005497
            XFLK(NPFLKA) =0.062288
            YFLK(NPFLKA) =0.002002
            ZFLK(NPFLKA) =-0.788632
            TXFLK  (NPFLKA) = 0.127016
            TYFLK  (NPFLKA) = 0.00505
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(780624501:781425140)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.009049
            XFLK(NPFLKA) =0.043779
            YFLK(NPFLKA) =0.000558
            ZFLK(NPFLKA) =-0.792552
            TXFLK  (NPFLKA) = 0.07748
            TYFLK  (NPFLKA) = 0.001405
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(781425141:782225781)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.02005
            XFLK(NPFLKA) =-0.041814
            YFLK(NPFLKA) =0.045689
            ZFLK(NPFLKA) =-0.792511
            TXFLK  (NPFLKA) = -0.04223
            TYFLK  (NPFLKA) = 0.059154
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(782225782:783026421)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.007237
            XFLK(NPFLKA) =-0.011875
            YFLK(NPFLKA) =0.061996
            ZFLK(NPFLKA) =-0.79112
            TXFLK  (NPFLKA) = -0.006073
            TYFLK  (NPFLKA) = 0.083374
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(783026422:783827062)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.026543
            XFLK(NPFLKA) =0.046789
            YFLK(NPFLKA) =-0.002998
            ZFLK(NPFLKA) =-0.793719
            TXFLK  (NPFLKA) = 0.075304
            TYFLK  (NPFLKA) = -0.003998
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(783827063:784627702)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.005467
            XFLK(NPFLKA) =-0.012594
            YFLK(NPFLKA) =-0.20664
            ZFLK(NPFLKA) =0.748536
            TXFLK  (NPFLKA) = 0.0114
            TYFLK  (NPFLKA) = -0.259049
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(784627703:785428343)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.013153
            XFLK(NPFLKA) =0.307054
            YFLK(NPFLKA) =0.267579
            ZFLK(NPFLKA) =0.711771
            TXFLK  (NPFLKA) = 0.351869
            TYFLK  (NPFLKA) = 0.323208
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(785428344:786228983)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.006118
            XFLK(NPFLKA) =0.079611
            YFLK(NPFLKA) =-0.19747
            ZFLK(NPFLKA) =0.745075
            TXFLK  (NPFLKA) = 0.123705
            TYFLK  (NPFLKA) = -0.237148
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(786228984:787029624)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.060502
            XFLK(NPFLKA) =0.044068
            YFLK(NPFLKA) =-0.000157
            ZFLK(NPFLKA) =0.763211
            TXFLK  (NPFLKA) = 0.0737
            TYFLK  (NPFLKA) = -0.000332
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(787029625:787830264)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.061223
            XFLK(NPFLKA) =-0.002481
            YFLK(NPFLKA) =0.002401
            ZFLK(NPFLKA) =0.761585
            TXFLK  (NPFLKA) = 0.005354
            TYFLK  (NPFLKA) = 0.002133
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(787830265:788630905)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.250436
            XFLK(NPFLKA) =0.003971
            YFLK(NPFLKA) =-0.000476
            ZFLK(NPFLKA) =0.736495
            TXFLK  (NPFLKA) = 0.014156
            TYFLK  (NPFLKA) = -0.000483
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(788630906:789431545)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.00719
            XFLK(NPFLKA) =0.073761
            YFLK(NPFLKA) =-0.038963
            ZFLK(NPFLKA) =0.757644
            TXFLK  (NPFLKA) = 0.121386
            TYFLK  (NPFLKA) = -0.059655
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(789431546:790232186)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.009532
            XFLK(NPFLKA) =0.063907
            YFLK(NPFLKA) =-0.090082
            ZFLK(NPFLKA) =0.74771
            TXFLK  (NPFLKA) = 0.098927
            TYFLK  (NPFLKA) = -0.125484
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(790232187:791032826)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.00555
            XFLK(NPFLKA) =0.155498
            YFLK(NPFLKA) =-0.020789
            ZFLK(NPFLKA) =0.744082
            TXFLK  (NPFLKA) = 0.229242
            TYFLK  (NPFLKA) = -0.038583
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(791032827:791833467)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.022303
            XFLK(NPFLKA) =-0.061707
            YFLK(NPFLKA) =-0.040797
            ZFLK(NPFLKA) =0.751199
            TXFLK  (NPFLKA) = -0.072755
            TYFLK  (NPFLKA) = -0.05662
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(791833468:792634107)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.018937
            XFLK(NPFLKA) =0.048052
            YFLK(NPFLKA) =-0.002216
            ZFLK(NPFLKA) =0.756972
            TXFLK  (NPFLKA) = 0.083884
            TYFLK  (NPFLKA) = -0.003583
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(792634108:793434748)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.018702
            XFLK(NPFLKA) =0.000339
            YFLK(NPFLKA) =0.060327
            ZFLK(NPFLKA) =0.746031
            TXFLK  (NPFLKA) = 0.007288
            TYFLK  (NPFLKA) = 0.082829
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(793434749:794235388)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.007164
            XFLK(NPFLKA) =-0.059747
            YFLK(NPFLKA) =-0.002292
            ZFLK(NPFLKA) =0.731543
            TXFLK  (NPFLKA) = -0.081416
            TYFLK  (NPFLKA) = -0.002796
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(794235389:795036029)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.031097
            XFLK(NPFLKA) =0.035272
            YFLK(NPFLKA) =-0.051478
            ZFLK(NPFLKA) =0.737286
            TXFLK  (NPFLKA) = 0.057559
            TYFLK  (NPFLKA) = -0.070803
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(795036030:795836669)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.009189
            XFLK(NPFLKA) =0.075767
            YFLK(NPFLKA) =-0.103652
            ZFLK(NPFLKA) =0.73422
            TXFLK  (NPFLKA) = 0.112702
            TYFLK  (NPFLKA) = -0.136469
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(795836670:796637310)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.045323
            XFLK(NPFLKA) =0.048897
            YFLK(NPFLKA) =-0.000238
            ZFLK(NPFLKA) =0.75886
            TXFLK  (NPFLKA) = 0.084557
            TYFLK  (NPFLKA) = -0.000665
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(796637311:797437950)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.019528
            XFLK(NPFLKA) =-0.042789
            YFLK(NPFLKA) =-0.041717
            ZFLK(NPFLKA) =0.759352
            TXFLK  (NPFLKA) = -0.039472
            TYFLK  (NPFLKA) = -0.053895
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(797437951:798238591)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.005886
            XFLK(NPFLKA) =0.069542
            YFLK(NPFLKA) =0.010159
            ZFLK(NPFLKA) =0.757408
            TXFLK  (NPFLKA) = 0.117411
            TYFLK  (NPFLKA) = 0.013955
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(798238592:799039231)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.854588
            XFLK(NPFLKA) =0.005487
            YFLK(NPFLKA) =-0.00034
            ZFLK(NPFLKA) =0.751389
            TXFLK  (NPFLKA) = 0.019467
            TYFLK  (NPFLKA) = -0.000653
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(799039232:799839872)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.061308
            XFLK(NPFLKA) =-0.003541
            YFLK(NPFLKA) =-0.038697
            ZFLK(NPFLKA) =0.757397
            TXFLK  (NPFLKA) = 0.006759
            TYFLK  (NPFLKA) = -0.050357
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(799839873:800640512)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.041193
            XFLK(NPFLKA) =0.048076
            YFLK(NPFLKA) =-3.3e-05
            ZFLK(NPFLKA) =0.745094
            TXFLK  (NPFLKA) = 0.08241
            TYFLK  (NPFLKA) = -0.000103
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(800640513:801441153)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.019155
            XFLK(NPFLKA) =-0.038342
            YFLK(NPFLKA) =0.05956
            ZFLK(NPFLKA) =0.739157
            TXFLK  (NPFLKA) = -0.036645
            TYFLK  (NPFLKA) = 0.07561
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(801441154:802241793)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.00952
            XFLK(NPFLKA) =-0.077489
            YFLK(NPFLKA) =0.125062
            ZFLK(NPFLKA) =0.726756
            TXFLK  (NPFLKA) = -0.091052
            TYFLK  (NPFLKA) = 0.158264
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(802241794:803042434)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.026237
            XFLK(NPFLKA) =0.002512
            YFLK(NPFLKA) =0.074471
            ZFLK(NPFLKA) =0.758507
            TXFLK  (NPFLKA) = 0.01337
            TYFLK  (NPFLKA) = 0.096069
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(803042435:803843074)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.031306
            XFLK(NPFLKA) =-0.042549
            YFLK(NPFLKA) =0.012843
            ZFLK(NPFLKA) =0.736663
            TXFLK  (NPFLKA) = -0.03453
            TYFLK  (NPFLKA) = 0.015173
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(803843075:804643715)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.108729
            XFLK(NPFLKA) =-0.023432
            YFLK(NPFLKA) =0.020307
            ZFLK(NPFLKA) =0.749092
            TXFLK  (NPFLKA) = -0.013597
            TYFLK  (NPFLKA) = 0.025
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(804643716:805444355)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 2.06169
            XFLK(NPFLKA) =0.001295
            YFLK(NPFLKA) =-0.000162
            ZFLK(NPFLKA) =0.737954
            TXFLK  (NPFLKA) = 0.018162
            TYFLK  (NPFLKA) = -0.000262
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(805444356:806244996)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 3.53341
            XFLK(NPFLKA) =-0.00055
            YFLK(NPFLKA) =-0.000413
            ZFLK(NPFLKA) =0.736024
            TXFLK  (NPFLKA) = 0.015617
            TYFLK  (NPFLKA) = -0.000506
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(806244997:807045637)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.116257
            XFLK(NPFLKA) =0.027387
            YFLK(NPFLKA) =-0.000268
            ZFLK(NPFLKA) =0.74144
            TXFLK  (NPFLKA) = 0.056187
            TYFLK  (NPFLKA) = -0.000607
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(807045638:807846277)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.228462
            XFLK(NPFLKA) =-0.00426
            YFLK(NPFLKA) =-0.013046
            ZFLK(NPFLKA) =0.741158
            TXFLK  (NPFLKA) = 0.008585
            TYFLK  (NPFLKA) = -0.016391
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(807846278:808646918)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.342968
            XFLK(NPFLKA) =0.010207
            YFLK(NPFLKA) =0.000885
            ZFLK(NPFLKA) =0.750624
            TXFLK  (NPFLKA) = 0.029609
            TYFLK  (NPFLKA) = 0.001545
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(808646919:809447558)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.038937
            XFLK(NPFLKA) =-0.01895
            YFLK(NPFLKA) =0.065529
            ZFLK(NPFLKA) =0.746728
            TXFLK  (NPFLKA) = -0.009474
            TYFLK  (NPFLKA) = 0.080427
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(809447559:810248199)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.110981
            XFLK(NPFLKA) =0.023239
            YFLK(NPFLKA) =0.000238
            ZFLK(NPFLKA) =0.753189
            TXFLK  (NPFLKA) = 0.050041
            TYFLK  (NPFLKA) = 0.000389
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(810248200:811048839)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.015888
            XFLK(NPFLKA) =0.029677
            YFLK(NPFLKA) =-0.000582
            ZFLK(NPFLKA) =0.753307
            TXFLK  (NPFLKA) = 0.058266
            TYFLK  (NPFLKA) = -0.00096
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(811048840:811849480)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.014811
            XFLK(NPFLKA) =0.062036
            YFLK(NPFLKA) =-0.117638
            ZFLK(NPFLKA) =0.747798
            TXFLK  (NPFLKA) = 0.091952
            TYFLK  (NPFLKA) = -0.144172
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(811849481:812650120)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.009865
            XFLK(NPFLKA) =0.057193
            YFLK(NPFLKA) =-0.002182
            ZFLK(NPFLKA) =0.735543
            TXFLK  (NPFLKA) = 0.108278
            TYFLK  (NPFLKA) = -0.004287
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(812650121:813450761)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.534961
            XFLK(NPFLKA) =0.004484
            YFLK(NPFLKA) =-0.000141
            ZFLK(NPFLKA) =0.756134
            TXFLK  (NPFLKA) = 0.022295
            TYFLK  (NPFLKA) = -0.000315
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(813450762:814251401)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.00578
            XFLK(NPFLKA) =0.035935
            YFLK(NPFLKA) =0.000747
            ZFLK(NPFLKA) =0.746967
            TXFLK  (NPFLKA) = 0.067561
            TYFLK  (NPFLKA) = 0.002699
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(814251402:815052042)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.02626
            XFLK(NPFLKA) =-0.00793
            YFLK(NPFLKA) =-0.00211
            ZFLK(NPFLKA) =0.734545
            TXFLK  (NPFLKA) = 0.003296
            TYFLK  (NPFLKA) = -0.003504
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(815052043:815852682)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 30.6202
            XFLK(NPFLKA) =-0.000129
            YFLK(NPFLKA) =-1.5e-05
            ZFLK(NPFLKA) =0.754392
            TXFLK  (NPFLKA) = 0.016546
            TYFLK  (NPFLKA) = -2e-05
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(815852683:816653323)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 7.03566
            XFLK(NPFLKA) =-0.000211
            YFLK(NPFLKA) =-0.000825
            ZFLK(NPFLKA) =0.754444
            TXFLK  (NPFLKA) = 0.016209
            TYFLK  (NPFLKA) = -0.000973
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(816653324:817453963)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.017621
            XFLK(NPFLKA) =0.052378
            YFLK(NPFLKA) =0.000368
            ZFLK(NPFLKA) =-0.734423
            TXFLK  (NPFLKA) = 0.096192
            TYFLK  (NPFLKA) = 0.000541
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(817453964:818254604)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.017224
            XFLK(NPFLKA) =0.123527
            YFLK(NPFLKA) =0.164995
            ZFLK(NPFLKA) =-0.735571
            TXFLK  (NPFLKA) = 0.17701
            TYFLK  (NPFLKA) = 0.212975
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(818254605:819055244)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.135364
            XFLK(NPFLKA) =0.011166
            YFLK(NPFLKA) =-0.022675
            ZFLK(NPFLKA) =-0.755629
            TXFLK  (NPFLKA) = 0.023873
            TYFLK  (NPFLKA) = -0.030349
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(819055245:819855885)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.474536
            XFLK(NPFLKA) =0.005618
            YFLK(NPFLKA) =-0.010559
            ZFLK(NPFLKA) =-0.74293
            TXFLK  (NPFLKA) = 0.016857
            TYFLK  (NPFLKA) = -0.013715
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(819855886:820656525)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.032176
            XFLK(NPFLKA) =0.004427
            YFLK(NPFLKA) =0.020629
            ZFLK(NPFLKA) =-0.740546
            TXFLK  (NPFLKA) = 0.016568
            TYFLK  (NPFLKA) = 0.025316
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(820656526:821457166)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.127648
            XFLK(NPFLKA) =-0.005304
            YFLK(NPFLKA) =-0.027139
            ZFLK(NPFLKA) =-0.750009
            TXFLK  (NPFLKA) = 0.006822
            TYFLK  (NPFLKA) = -0.033749
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(821457167:822257806)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.026048
            XFLK(NPFLKA) =0.054855
            YFLK(NPFLKA) =-2.4e-05
            ZFLK(NPFLKA) =-0.756525
            TXFLK  (NPFLKA) = 0.102761
            TYFLK  (NPFLKA) = -0.000204
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(822257807:823058447)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.01916
            XFLK(NPFLKA) =0.006989
            YFLK(NPFLKA) =-0.120884
            ZFLK(NPFLKA) =-0.737282
            TXFLK  (NPFLKA) = 0.020054
            TYFLK  (NPFLKA) = -0.142652
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(823058448:823859087)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.020585
            XFLK(NPFLKA) =0.009316
            YFLK(NPFLKA) =-0.139837
            ZFLK(NPFLKA) =-0.747185
            TXFLK  (NPFLKA) = 0.025661
            TYFLK  (NPFLKA) = -0.156905
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(823859088:824659728)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.005834
            XFLK(NPFLKA) =0.044205
            YFLK(NPFLKA) =-0.235453
            ZFLK(NPFLKA) =-0.727428
            TXFLK  (NPFLKA) = 0.048545
            TYFLK  (NPFLKA) = -0.284918
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(824659729:825460368)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.010702
            XFLK(NPFLKA) =-0.125451
            YFLK(NPFLKA) =-0.21964
            ZFLK(NPFLKA) =-0.725637
            TXFLK  (NPFLKA) = -0.1436
            TYFLK  (NPFLKA) = -0.294242
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(825460369:826261009)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.589352
            XFLK(NPFLKA) =0.005442
            YFLK(NPFLKA) =0.000247
            ZFLK(NPFLKA) =0.728953
            TXFLK  (NPFLKA) = 0.017573
            TYFLK  (NPFLKA) = 0.000513
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(826261010:827061649)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.114701
            XFLK(NPFLKA) =0.010282
            YFLK(NPFLKA) =0.001349
            ZFLK(NPFLKA) =0.717841
            TXFLK  (NPFLKA) = 0.028961
            TYFLK  (NPFLKA) = 0.002887
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(827061650:827862290)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.006485
            XFLK(NPFLKA) =0.053822
            YFLK(NPFLKA) =0.001799
            ZFLK(NPFLKA) =0.70299
            TXFLK  (NPFLKA) = 0.097599
            TYFLK  (NPFLKA) = 0.002026
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(827862291:828662930)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.032216
            XFLK(NPFLKA) =-0.008639
            YFLK(NPFLKA) =-0.019875
            ZFLK(NPFLKA) =0.705337
            TXFLK  (NPFLKA) = -0.002825
            TYFLK  (NPFLKA) = -0.027221
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(828662931:829463571)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.489455
            XFLK(NPFLKA) =0.00889
            YFLK(NPFLKA) =-0.000225
            ZFLK(NPFLKA) =0.728372
            TXFLK  (NPFLKA) = 0.022669
            TYFLK  (NPFLKA) = -0.000509
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(829463572:830264211)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.583671
            XFLK(NPFLKA) =0.002349
            YFLK(NPFLKA) =0.001982
            ZFLK(NPFLKA) =0.728186
            TXFLK  (NPFLKA) = 0.012217
            TYFLK  (NPFLKA) = 0.002837
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(830264212:831064852)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.007506
            XFLK(NPFLKA) =0.044244
            YFLK(NPFLKA) =-0.027737
            ZFLK(NPFLKA) =0.725027
            TXFLK  (NPFLKA) = 0.080076
            TYFLK  (NPFLKA) = -0.041968
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(831064853:831865492)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.007662
            XFLK(NPFLKA) =-0.061682
            YFLK(NPFLKA) =0.122389
            ZFLK(NPFLKA) =0.710083
            TXFLK  (NPFLKA) = -0.086521
            TYFLK  (NPFLKA) = 0.173474
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(831865493:832666133)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.028809
            XFLK(NPFLKA) =0.039902
            YFLK(NPFLKA) =-0.001647
            ZFLK(NPFLKA) =0.70976
            TXFLK  (NPFLKA) = 0.080504
            TYFLK  (NPFLKA) = -0.004298
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(832666134:833466773)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.191208
            XFLK(NPFLKA) =-0.001837
            YFLK(NPFLKA) =0.002858
            ZFLK(NPFLKA) =0.705857
            TXFLK  (NPFLKA) = 0.011638
            TYFLK  (NPFLKA) = 0.003589
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(833466774:834267414)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.054081
            XFLK(NPFLKA) =-0.007935
            YFLK(NPFLKA) =0.022553
            ZFLK(NPFLKA) =0.703651
            TXFLK  (NPFLKA) = -0.002145
            TYFLK  (NPFLKA) = 0.031057
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(834267415:835068054)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.660189
            XFLK(NPFLKA) =0.004699
            YFLK(NPFLKA) =0.000345
            ZFLK(NPFLKA) =0.708674
            TXFLK  (NPFLKA) = 0.017492
            TYFLK  (NPFLKA) = 0.000715
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(835068055:835868695)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.144465
            XFLK(NPFLKA) =0.004421
            YFLK(NPFLKA) =-0.010804
            ZFLK(NPFLKA) =0.707545
            TXFLK  (NPFLKA) = 0.015443
            TYFLK  (NPFLKA) = -0.015247
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(835868696:836669335)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.006313
            XFLK(NPFLKA) =-0.042839
            YFLK(NPFLKA) =0.129358
            ZFLK(NPFLKA) =0.708807
            TXFLK  (NPFLKA) = -0.053895
            TYFLK  (NPFLKA) = 0.174908
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(836669336:837469976)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.026555
            XFLK(NPFLKA) =0.041876
            YFLK(NPFLKA) =-0.002518
            ZFLK(NPFLKA) =0.72586
            TXFLK  (NPFLKA) = 0.075257
            TYFLK  (NPFLKA) = -0.004919
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(837469977:838270616)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.04818
            XFLK(NPFLKA) =-0.002942
            YFLK(NPFLKA) =0.05862
            ZFLK(NPFLKA) =0.711397
            TXFLK  (NPFLKA) = 0.008297
            TYFLK  (NPFLKA) = 0.075121
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(838270617:839071257)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.052666
            XFLK(NPFLKA) =0.017473
            YFLK(NPFLKA) =-0.009892
            ZFLK(NPFLKA) =0.704131
            TXFLK  (NPFLKA) = 0.041879
            TYFLK  (NPFLKA) = -0.015852
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(839071258:839871898)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.362471
            XFLK(NPFLKA) =-0.002742
            YFLK(NPFLKA) =-0.00966
            ZFLK(NPFLKA) =0.704965
            TXFLK  (NPFLKA) = 0.010607
            TYFLK  (NPFLKA) = -0.012321
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(839871899:840672538)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.047272
            XFLK(NPFLKA) =0.036365
            YFLK(NPFLKA) =0.047088
            ZFLK(NPFLKA) =0.712572
            TXFLK  (NPFLKA) = 0.057258
            TYFLK  (NPFLKA) = 0.062477
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(840672539:841473179)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.007685
            XFLK(NPFLKA) =0.030355
            YFLK(NPFLKA) =-0.003166
            ZFLK(NPFLKA) =0.723913
            TXFLK  (NPFLKA) = 0.066617
            TYFLK  (NPFLKA) = -0.007764
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(841473180:842273819)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.006073
            XFLK(NPFLKA) =-0.059506
            YFLK(NPFLKA) =0.025946
            ZFLK(NPFLKA) =0.719074
            TXFLK  (NPFLKA) = -0.059416
            TYFLK  (NPFLKA) = 0.045418
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(842273820:843074460)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 19.4367
            XFLK(NPFLKA) =0.001276
            YFLK(NPFLKA) =8.9e-05
            ZFLK(NPFLKA) =0.709282
            TXFLK  (NPFLKA) = 0.016594
            TYFLK  (NPFLKA) = 0.000121
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(843074461:843875100)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.008572
            XFLK(NPFLKA) =0.139689
            YFLK(NPFLKA) =0.081356
            ZFLK(NPFLKA) =0.702389
            TXFLK  (NPFLKA) = 0.17234
            TYFLK  (NPFLKA) = 0.101199
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(843875101:844675741)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.023853
            XFLK(NPFLKA) =-0.009967
            YFLK(NPFLKA) =0.000179
            ZFLK(NPFLKA) =-0.727544
            TXFLK  (NPFLKA) = -0.014456
            TYFLK  (NPFLKA) = 0.004035
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(844675742:845476381)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.009029
            XFLK(NPFLKA) =-0.05418
            YFLK(NPFLKA) =-0.035622
            ZFLK(NPFLKA) =-0.708179
            TXFLK  (NPFLKA) = -0.071242
            TYFLK  (NPFLKA) = -0.048593
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(845476382:846277022)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 2.8745
            XFLK(NPFLKA) =0.002873
            YFLK(NPFLKA) =-8e-06
            ZFLK(NPFLKA) =-0.73316
            TXFLK  (NPFLKA) = 0.015899
            TYFLK  (NPFLKA) = -1.6e-05
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(846277023:847077662)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.314836
            XFLK(NPFLKA) =0.008103
            YFLK(NPFLKA) =0.000511
            ZFLK(NPFLKA) =-0.728214
            TXFLK  (NPFLKA) = 0.024192
            TYFLK  (NPFLKA) = 0.001096
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(847077663:847878303)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.005224
            XFLK(NPFLKA) =0.031013
            YFLK(NPFLKA) =-0.142462
            ZFLK(NPFLKA) =-0.702006
            TXFLK  (NPFLKA) = 0.043938
            TYFLK  (NPFLKA) = -0.203983
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(847878304:848678943)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.006129
            XFLK(NPFLKA) =-0.100738
            YFLK(NPFLKA) =-0.093722
            ZFLK(NPFLKA) =-0.698876
            TXFLK  (NPFLKA) = -0.134813
            TYFLK  (NPFLKA) = -0.125467
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(848678944:849479584)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.030126
            XFLK(NPFLKA) =0.050048
            YFLK(NPFLKA) =0.001987
            ZFLK(NPFLKA) =-0.719852
            TXFLK  (NPFLKA) = 0.096235
            TYFLK  (NPFLKA) = 0.001723
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(849479585:850280224)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.006224
            XFLK(NPFLKA) =0.082173
            YFLK(NPFLKA) =0.004094
            ZFLK(NPFLKA) =-0.708373
            TXFLK  (NPFLKA) = 0.161126
            TYFLK  (NPFLKA) = 0.007921
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(850280225:851080865)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.00611
            XFLK(NPFLKA) =0.054428
            YFLK(NPFLKA) =0.003053
            ZFLK(NPFLKA) =-0.704356
            TXFLK  (NPFLKA) = 0.122801
            TYFLK  (NPFLKA) = 0.008409
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(851080866:851881505)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 8.75568
            XFLK(NPFLKA) =0.003574
            YFLK(NPFLKA) =5.8e-05
            ZFLK(NPFLKA) =-0.706053
            TXFLK  (NPFLKA) = 0.016344
            TYFLK  (NPFLKA) = 0.000114
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(851881506:852682146)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.077878
            XFLK(NPFLKA) =-0.005637
            YFLK(NPFLKA) =-0.041456
            ZFLK(NPFLKA) =-0.707881
            TXFLK  (NPFLKA) = 0.006398
            TYFLK  (NPFLKA) = -0.052202
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(852682147:853482786)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.009286
            XFLK(NPFLKA) =0.044803
            YFLK(NPFLKA) =0.00015
            ZFLK(NPFLKA) =-0.70774
            TXFLK  (NPFLKA) = 0.08354
            TYFLK  (NPFLKA) = 0.00023
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(853482787:854283427)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.105592
            XFLK(NPFLKA) =0.010859
            YFLK(NPFLKA) =0.004061
            ZFLK(NPFLKA) =-0.72755
            TXFLK  (NPFLKA) = 0.031876
            TYFLK  (NPFLKA) = 0.007517
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(854283428:855084067)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.005882
            XFLK(NPFLKA) =0.07729
            YFLK(NPFLKA) =-0.009698
            ZFLK(NPFLKA) =-0.724034
            TXFLK  (NPFLKA) = 0.124954
            TYFLK  (NPFLKA) = -0.016995
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(855084068:855884708)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 1.37414
            XFLK(NPFLKA) =0.002092
            YFLK(NPFLKA) =-3.2e-05
            ZFLK(NPFLKA) =0.702459
            TXFLK  (NPFLKA) = 0.015614
            TYFLK  (NPFLKA) = 2.3e-05
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(855884709:856685348)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 3.2742
            XFLK(NPFLKA) =0.004474
            YFLK(NPFLKA) =-4.2e-05
            ZFLK(NPFLKA) =0.694613
            TXFLK  (NPFLKA) = 0.016984
            TYFLK  (NPFLKA) = -9.6e-05
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(856685349:857485989)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.029108
            XFLK(NPFLKA) =-0.017481
            YFLK(NPFLKA) =0.026861
            ZFLK(NPFLKA) =0.692
            TXFLK  (NPFLKA) = -0.015854
            TYFLK  (NPFLKA) = 0.037831
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(857485990:858286629)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.050298
            XFLK(NPFLKA) =0.006447
            YFLK(NPFLKA) =0.030394
            ZFLK(NPFLKA) =0.689941
            TXFLK  (NPFLKA) = 0.01639
            TYFLK  (NPFLKA) = 0.044378
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(858286630:859087270)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.00777
            XFLK(NPFLKA) =0.035559
            YFLK(NPFLKA) =-0.00042
            ZFLK(NPFLKA) =0.683234
            TXFLK  (NPFLKA) = 0.072634
            TYFLK  (NPFLKA) = -0.001002
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(859087271:859887910)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.277788
            XFLK(NPFLKA) =0.00149
            YFLK(NPFLKA) =0.003943
            ZFLK(NPFLKA) =0.680905
            TXFLK  (NPFLKA) = 0.011457
            TYFLK  (NPFLKA) = 0.005637
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(859887911:860688551)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.776776
            XFLK(NPFLKA) =0.003851
            YFLK(NPFLKA) =0.000448
            ZFLK(NPFLKA) =0.694269
            TXFLK  (NPFLKA) = 0.018886
            TYFLK  (NPFLKA) = 0.000832
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(860688552:861489191)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 1.17298
            XFLK(NPFLKA) =0.005278
            YFLK(NPFLKA) =-0.000288
            ZFLK(NPFLKA) =0.697664
            TXFLK  (NPFLKA) = 0.018169
            TYFLK  (NPFLKA) = -0.000569
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(861489192:862289832)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.031841
            XFLK(NPFLKA) =-0.010169
            YFLK(NPFLKA) =0.032477
            ZFLK(NPFLKA) =0.681657
            TXFLK  (NPFLKA) = -0.004054
            TYFLK  (NPFLKA) = 0.045221
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(862289833:863090472)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.09444
            XFLK(NPFLKA) =0.021349
            YFLK(NPFLKA) =0.003302
            ZFLK(NPFLKA) =0.698464
            TXFLK  (NPFLKA) = 0.049075
            TYFLK  (NPFLKA) = 0.005644
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(863090473:863891113)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.335725
            XFLK(NPFLKA) =-0.002372
            YFLK(NPFLKA) =0.00437
            ZFLK(NPFLKA) =0.699228
            TXFLK  (NPFLKA) = 0.011887
            TYFLK  (NPFLKA) = 0.005796
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(863891114:864691753)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.006735
            XFLK(NPFLKA) =0.051715
            YFLK(NPFLKA) =-0.00292
            ZFLK(NPFLKA) =0.685694
            TXFLK  (NPFLKA) = 0.106114
            TYFLK  (NPFLKA) = -0.006668
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(864691754:865492394)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.027979
            XFLK(NPFLKA) =0.040349
            YFLK(NPFLKA) =-0.000193
            ZFLK(NPFLKA) =0.696336
            TXFLK  (NPFLKA) = 0.085666
            TYFLK  (NPFLKA) = -0.00052
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(865492395:866293034)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.007858
            XFLK(NPFLKA) =0.02892
            YFLK(NPFLKA) =0.125904
            ZFLK(NPFLKA) =0.678633
            TXFLK  (NPFLKA) = 0.04417
            TYFLK  (NPFLKA) = 0.175573
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(866293035:867093675)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.091029
            XFLK(NPFLKA) =0.026553
            YFLK(NPFLKA) =-0.000238
            ZFLK(NPFLKA) =0.695237
            TXFLK  (NPFLKA) = 0.056485
            TYFLK  (NPFLKA) = -0.000536
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(867093676:867894315)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.118732
            XFLK(NPFLKA) =-0.002498
            YFLK(NPFLKA) =-0.018857
            ZFLK(NPFLKA) =0.695978
            TXFLK  (NPFLKA) = 0.008178
            TYFLK  (NPFLKA) = -0.025796
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(867894316:868694956)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.015612
            XFLK(NPFLKA) =0.063475
            YFLK(NPFLKA) =0.001995
            ZFLK(NPFLKA) =0.691995
            TXFLK  (NPFLKA) = 0.118105
            TYFLK  (NPFLKA) = 0.004159
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(868694957:869495596)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.032096
            XFLK(NPFLKA) =0.035684
            YFLK(NPFLKA) =-0.057431
            ZFLK(NPFLKA) =0.686375
            TXFLK  (NPFLKA) = 0.059126
            TYFLK  (NPFLKA) = -0.078447
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(869495597:870296237)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.012817
            XFLK(NPFLKA) =0.049677
            YFLK(NPFLKA) =0.011347
            ZFLK(NPFLKA) =0.687718
            TXFLK  (NPFLKA) = 0.089237
            TYFLK  (NPFLKA) = 0.017631
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(870296238:871096878)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.012118
            XFLK(NPFLKA) =0.057351
            YFLK(NPFLKA) =-0.163086
            ZFLK(NPFLKA) =0.680074
            TXFLK  (NPFLKA) = 0.089775
            TYFLK  (NPFLKA) = -0.204847
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(871096879:871897518)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 7.3986
            XFLK(NPFLKA) =0.003003
            YFLK(NPFLKA) =-7.9e-05
            ZFLK(NPFLKA) =0.676079
            TXFLK  (NPFLKA) = 0.016405
            TYFLK  (NPFLKA) = -0.000141
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(871897519:872698159)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.753864
            XFLK(NPFLKA) =0.004106
            YFLK(NPFLKA) =0.000282
            ZFLK(NPFLKA) =0.700542
            TXFLK  (NPFLKA) = 0.019663
            TYFLK  (NPFLKA) = 0.000558
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(872698160:873498799)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.019198
            XFLK(NPFLKA) =0.065688
            YFLK(NPFLKA) =-0.001536
            ZFLK(NPFLKA) =0.686579
            TXFLK  (NPFLKA) = 0.120339
            TYFLK  (NPFLKA) = -0.003377
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(873498800:874299440)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.011495
            XFLK(NPFLKA) =0.128405
            YFLK(NPFLKA) =-0.090404
            ZFLK(NPFLKA) =0.667863
            TXFLK  (NPFLKA) = 0.173689
            TYFLK  (NPFLKA) = -0.106915
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(874299441:875100080)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 8.42534
            XFLK(NPFLKA) =0.000778
            YFLK(NPFLKA) =0.000417
            ZFLK(NPFLKA) =0.688349
            TXFLK  (NPFLKA) = 0.0163
            TYFLK  (NPFLKA) = 0.000537
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(875100081:875900721)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.005739
            XFLK(NPFLKA) =0.064159
            YFLK(NPFLKA) =-0.017882
            ZFLK(NPFLKA) =0.670422
            TXFLK  (NPFLKA) = 0.136438
            TYFLK  (NPFLKA) = -0.042029
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(875900722:876701361)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 14.427
            XFLK(NPFLKA) =0.002362
            YFLK(NPFLKA) =-0.000369
            ZFLK(NPFLKA) =0.680567
            TXFLK  (NPFLKA) = 0.016468
            TYFLK  (NPFLKA) = -0.000474
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(876701362:877502002)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.508481
            XFLK(NPFLKA) =0.007474
            YFLK(NPFLKA) =-0.000753
            ZFLK(NPFLKA) =-0.67935
            TXFLK  (NPFLKA) = 0.020361
            TYFLK  (NPFLKA) = -0.001419
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(877502003:878302642)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.024547
            XFLK(NPFLKA) =-0.006779
            YFLK(NPFLKA) =-0.003122
            ZFLK(NPFLKA) =-0.673623
            TXFLK  (NPFLKA) = -0.003287
            TYFLK  (NPFLKA) = -0.001092
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(878302643:879103283)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.067362
            XFLK(NPFLKA) =0.016556
            YFLK(NPFLKA) =-0.000931
            ZFLK(NPFLKA) =-0.681206
            TXFLK  (NPFLKA) = 0.037623
            TYFLK  (NPFLKA) = -0.002111
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(879103284:879903923)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.0125
            XFLK(NPFLKA) =0.034096
            YFLK(NPFLKA) =0.00242
            ZFLK(NPFLKA) =-0.676219
            TXFLK  (NPFLKA) = 0.059118
            TYFLK  (NPFLKA) = 0.004472
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(879903924:880704564)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.412156
            XFLK(NPFLKA) =0.001959
            YFLK(NPFLKA) =0.003341
            ZFLK(NPFLKA) =-0.6828
            TXFLK  (NPFLKA) = 0.012071
            TYFLK  (NPFLKA) = 0.004841
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(880704565:881505204)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.194394
            XFLK(NPFLKA) =0.011067
            YFLK(NPFLKA) =0.000904
            ZFLK(NPFLKA) =-0.681992
            TXFLK  (NPFLKA) = 0.026819
            TYFLK  (NPFLKA) = 0.001999
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(881505205:882305845)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.081991
            XFLK(NPFLKA) =0.015358
            YFLK(NPFLKA) =-0.001964
            ZFLK(NPFLKA) =-0.691146
            TXFLK  (NPFLKA) = 0.038622
            TYFLK  (NPFLKA) = -0.004109
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(882305846:883106485)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.015159
            XFLK(NPFLKA) =0.039116
            YFLK(NPFLKA) =0.000643
            ZFLK(NPFLKA) =-0.675957
            TXFLK  (NPFLKA) = 0.068987
            TYFLK  (NPFLKA) = 0.001723
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(883106486:883907126)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.005699
            XFLK(NPFLKA) =-0.198981
            YFLK(NPFLKA) =-0.106139
            ZFLK(NPFLKA) =-0.655702
            TXFLK  (NPFLKA) = -0.265464
            TYFLK  (NPFLKA) = -0.128534
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(883907127:884707766)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.005978
            XFLK(NPFLKA) =0.034704
            YFLK(NPFLKA) =-0.000238
            ZFLK(NPFLKA) =-0.671787
            TXFLK  (NPFLKA) = 0.079463
            TYFLK  (NPFLKA) = 0.000212
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(884707767:885508407)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.017979
            XFLK(NPFLKA) =0.100816
            YFLK(NPFLKA) =-0.046437
            ZFLK(NPFLKA) =-0.681416
            TXFLK  (NPFLKA) = 0.140159
            TYFLK  (NPFLKA) = -0.062233
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(885508408:886309047)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 1.18871
            XFLK(NPFLKA) =0.003827
            YFLK(NPFLKA) =0.004546
            ZFLK(NPFLKA) =-0.69342
            TXFLK  (NPFLKA) = 0.017011
            TYFLK  (NPFLKA) = 0.005985
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(886309048:887109688)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.25357
            XFLK(NPFLKA) =0.013613
            YFLK(NPFLKA) =0.015718
            ZFLK(NPFLKA) =-0.683119
            TXFLK  (NPFLKA) = 0.02789
            TYFLK  (NPFLKA) = 0.021156
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(887109689:887910328)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.60939
            XFLK(NPFLKA) =0.002366
            YFLK(NPFLKA) =-0.000735
            ZFLK(NPFLKA) =-0.676409
            TXFLK  (NPFLKA) = 0.014443
            TYFLK  (NPFLKA) = -0.001252
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(887910329:888710969)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.032272
            XFLK(NPFLKA) =-0.00483
            YFLK(NPFLKA) =-0.040472
            ZFLK(NPFLKA) =-0.701592
            TXFLK  (NPFLKA) = 0.000411
            TYFLK  (NPFLKA) = -0.057623
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(888710970:889511609)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.012828
            XFLK(NPFLKA) =-0.10991
            YFLK(NPFLKA) =-0.078808
            ZFLK(NPFLKA) =-0.691498
            TXFLK  (NPFLKA) = -0.13505
            TYFLK  (NPFLKA) = -0.101502
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(889511610:890312250)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.009685
            XFLK(NPFLKA) =-0.056246
            YFLK(NPFLKA) =0.076843
            ZFLK(NPFLKA) =0.654551
            TXFLK  (NPFLKA) = -0.073271
            TYFLK  (NPFLKA) = 0.10981
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(890312251:891112890)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.030194
            XFLK(NPFLKA) =-0.019134
            YFLK(NPFLKA) =0.042856
            ZFLK(NPFLKA) =0.65723
            TXFLK  (NPFLKA) = -0.015689
            TYFLK  (NPFLKA) = 0.060465
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(891112891:891913531)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.640754
            XFLK(NPFLKA) =0.004278
            YFLK(NPFLKA) =-0.000209
            ZFLK(NPFLKA) =0.66291
            TXFLK  (NPFLKA) = 0.019276
            TYFLK  (NPFLKA) = -0.00048
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(891913532:892714171)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.081078
            XFLK(NPFLKA) =0.022807
            YFLK(NPFLKA) =-0.00079
            ZFLK(NPFLKA) =0.66497
            TXFLK  (NPFLKA) = 0.050362
            TYFLK  (NPFLKA) = -0.001794
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(892714172:893514812)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.013916
            XFLK(NPFLKA) =0.027089
            YFLK(NPFLKA) =-0.089487
            ZFLK(NPFLKA) =0.649755
            TXFLK  (NPFLKA) = 0.049592
            TYFLK  (NPFLKA) = -0.12609
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(893514813:894315452)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 1.09737
            XFLK(NPFLKA) =0.002487
            YFLK(NPFLKA) =-0.003856
            ZFLK(NPFLKA) =0.661014
            TXFLK  (NPFLKA) = 0.015859
            TYFLK  (NPFLKA) = -0.005245
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(894315453:895116093)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.020444
            XFLK(NPFLKA) =0.057047
            YFLK(NPFLKA) =0.101359
            ZFLK(NPFLKA) =0.659725
            TXFLK  (NPFLKA) = 0.082057
            TYFLK  (NPFLKA) = 0.124902
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(895116094:895916733)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 39.896
            XFLK(NPFLKA) =0.002793
            YFLK(NPFLKA) =1.9e-05
            ZFLK(NPFLKA) =0.664225
            TXFLK  (NPFLKA) = 0.016377
            TYFLK  (NPFLKA) = 2.4e-05
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(895916734:896717374)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.1418
            XFLK(NPFLKA) =0.01183
            YFLK(NPFLKA) =0.001438
            ZFLK(NPFLKA) =-0.652112
            TXFLK  (NPFLKA) = 0.027085
            TYFLK  (NPFLKA) = 0.003092
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(896717375:897518014)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 1.66396
            XFLK(NPFLKA) =0.004167
            YFLK(NPFLKA) =0.000275
            ZFLK(NPFLKA) =-0.669518
            TXFLK  (NPFLKA) = 0.015423
            TYFLK  (NPFLKA) = 0.000397
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(897518015:898318655)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.006327
            XFLK(NPFLKA) =0.051338
            YFLK(NPFLKA) =0.00714
            ZFLK(NPFLKA) =-0.6436
            TXFLK  (NPFLKA) = 0.094711
            TYFLK  (NPFLKA) = 0.014445
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(898318656:899119295)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.025444
            XFLK(NPFLKA) =0.044688
            YFLK(NPFLKA) =0.000739
            ZFLK(NPFLKA) =-0.654137
            TXFLK  (NPFLKA) = 0.087416
            TYFLK  (NPFLKA) = 0.001804
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(899119296:899919936)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.434172
            XFLK(NPFLKA) =0.005488
            YFLK(NPFLKA) =0.003552
            ZFLK(NPFLKA) =-0.656023
            TXFLK  (NPFLKA) = 0.015395
            TYFLK  (NPFLKA) = 0.005471
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(899919937:900720576)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.027583
            XFLK(NPFLKA) =-0.086844
            YFLK(NPFLKA) =0.067726
            ZFLK(NPFLKA) =-0.647361
            TXFLK  (NPFLKA) = -0.111505
            TYFLK  (NPFLKA) = 0.097434
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(900720577:901521217)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.012143
            XFLK(NPFLKA) =0.000237
            YFLK(NPFLKA) =-0.136213
            ZFLK(NPFLKA) =-0.638498
            TXFLK  (NPFLKA) = 0.006588
            TYFLK  (NPFLKA) = -0.193852
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(901521218:902321857)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.052807
            XFLK(NPFLKA) =0.022229
            YFLK(NPFLKA) =-0.007466
            ZFLK(NPFLKA) =-0.64901
            TXFLK  (NPFLKA) = 0.049672
            TYFLK  (NPFLKA) = -0.012793
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(902321858:903122498)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.025365
            XFLK(NPFLKA) =0.019291
            YFLK(NPFLKA) =0.063764
            ZFLK(NPFLKA) =-0.650834
            TXFLK  (NPFLKA) = 0.038605
            TYFLK  (NPFLKA) = 0.090255
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(903122499:903923139)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.057617
            XFLK(NPFLKA) =0.031006
            YFLK(NPFLKA) =0.000595
            ZFLK(NPFLKA) =-0.64412
            TXFLK  (NPFLKA) = 0.066967
            TYFLK  (NPFLKA) = 0.000964
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(903923140:904723779)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.062242
            XFLK(NPFLKA) =0.031448
            YFLK(NPFLKA) =0.000201
            ZFLK(NPFLKA) =-0.671289
            TXFLK  (NPFLKA) = 0.065404
            TYFLK  (NPFLKA) = 0.000554
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(904723780:905524420)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.053493
            XFLK(NPFLKA) =-0.002308
            YFLK(NPFLKA) =-0.009403
            ZFLK(NPFLKA) =-0.654813
            TXFLK  (NPFLKA) = 0.009871
            TYFLK  (NPFLKA) = -0.016484
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(905524421:906325060)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.009076
            XFLK(NPFLKA) =0.048235
            YFLK(NPFLKA) =-0.103795
            ZFLK(NPFLKA) =-0.665781
            TXFLK  (NPFLKA) = 0.073554
            TYFLK  (NPFLKA) = -0.15026
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(906325061:907125701)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.008381
            XFLK(NPFLKA) =-0.001584
            YFLK(NPFLKA) =0.054384
            ZFLK(NPFLKA) =0.618445
            TXFLK  (NPFLKA) = -0.002682
            TYFLK  (NPFLKA) = 0.095899
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(907125702:907926341)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.038561
            XFLK(NPFLKA) =0.0348
            YFLK(NPFLKA) =-0.000148
            ZFLK(NPFLKA) =0.617476
            TXFLK  (NPFLKA) = 0.074772
            TYFLK  (NPFLKA) = -0.00056
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(907926342:908726982)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 8.35463
            XFLK(NPFLKA) =0.009149
            YFLK(NPFLKA) =-7.3e-05
            ZFLK(NPFLKA) =0.624749
            TXFLK  (NPFLKA) = 0.016277
            TYFLK  (NPFLKA) = -0.000125
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(908726983:909527622)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.045859
            XFLK(NPFLKA) =0.02573
            YFLK(NPFLKA) =0.000344
            ZFLK(NPFLKA) =0.617698
            TXFLK  (NPFLKA) = 0.054875
            TYFLK  (NPFLKA) = 0.000552
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(909527623:910328263)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 1.89543
            XFLK(NPFLKA) =0.002858
            YFLK(NPFLKA) =0.000402
            ZFLK(NPFLKA) =0.626048
            TXFLK  (NPFLKA) = 0.015565
            TYFLK  (NPFLKA) = 0.000581
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(910328264:911128903)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.006989
            XFLK(NPFLKA) =0.031358
            YFLK(NPFLKA) =0.001991
            ZFLK(NPFLKA) =0.62486
            TXFLK  (NPFLKA) = 0.056331
            TYFLK  (NPFLKA) = 0.005363
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(911128904:911929544)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 2.81289
            XFLK(NPFLKA) =0.00514
            YFLK(NPFLKA) =0.001699
            ZFLK(NPFLKA) =0.611469
            TXFLK  (NPFLKA) = 0.016686
            TYFLK  (NPFLKA) = 0.002425
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(911929545:912730184)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 17.3327
            XFLK(NPFLKA) =0.002606
            YFLK(NPFLKA) =-3.2e-05
            ZFLK(NPFLKA) =0.615574
            TXFLK  (NPFLKA) = 0.016322
            TYFLK  (NPFLKA) = -6.2e-05
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(912730185:913530825)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 6.05648
            XFLK(NPFLKA) =0.002989
            YFLK(NPFLKA) =-0.000773
            ZFLK(NPFLKA) =0.621124
            TXFLK  (NPFLKA) = 0.016596
            TYFLK  (NPFLKA) = -0.001069
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(913530826:914331465)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.008817
            XFLK(NPFLKA) =-0.019266
            YFLK(NPFLKA) =0.019141
            ZFLK(NPFLKA) =-0.614126
            TXFLK  (NPFLKA) = -0.030034
            TYFLK  (NPFLKA) = 0.030789
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(914331466:915132106)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.010651
            XFLK(NPFLKA) =-0.020205
            YFLK(NPFLKA) =0.054345
            ZFLK(NPFLKA) =-0.615444
            TXFLK  (NPFLKA) = -0.02187
            TYFLK  (NPFLKA) = 0.092161
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(915132107:915932746)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.122153
            XFLK(NPFLKA) =0.003575
            YFLK(NPFLKA) =0.006989
            ZFLK(NPFLKA) =-0.641522
            TXFLK  (NPFLKA) = 0.010102
            TYFLK  (NPFLKA) = 0.011299
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(915932747:916733387)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.012497
            XFLK(NPFLKA) =-0.036151
            YFLK(NPFLKA) =0.047738
            ZFLK(NPFLKA) =-0.612846
            TXFLK  (NPFLKA) = -0.043819
            TYFLK  (NPFLKA) = 0.073539
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(916733388:917534027)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.12173
            XFLK(NPFLKA) =0.012717
            YFLK(NPFLKA) =-0.001187
            ZFLK(NPFLKA) =-0.626365
            TXFLK  (NPFLKA) = 0.03298
            TYFLK  (NPFLKA) = -0.002809
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(917534028:918334668)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 1.03224
            XFLK(NPFLKA) =0.006036
            YFLK(NPFLKA) =-0.000201
            ZFLK(NPFLKA) =-0.640158
            TXFLK  (NPFLKA) = 0.016747
            TYFLK  (NPFLKA) = -0.000467
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(918334669:919135308)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.060867
            XFLK(NPFLKA) =-0.01785
            YFLK(NPFLKA) =-0.024201
            ZFLK(NPFLKA) =-0.62761
            TXFLK  (NPFLKA) = -0.011874
            TYFLK  (NPFLKA) = -0.034265
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(919135309:919935949)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.641793
            XFLK(NPFLKA) =0.004797
            YFLK(NPFLKA) =-0.000526
            ZFLK(NPFLKA) =-0.640111
            TXFLK  (NPFLKA) = 0.021104
            TYFLK  (NPFLKA) = -0.00098
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(919935950:920736589)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.055394
            XFLK(NPFLKA) =0.027371
            YFLK(NPFLKA) =0.003342
            ZFLK(NPFLKA) =-0.633544
            TXFLK  (NPFLKA) = 0.049147
            TYFLK  (NPFLKA) = 0.003916
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(920736590:921537230)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.226942
            XFLK(NPFLKA) =-0.004331
            YFLK(NPFLKA) =-0.012723
            ZFLK(NPFLKA) =-0.626805
            TXFLK  (NPFLKA) = 0.004371
            TYFLK  (NPFLKA) = -0.018368
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(921537231:922337870)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.021282
            XFLK(NPFLKA) =0.031095
            YFLK(NPFLKA) =-0.000209
            ZFLK(NPFLKA) =-0.627869
            TXFLK  (NPFLKA) = 0.053386
            TYFLK  (NPFLKA) = -0.006639
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(922337871:923138511)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.011669
            XFLK(NPFLKA) =0.060659
            YFLK(NPFLKA) =-0.086678
            ZFLK(NPFLKA) =-0.628724
            TXFLK  (NPFLKA) = 0.094351
            TYFLK  (NPFLKA) = -0.128029
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(923138512:923939151)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 3.35834
            XFLK(NPFLKA) =0.001161
            YFLK(NPFLKA) =-0.000103
            ZFLK(NPFLKA) =-0.625514
            TXFLK  (NPFLKA) = 0.015793
            TYFLK  (NPFLKA) = -0.000141
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(923939152:924739792)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.036117
            XFLK(NPFLKA) =0.002016
            YFLK(NPFLKA) =0.004377
            ZFLK(NPFLKA) =-0.625744
            TXFLK  (NPFLKA) = 0.016018
            TYFLK  (NPFLKA) = 0.009827
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(924739793:925540432)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.014152
            XFLK(NPFLKA) =-0.029473
            YFLK(NPFLKA) =0.115617
            ZFLK(NPFLKA) =-0.607474
            TXFLK  (NPFLKA) = -0.022649
            TYFLK  (NPFLKA) = 0.155998
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(925540433:926341073)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.00934
            XFLK(NPFLKA) =0.04536
            YFLK(NPFLKA) =0.001601
            ZFLK(NPFLKA) =-0.615799
            TXFLK  (NPFLKA) = 0.096982
            TYFLK  (NPFLKA) = 0.004486
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(926341074:927141713)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.009958
            XFLK(NPFLKA) =-0.035498
            YFLK(NPFLKA) =-0.036553
            ZFLK(NPFLKA) =-0.639687
            TXFLK  (NPFLKA) = -0.043944
            TYFLK  (NPFLKA) = -0.052326
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(927141714:927942354)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.005558
            XFLK(NPFLKA) =0.206079
            YFLK(NPFLKA) =0.394838
            ZFLK(NPFLKA) =-0.572657
            TXFLK  (NPFLKA) = 0.350926
            TYFLK  (NPFLKA) = 0.495523
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(927942355:928742994)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.005095
            XFLK(NPFLKA) =-0.054553
            YFLK(NPFLKA) =-0.055973
            ZFLK(NPFLKA) =0.582083
            TXFLK  (NPFLKA) = -0.099292
            TYFLK  (NPFLKA) = -0.106802
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(928742995:929543635)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.005984
            XFLK(NPFLKA) =-0.034528
            YFLK(NPFLKA) =-0.031288
            ZFLK(NPFLKA) =0.601539
            TXFLK  (NPFLKA) = -0.064484
            TYFLK  (NPFLKA) = -0.06056
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(929543636:930344275)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.035532
            XFLK(NPFLKA) =-0.01253
            YFLK(NPFLKA) =0.006451
            ZFLK(NPFLKA) =0.598705
            TXFLK  (NPFLKA) = -0.012208
            TYFLK  (NPFLKA) = 0.009922
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(930344276:931144916)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 1.04205
            XFLK(NPFLKA) =0.009133
            YFLK(NPFLKA) =-0.000105
            ZFLK(NPFLKA) =0.610145
            TXFLK  (NPFLKA) = 0.017343
            TYFLK  (NPFLKA) = -0.000267
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(931144917:931945556)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.0213
            XFLK(NPFLKA) =-0.005114
            YFLK(NPFLKA) =-0.03916
            ZFLK(NPFLKA) =0.602396
            TXFLK  (NPFLKA) = -0.002788
            TYFLK  (NPFLKA) = -0.063487
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(931945557:932746197)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 1.42386
            XFLK(NPFLKA) =0.003678
            YFLK(NPFLKA) =5.5e-05
            ZFLK(NPFLKA) =0.582844
            TXFLK  (NPFLKA) = 0.017142
            TYFLK  (NPFLKA) = 0.000129
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(932746198:933546837)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.180296
            XFLK(NPFLKA) =0.00648
            YFLK(NPFLKA) =0.000807
            ZFLK(NPFLKA) =0.591058
            TXFLK  (NPFLKA) = 0.022664
            TYFLK  (NPFLKA) = 0.001999
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(933546838:934347478)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.006019
            XFLK(NPFLKA) =-0.004362
            YFLK(NPFLKA) =-0.106252
            ZFLK(NPFLKA) =0.576358
            TXFLK  (NPFLKA) = 0.003023
            TYFLK  (NPFLKA) = -0.170414
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(934347479:935148118)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 3.86026
            XFLK(NPFLKA) =0.004015
            YFLK(NPFLKA) =-8.2e-05
            ZFLK(NPFLKA) =0.606133
            TXFLK  (NPFLKA) = 0.016772
            TYFLK  (NPFLKA) = -0.000158
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(935148119:935948759)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.013243
            XFLK(NPFLKA) =0.027293
            YFLK(NPFLKA) =-0.073308
            ZFLK(NPFLKA) =0.591641
            TXFLK  (NPFLKA) = 0.050727
            TYFLK  (NPFLKA) = -0.114229
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(935948760:936749400)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 1.63723
            XFLK(NPFLKA) =0.006868
            YFLK(NPFLKA) =0.000103
            ZFLK(NPFLKA) =0.599287
            TXFLK  (NPFLKA) = 0.016793
            TYFLK  (NPFLKA) = 0.000267
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(936749401:937550040)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 1.09765
            XFLK(NPFLKA) =0.006983
            YFLK(NPFLKA) =-0.000998
            ZFLK(NPFLKA) =0.599998
            TXFLK  (NPFLKA) = 0.016424
            TYFLK  (NPFLKA) = -0.001675
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(937550041:938350681)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.02555
            XFLK(NPFLKA) =0.012652
            YFLK(NPFLKA) =-0.013718
            ZFLK(NPFLKA) =0.600745
            TXFLK  (NPFLKA) = 0.033922
            TYFLK  (NPFLKA) = -0.030879
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(938350682:939151321)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.036949
            XFLK(NPFLKA) =0.007629
            YFLK(NPFLKA) =0.022495
            ZFLK(NPFLKA) =0.605133
            TXFLK  (NPFLKA) = 0.024904
            TYFLK  (NPFLKA) = 0.044056
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(939151322:939951962)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.050937
            XFLK(NPFLKA) =0.020125
            YFLK(NPFLKA) =-0.000241
            ZFLK(NPFLKA) =-0.601256
            TXFLK  (NPFLKA) = 0.043109
            TYFLK  (NPFLKA) = -0.00041
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(939951963:940752602)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.006577
            XFLK(NPFLKA) =0.013503
            YFLK(NPFLKA) =-0.048407
            ZFLK(NPFLKA) =-0.596856
            TXFLK  (NPFLKA) = 0.029638
            TYFLK  (NPFLKA) = -0.081691
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(940752603:941553243)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.066292
            XFLK(NPFLKA) =0.012013
            YFLK(NPFLKA) =-0.01022
            ZFLK(NPFLKA) =-0.603194
            TXFLK  (NPFLKA) = 0.032823
            TYFLK  (NPFLKA) = -0.019841
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(941553244:942353883)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 2.02778
            XFLK(NPFLKA) =0.006307
            YFLK(NPFLKA) =0.000596
            ZFLK(NPFLKA) =-0.589714
            TXFLK  (NPFLKA) = 0.016217
            TYFLK  (NPFLKA) = 0.000968
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(942353884:943154524)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.195603
            XFLK(NPFLKA) =0.00992
            YFLK(NPFLKA) =-0.000661
            ZFLK(NPFLKA) =-0.603268
            TXFLK  (NPFLKA) = 0.030076
            TYFLK  (NPFLKA) = -0.001698
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(943154525:943955164)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.041534
            XFLK(NPFLKA) =0.037151
            YFLK(NPFLKA) =-0.0624
            ZFLK(NPFLKA) =-0.590484
            TXFLK  (NPFLKA) = 0.061323
            TYFLK  (NPFLKA) = -0.085742
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(943955165:944755805)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.103305
            XFLK(NPFLKA) =-0.000148
            YFLK(NPFLKA) =-0.008152
            ZFLK(NPFLKA) =-0.588683
            TXFLK  (NPFLKA) = 0.012108
            TYFLK  (NPFLKA) = -0.013522
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(944755806:945556445)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.008885
            XFLK(NPFLKA) =0.147398
            YFLK(NPFLKA) =0.042968
            ZFLK(NPFLKA) =-0.59961
            TXFLK  (NPFLKA) = 0.212767
            TYFLK  (NPFLKA) = 0.052325
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(945556446:946357086)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.005366
            XFLK(NPFLKA) =0.072807
            YFLK(NPFLKA) =0.136904
            ZFLK(NPFLKA) =0.569603
            TXFLK  (NPFLKA) = 0.106823
            TYFLK  (NPFLKA) = 0.209847
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(946357087:947157726)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.016041
            XFLK(NPFLKA) =0.033706
            YFLK(NPFLKA) =-6.7e-05
            ZFLK(NPFLKA) =0.57919
            TXFLK  (NPFLKA) = 0.070232
            TYFLK  (NPFLKA) = 0.001772
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(947157727:947958367)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.026417
            XFLK(NPFLKA) =-0.003209
            YFLK(NPFLKA) =-0.047538
            ZFLK(NPFLKA) =0.563551
            TXFLK  (NPFLKA) = -0.001956
            TYFLK  (NPFLKA) = -0.087992
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(947958368:948759007)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.389661
            XFLK(NPFLKA) =0.0057
            YFLK(NPFLKA) =0.000374
            ZFLK(NPFLKA) =0.554702
            TXFLK  (NPFLKA) = 0.017076
            TYFLK  (NPFLKA) = 0.000997
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(948759008:949559648)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.050624
            XFLK(NPFLKA) =0.009978
            YFLK(NPFLKA) =-0.017399
            ZFLK(NPFLKA) =0.564702
            TXFLK  (NPFLKA) = 0.022352
            TYFLK  (NPFLKA) = -0.029283
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(949559649:950360288)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.162828
            XFLK(NPFLKA) =0.00648
            YFLK(NPFLKA) =-0.000575
            ZFLK(NPFLKA) =0.565162
            TXFLK  (NPFLKA) = 0.016291
            TYFLK  (NPFLKA) = -0.00156
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(950360289:951160929)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 1.14439
            XFLK(NPFLKA) =0.002833
            YFLK(NPFLKA) =0.00029
            ZFLK(NPFLKA) =0.579764
            TXFLK  (NPFLKA) = 0.015317
            TYFLK  (NPFLKA) = 0.00043
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(951160930:951961569)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.039606
            XFLK(NPFLKA) =-0.008386
            YFLK(NPFLKA) =-0.015231
            ZFLK(NPFLKA) =0.573039
            TXFLK  (NPFLKA) = -0.000831
            TYFLK  (NPFLKA) = -0.023845
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(951961570:952762210)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.013182
            XFLK(NPFLKA) =0.033598
            YFLK(NPFLKA) =-0.019668
            ZFLK(NPFLKA) =0.565449
            TXFLK  (NPFLKA) = 0.08408
            TYFLK  (NPFLKA) = -0.045713
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(952762211:953562850)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.075539
            XFLK(NPFLKA) =0.029563
            YFLK(NPFLKA) =0.028316
            ZFLK(NPFLKA) =0.572167
            TXFLK  (NPFLKA) = 0.051793
            TYFLK  (NPFLKA) = 0.042062
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(953562851:954363491)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.375513
            XFLK(NPFLKA) =0.005934
            YFLK(NPFLKA) =-0.004385
            ZFLK(NPFLKA) =-0.556963
            TXFLK  (NPFLKA) = 0.015038
            TYFLK  (NPFLKA) = -0.007281
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(954363492:955164131)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.412242
            XFLK(NPFLKA) =0.00758
            YFLK(NPFLKA) =0.000676
            ZFLK(NPFLKA) =-0.561398
            TXFLK  (NPFLKA) = 0.018986
            TYFLK  (NPFLKA) = 0.001651
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(955164132:955964772)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.087368
            XFLK(NPFLKA) =0.006637
            YFLK(NPFLKA) =-0.002854
            ZFLK(NPFLKA) =-0.574615
            TXFLK  (NPFLKA) = 0.018461
            TYFLK  (NPFLKA) = -0.006947
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(955964773:956765412)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.844394
            XFLK(NPFLKA) =0.006599
            YFLK(NPFLKA) =-6.1e-05
            ZFLK(NPFLKA) =0.521956
            TXFLK  (NPFLKA) = 0.016548
            TYFLK  (NPFLKA) = -0.000258
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(956765413:957566053)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.502847
            XFLK(NPFLKA) =0.0108
            YFLK(NPFLKA) =0.003442
            ZFLK(NPFLKA) =0.543626
            TXFLK  (NPFLKA) = 0.024607
            TYFLK  (NPFLKA) = 0.007427
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(957566054:958366693)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.02192
            XFLK(NPFLKA) =-0.0691
            YFLK(NPFLKA) =-0.078193
            ZFLK(NPFLKA) =0.537252
            TXFLK  (NPFLKA) = -0.143209
            TYFLK  (NPFLKA) = -0.165752
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(958366694:959167334)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.022908
            XFLK(NPFLKA) =0.037804
            YFLK(NPFLKA) =-0.038546
            ZFLK(NPFLKA) =0.536251
            TXFLK  (NPFLKA) = 0.06791
            TYFLK  (NPFLKA) = -0.06511
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(959167335:959967974)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.01969
            XFLK(NPFLKA) =-0.01077
            YFLK(NPFLKA) =0.000382
            ZFLK(NPFLKA) =0.522045
            TXFLK  (NPFLKA) = -0.013856
            TYFLK  (NPFLKA) = 0.001025
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(959967975:960768615)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.057179
            XFLK(NPFLKA) =0.030072
            YFLK(NPFLKA) =0.015885
            ZFLK(NPFLKA) =0.532251
            TXFLK  (NPFLKA) = 0.054166
            TYFLK  (NPFLKA) = 0.0285
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(960768616:961569255)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.044518
            XFLK(NPFLKA) =0.010805
            YFLK(NPFLKA) =0.007021
            ZFLK(NPFLKA) =-0.528698
            TXFLK  (NPFLKA) = 0.023663
            TYFLK  (NPFLKA) = 0.019961
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(961569256:962369896)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.018934
            XFLK(NPFLKA) =0.021863
            YFLK(NPFLKA) =-0.038392
            ZFLK(NPFLKA) =-0.523574
            TXFLK  (NPFLKA) = 0.039716
            TYFLK  (NPFLKA) = -0.068324
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(962369897:963170536)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 2.42451
            XFLK(NPFLKA) =0.009017
            YFLK(NPFLKA) =0.000638
            ZFLK(NPFLKA) =-0.540706
            TXFLK  (NPFLKA) = 0.017165
            TYFLK  (NPFLKA) = 0.001138
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(963170537:963971177)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 1.19295
            XFLK(NPFLKA) =0.007459
            YFLK(NPFLKA) =9.5e-05
            ZFLK(NPFLKA) =-0.538522
            TXFLK  (NPFLKA) = 0.015782
            TYFLK  (NPFLKA) = 0.000229
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(963971178:964771817)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.013071
            XFLK(NPFLKA) =0.020891
            YFLK(NPFLKA) =-0.088648
            ZFLK(NPFLKA) =-0.529847
            TXFLK  (NPFLKA) = 0.035809
            TYFLK  (NPFLKA) = -0.130063
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(964771818:965572458)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.0089
            XFLK(NPFLKA) =-0.020601
            YFLK(NPFLKA) =0.009015
            ZFLK(NPFLKA) =-0.544695
            TXFLK  (NPFLKA) = -0.035052
            TYFLK  (NPFLKA) = 0.00483
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(965572459:966373098)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 5.86175
            XFLK(NPFLKA) =0.006306
            YFLK(NPFLKA) =-7e-06
            ZFLK(NPFLKA) =0.506713
            TXFLK  (NPFLKA) = 0.016463
            TYFLK  (NPFLKA) = -3.3e-05
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(966373099:967173739)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.129072
            XFLK(NPFLKA) =0.007108
            YFLK(NPFLKA) =-0.00111
            ZFLK(NPFLKA) =-0.50573
            TXFLK  (NPFLKA) = 0.014388
            TYFLK  (NPFLKA) = -0.002645
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(967173740:967974380)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.017883
            XFLK(NPFLKA) =-0.000589
            YFLK(NPFLKA) =-0.005198
            ZFLK(NPFLKA) =-0.516866
            TXFLK  (NPFLKA) = 0.00016
            TYFLK  (NPFLKA) = -0.014018
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(967974381:968775020)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.034357
            XFLK(NPFLKA) =0.004011
            YFLK(NPFLKA) =-0.001937
            ZFLK(NPFLKA) =-0.500839
            TXFLK  (NPFLKA) = 0.014069
            TYFLK  (NPFLKA) = -0.005703
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(968775021:969575661)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.697761
            XFLK(NPFLKA) =0.011508
            YFLK(NPFLKA) =-0.000258
            ZFLK(NPFLKA) =0.468324
            TXFLK  (NPFLKA) = 0.01666
            TYFLK  (NPFLKA) = -0.000711
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(969575662:970376301)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.081717
            XFLK(NPFLKA) =0.012073
            YFLK(NPFLKA) =0.002773
            ZFLK(NPFLKA) =0.463633
            TXFLK  (NPFLKA) = 0.016629
            TYFLK  (NPFLKA) = 0.007074
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(970376302:971176942)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.007223
            XFLK(NPFLKA) =0.046525
            YFLK(NPFLKA) =0.000772
            ZFLK(NPFLKA) =0.471423
            TXFLK  (NPFLKA) = 0.118666
            TYFLK  (NPFLKA) = 0.003609
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(971176943:971977582)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 1.2999
            XFLK(NPFLKA) =0.004867
            YFLK(NPFLKA) =0.00022
            ZFLK(NPFLKA) =0.479301
            TXFLK  (NPFLKA) = 0.017567
            TYFLK  (NPFLKA) = 0.00051
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(971977583:972778223)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.355398
            XFLK(NPFLKA) =0.002224
            YFLK(NPFLKA) =-0.000647
            ZFLK(NPFLKA) =0.488471
            TXFLK  (NPFLKA) = 0.012741
            TYFLK  (NPFLKA) = -0.001272
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(972778224:973578863)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.01755
            XFLK(NPFLKA) =0.012351
            YFLK(NPFLKA) =0.005542
            ZFLK(NPFLKA) =0.458827
            TXFLK  (NPFLKA) = 0.029437
            TYFLK  (NPFLKA) = 0.01714
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(973578864:974379504)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.058208
            XFLK(NPFLKA) =0.002055
            YFLK(NPFLKA) =0.011059
            ZFLK(NPFLKA) =-0.465133
            TXFLK  (NPFLKA) = 0.006754
            TYFLK  (NPFLKA) = 0.021061
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(974379505:975180144)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.055272
            XFLK(NPFLKA) =0.015712
            YFLK(NPFLKA) =0.002137
            ZFLK(NPFLKA) =-0.46611
            TXFLK  (NPFLKA) = 0.036729
            TYFLK  (NPFLKA) = 0.006494
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(975180145:975980785)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.010586
            XFLK(NPFLKA) =-0.008979
            YFLK(NPFLKA) =-0.013192
            ZFLK(NPFLKA) =-0.480677
            TXFLK  (NPFLKA) = -0.016042
            TYFLK  (NPFLKA) = -0.031714
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(975980786:976781425)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.015009
            XFLK(NPFLKA) =0.017813
            YFLK(NPFLKA) =0.009634
            ZFLK(NPFLKA) =-0.483976
            TXFLK  (NPFLKA) = 0.045973
            TYFLK  (NPFLKA) = 0.028214
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(976781426:977582066)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.028652
            XFLK(NPFLKA) =-0.007873
            YFLK(NPFLKA) =0.030521
            ZFLK(NPFLKA) =-0.47069
            TXFLK  (NPFLKA) = -0.004498
            TYFLK  (NPFLKA) = 0.053982
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(977582067:978382706)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 3.39052
            XFLK(NPFLKA) =0.008717
            YFLK(NPFLKA) =-9.7e-05
            ZFLK(NPFLKA) =0.440029
            TXFLK  (NPFLKA) = 0.016082
            TYFLK  (NPFLKA) = -0.000228
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(978382707:979183347)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.030715
            XFLK(NPFLKA) =0.027413
            YFLK(NPFLKA) =0.022893
            ZFLK(NPFLKA) =0.432048
            TXFLK  (NPFLKA) = 0.054082
            TYFLK  (NPFLKA) = 0.046586
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(979183348:979983987)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.011092
            XFLK(NPFLKA) =-0.011049
            YFLK(NPFLKA) =0.070135
            ZFLK(NPFLKA) =0.444922
            TXFLK  (NPFLKA) = -0.014251
            TYFLK  (NPFLKA) = 0.135561
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(979983988:980784628)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.021248
            XFLK(NPFLKA) =0.021372
            YFLK(NPFLKA) =-0.059963
            ZFLK(NPFLKA) =0.44574
            TXFLK  (NPFLKA) = 0.046369
            TYFLK  (NPFLKA) = -0.115437
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(980784629:981585268)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.139048
            XFLK(NPFLKA) =0.000473
            YFLK(NPFLKA) =0.004137
            ZFLK(NPFLKA) =-0.434163
            TXFLK  (NPFLKA) = 0.007742
            TYFLK  (NPFLKA) = 0.008021
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(981585269:982385909)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.03254
            XFLK(NPFLKA) =0.03165
            YFLK(NPFLKA) =-1.2e-05
            ZFLK(NPFLKA) =-0.453105
            TXFLK  (NPFLKA) = 0.075824
            TYFLK  (NPFLKA) = 0.000212
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(982385910:983186549)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 2.5828
            XFLK(NPFLKA) =0.009383
            YFLK(NPFLKA) =0.000203
            ZFLK(NPFLKA) =0.400433
            TXFLK  (NPFLKA) = 0.016496
            TYFLK  (NPFLKA) = 0.000568
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(983186550:983987190)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 1.89404
            XFLK(NPFLKA) =0.0088
            YFLK(NPFLKA) =-0.000221
            ZFLK(NPFLKA) =0.408624
            TXFLK  (NPFLKA) = 0.016365
            TYFLK  (NPFLKA) = -0.000575
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(983987191:984787830)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.058746
            XFLK(NPFLKA) =-0.006733
            YFLK(NPFLKA) =-0.016061
            ZFLK(NPFLKA) =0.417923
            TXFLK  (NPFLKA) = -0.026805
            TYFLK  (NPFLKA) = -0.037845
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(984787831:985588471)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 26.4573
            XFLK(NPFLKA) =0.009112
            YFLK(NPFLKA) =-3.9e-05
            ZFLK(NPFLKA) =0.418314
            TXFLK  (NPFLKA) = 0.016581
            TYFLK  (NPFLKA) = -7.3e-05
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(985588472:986389111)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.107575
            XFLK(NPFLKA) =0.007789
            YFLK(NPFLKA) =0.000905
            ZFLK(NPFLKA) =0.402416
            TXFLK  (NPFLKA) = 0.015647
            TYFLK  (NPFLKA) = 0.003187
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(986389112:987189752)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.048734
            XFLK(NPFLKA) =-0.000662
            YFLK(NPFLKA) =0.003023
            ZFLK(NPFLKA) =0.418894
            TXFLK  (NPFLKA) = -0.000902
            TYFLK  (NPFLKA) = 0.007311
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(987189753:987990392)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.026488
            XFLK(NPFLKA) =-0.025274
            YFLK(NPFLKA) =6.5e-05
            ZFLK(NPFLKA) =0.415324
            TXFLK  (NPFLKA) = -0.049712
            TYFLK  (NPFLKA) = 0.000234
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(987990393:988791033)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.026151
            XFLK(NPFLKA) =0.057348
            YFLK(NPFLKA) =0.008071
            ZFLK(NPFLKA) =0.413295
            TXFLK  (NPFLKA) = 0.111328
            TYFLK  (NPFLKA) = 0.016541
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(988791034:989591673)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.728459
            XFLK(NPFLKA) =0.006314
            YFLK(NPFLKA) =0.000104
            ZFLK(NPFLKA) =-0.418626
            TXFLK  (NPFLKA) = 0.018247
            TYFLK  (NPFLKA) = 0.0003
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(989591674:990392314)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.168659
            XFLK(NPFLKA) =0.010079
            YFLK(NPFLKA) =-0.003445
            ZFLK(NPFLKA) =0.390489
            TXFLK  (NPFLKA) = 0.019698
            TYFLK  (NPFLKA) = -0.007602
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(990392315:991192954)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.006917
            XFLK(NPFLKA) =-0.714084
            YFLK(NPFLKA) =-0.425362
            ZFLK(NPFLKA) =-0.265787
            TXFLK  (NPFLKA) = -0.915686
            TYFLK  (NPFLKA) = -0.171342
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(991192955:991993595)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.087214
            XFLK(NPFLKA) =0.006908
            YFLK(NPFLKA) =0.010368
            ZFLK(NPFLKA) =0.346243
            TXFLK  (NPFLKA) = 0.014792
            TYFLK  (NPFLKA) = 0.022619
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(991993596:992794235)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.030637
            XFLK(NPFLKA) =0.019121
            YFLK(NPFLKA) =-0.001769
            ZFLK(NPFLKA) =0.327377
            TXFLK  (NPFLKA) = 0.053429
            TYFLK  (NPFLKA) = -0.007684
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(992794236:993594876)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.106516
            XFLK(NPFLKA) =0.003907
            YFLK(NPFLKA) =-0.006074
            ZFLK(NPFLKA) =0.321995
            TXFLK  (NPFLKA) = 0.011836
            TYFLK  (NPFLKA) = -0.013963
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(993594877:994395516)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 3.93915
            XFLK(NPFLKA) =0.007524
            YFLK(NPFLKA) =2e-06
            ZFLK(NPFLKA) =0.332819
            TXFLK  (NPFLKA) = 0.016454
            TYFLK  (NPFLKA) = 1.6e-05
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(994395517:995196157)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.019545
            XFLK(NPFLKA) =0.026799
            YFLK(NPFLKA) =0.031729
            ZFLK(NPFLKA) =-0.289193
            TXFLK  (NPFLKA) = 0.060464
            TYFLK  (NPFLKA) = 0.071529
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(995196158:995996797)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.023061
            XFLK(NPFLKA) =0.006586
            YFLK(NPFLKA) =-0.000459
            ZFLK(NPFLKA) =-0.300844
            TXFLK  (NPFLKA) = 0.018716
            TYFLK  (NPFLKA) = -0.001385
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(995996798:996797438)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.208553
            XFLK(NPFLKA) =0.010173
            YFLK(NPFLKA) =-0.000126
            ZFLK(NPFLKA) =0.256713
            TXFLK  (NPFLKA) = 0.015509
            TYFLK  (NPFLKA) = -0.000674
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(996797439:997598078)
            ILOFLK (NPFLKA) = 3.0
            TKEFLK (NPFLKA) = 0.079726
            XFLK(NPFLKA) =0.008425
            YFLK(NPFLKA) =0.000103
            ZFLK(NPFLKA) =0.255713
            TXFLK  (NPFLKA) = 0.021279
            TYFLK  (NPFLKA) = 0.000625
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(997598079:998398719)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.040602
            XFLK(NPFLKA) =0.003354
            YFLK(NPFLKA) =0.023071
            ZFLK(NPFLKA) =0.25017
            TXFLK  (NPFLKA) = 0.008901
            TYFLK  (NPFLKA) = 0.053164
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(998398720:999199359)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.12354
            XFLK(NPFLKA) =0.011512
            YFLK(NPFLKA) =-0.000986
            ZFLK(NPFLKA) =0.240126
            TXFLK  (NPFLKA) = 0.018935
            TYFLK  (NPFLKA) = -0.003238
            TZFLK  (NPFLKA) = SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
         CASE(999199360:)
            ILOFLK (NPFLKA) = 4.0
            TKEFLK (NPFLKA) = 0.006199
            XFLK(NPFLKA) =-0.145308
            YFLK(NPFLKA) =0.850156
            ZFLK(NPFLKA) =0.048207
            TXFLK  (NPFLKA) = -0.687655
            TYFLK  (NPFLKA) = 0.725298
            TZFLK  (NPFLKA) =-SQRT ( ONEONE - TXFLK (NPFLKA)**2
     &                       - TYFLK (NPFLKA)**2 )
      END SELECT
* Particle momentum
      PMOFLK (NPFLKA) = SQRT ( TKEFLK (NPFLKA) * ( TKEFLK (NPFLKA)
     &                       + TWOTWO * AM (ILOFLK(NPFLKA)) ) )
* Polarization cosines:
      TXPOL  (NPFLKA) = -TWOTWO
      TYPOL  (NPFLKA) = +ZERZER
      TZPOL  (NPFLKA) = +ZERZER
*  Calculate the total kinetic energy of the primaries: don't change
      IF ( ILOFLK (NPFLKA) .EQ. -2 .OR. ILOFLK (NPFLKA) .GT. 100000 )
     &   THEN
         TKESUM = TKESUM + TKEFLK (NPFLKA) * WTFLK (NPFLKA)
      ELSE IF ( ILOFLK (NPFLKA) .NE. 0 ) THEN
         TKESUM = TKESUM + ( TKEFLK (NPFLKA) + AMDISC (ILOFLK(NPFLKA)) )
     &          * WTFLK (NPFLKA)
      ELSE
         TKESUM = TKESUM + TKEFLK (NPFLKA) * WTFLK (NPFLKA)
      END IF
      RADDLY (NPFLKA) = ZERZER
*  Here we ask for the region number of the hitting point.
*     NREG (NPFLKA) = ...
*  The following line makes the starting region search much more
*  robust if particles are starting very close to a boundary:
      CALL GEOCRS ( TXFLK (NPFLKA), TYFLK (NPFLKA), TZFLK (NPFLKA) )
      CALL GEOREG ( XFLK  (NPFLKA), YFLK  (NPFLKA), ZFLK  (NPFLKA),
     &              NRGFLK(NPFLKA), IDISC )
*  Do not change these cards:
      CALL GEOHSM ( NHSPNT (NPFLKA), 1, -11, MLATTC )
      NLATTC (NPFLKA) = MLATTC
      CMPATH (NPFLKA) = ZERZER
      CALL SOEVSV
      RETURN
*=== End of subroutine Source =========================================*
      END